********************************************************************************
********************************************************************************
* FIGURES PAPER 
********************************************************************************
********************************************************************************


clear all
set more off

*To be personalized
*gl testing_AR /Users/pv/Dropbox/Testing_AR/Prog/Prog for JHR/
*gl testing_AR "/Users/pierrecahuc/Dropbox/Testing/Testing_AReduite/Prog/Prog for JHR/"
gl testing_AR "/Users/helene/Dropbox/#Work/#Projets/Testing AR/Testing_AR/Prog/Prog for JHR/"

* Prog
gl testing_AR_main "${testing_AR}Prog/2-Figures/"
gl testing_AR_routines "${testing_AR}Prog/2-Figures/Routines/"

* Data	
gl testing_AR_data "${testing_AR}Data/Final table/"

* Output
gl testing_AR_figure1 "${testing_AR}Output/Figure 1/"
gl testing_AR_figure2 "${testing_AR}Output/Figure 2/"
gl testing_AR_figure3 "${testing_AR}Output/Figure 3/"
gl testing_AR_figure4 "${testing_AR}Output/Figure 4/"
gl testing_AR_figure5 "${testing_AR}Output/Figure 5/"
gl testing_AR_figure6 "${testing_AR}Output/Figure 6/"
gl testing_AR_figure7 "${testing_AR}Output/Figure 7/"
gl testing_AR_figure8 "${testing_AR}Output/Figure 8/"
gl testing_AR_figure9 "${testing_AR}Output/Figure 9/"
gl testing_AR_figure10 "${testing_AR}Output/Figure 10/"
gl testing_AR_figure11 "${testing_AR}Output/Figure 11/"
gl testing_AR_figure12 "${testing_AR}Output/Figure 12/"
gl testing_AR_figure13 "${testing_AR}Output/Figure 13/"
gl testing_AR_figure14 "${testing_AR}Output/Figure 14/"
gl testing_AR_figureA3 "${testing_AR}Output/Figure A3/"
gl testing_AR_figureA4 "${testing_AR}Output/Figure A4/"
gl testing_AR_figureC5 "${testing_AR}Output/Figure C5/"
gl testing_AR_figureC6 "${testing_AR}Output/Figure C6/"
gl testing_AR_figureC7 "${testing_AR}Output/Figure C7/"
gl testing_AR_figureC8 "${testing_AR}Output/Figure C8/"
gl testing_AR_figureC9 "${testing_AR}Output/Figure C9/"
gl testing_AR_figureC10 "${testing_AR}Output/Figure C10/"
gl testing_AR_figureC11 "${testing_AR}Output/Figure C11/"
gl testing_AR_figureC12 "${testing_AR}Output/Figure C12/"
gl testing_AR_figureC13 "${testing_AR}Output/Figure C13/"

gl testing_AR_table1 "${testing_AR}Output/Table 1/"
gl testing_AR_table2 "${testing_AR}Output/Table 2/"
gl testing_AR_table3 "${testing_AR}Output/Table 3/"
gl testing_AR_table4 "${testing_AR}Output/Table 4/"
gl testing_AR_table5 "${testing_AR}Output/Table 5/"
gl testing_AR_table6 "${testing_AR}Output/Table 6/"
gl testing_AR_table7 "${testing_AR}Output/Table 7/"
gl testing_AR_table8 "${testing_AR}Output/Table 8/"
gl testing_AR_tableA1 "${testing_AR}Output/Table A1/"
gl testing_AR_tableA2 "${testing_AR}Output/Table A2/"
gl testing_AR_tableA3 "${testing_AR}Output/Table A3/"
gl testing_AR_tableB4 "${testing_AR}Output/Table B4/"
gl testing_AR_tableB5 "${testing_AR}Output/Table B5/"
gl testing_AR_tableB6 "${testing_AR}Output/Table B6/"
gl testing_AR_tableB7 "${testing_AR}Output/Table B7/"
gl testing_AR_tableB8 "${testing_AR}Output/Table B8/"
gl testing_AR_tableB9 "${testing_AR}Output/Table B9/"
gl testing_AR_tableB10 "${testing_AR}Output/Table B10/"
gl testing_AR_tableB11 "${testing_AR}Output/Table B11/"
gl testing_AR_tableB12 "${testing_AR}Output/Table B12/"
gl testing_AR_tableB13 "${testing_AR}Output/Table B13/"


************************************************************************************
*** Figure  1 : The relation between earnings when working while on claim and income
************************************************************************************

cd "${testing_AR_figure1}"

use "${testing_AR_data}figure1.dta", clear

gen t_n2= z_n

twoway (line t_n2 z_n if t_n<=2000 & z_n<=2000, lcolor(gray) lpattern(dash))(line t_n z_n if t_n<=2000 & z_n<=2000, lcolor(black)), ///
	graphregion(color(white)) xlabel(0(500)2000, labsize(small)) ylabel(0(500)2000, labsize(small)) ///
	xtitle("Monthly labor earnings", size(small)) ytitle("Monthly income (labor earnings + benefits)", size(small)) legend(off) xline(1020, lcolor(balck) lpattern(dash)) ///
	text(0 1030 "1020 €", color(black) place(r) size(small)) text(1030 400 "Slope = 13%", color(black) place(r) size(small)) 
								
graph export "benghalem-cahuc-villedieu-figure-1-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-1-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-1-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-1-original.pdf", replace

***************************************************
*** Figure  2 : The dynamic aspects of the schedule
***************************************************

* See screen short in testing_AR_figure2

*********************************************************************************************************************
*** Figure 3 ; Survival rate in unemployment and exit rate from unemployment to employment of non-treated individuals
*********************************************************************************************************************

cd "${testing_AR_figure3}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

sort indiv date
cap mois_fin 
gen mois_fin = date if sortiedef_ac_emb2==1 & sortiedef_ac_emb2[_n-1]==0 & indiv==indiv[_n-1] 


sort indiv date
cap mois_bfin 
gen mois_bfin = date if sortiedef==1 & sortiedef[_n-1]==0 & indiv==indiv[_n-1] 

* Change format date start of unemployment spell
cap drop mois_debut
gen mois_debut = mofd(kdpod)

* Duration until definitive exit toward employment
cap drop dur
gen dur= mois_fin - mois_debut

* Duration until definitive exit
cap drop bdur
gen bdur=mois_bfin- mois_debut

cap drop mois_finpot
gen mois_finpot=mofd(datefinpot) 
sum dur,d
cap drop dur_pot
gen dur_pot=mois_finpot-mois_debut
sum dur_pot,d

cap drop censu
gen censu=(sortiedef==0 | sortiedef_ac_emb2==0)& date==721
replace dur=721-mois_debut if missing(dur) & censu==1
replace bdur=721-mois_debut if missing(bdur) & censu==1
drop if dur<0
drop if bdur<0


keep if censu==1 | !missing(dur) | !missing(bdur) 

* Non treated only
preserve
collapse (count) indiv if dur_pot==24 & treated==0,by(dur)
drop if dur<0
rename indiv di
save "data_d1.dta",replace

restore
preserve
collapse (count) indiv if dur_pot==24 & treated==0,by(bdur)
drop if bdur<0
rename bdur dur
rename indiv bdi
merge 1:1 dur using "data_d1.dta"
drop if missing(dur)
egen bpop=total(bdi)
egen pop=total(di)
gen temp=sum(bdi)
gen ni=bpop-temp[_n-1]
gen temp1=(ni-bdi)/ni

gen survival =1 if dur==0
forvalues x=1/43 {
replace survival = survival[_n-1]*temp1 if dur==`x'
}
gen hazard=di/ni

* Assuming that people who left definitively without a job are still unemployed
gen temp2=sum(di)
gen tni=pop-temp2[_n-1]
gen temp3=(tni-di)/tni

gen tsurvival =1 if dur==0
forvalues x=1/43 {
replace tsurvival = tsurvival[_n-1]*temp3 if dur==`x'
}
gen thazard=di/tni
drop _merge
save "data_d2.dta",replace
drop temp*
restore

* Figures with treated and non treated
preserve
collapse (count) indiv if dur_pot==24 & treated==1,by(dur)
drop if dur<0
rename indiv tr_di
save "data_d1tr.dta",replace
restore

preserve
collapse (count) indiv if dur_pot==24 & treated==1,by(bdur)
drop if bdur<0
rename bdur dur
rename indiv tr_bdi
merge 1:1 dur using "data_d1tr.dta"
drop if missing(dur)
egen tr_bpop=total(tr_bdi)
egen tr_pop=total(tr_di)
gen temp=sum(tr_bdi)
gen tr_ni=tr_bpop-temp[_n-1]
gen temp1=(tr_ni-tr_bdi)/tr_ni

gen tr_survival =1 if dur==0
forvalues x=1/43 {
replace tr_survival = tr_survival[_n-1]*temp1 if dur==`x'
}
gen tr_hazard=tr_di/tr_ni
* Assuming that people who left definitively without a job are still unemployed
gen temp2=sum(tr_di)
gen tr_tni=tr_pop-temp2[_n-1]
gen temp3=(tr_tni-tr_di)/tr_tni

gen tr_tsurvival =1 if dur==0
forvalues x=1/43 {
replace tr_tsurvival = tr_tsurvival[_n-1]*temp3 if dur==`x'
}
gen tr_thazard=tr_di/tr_tni
drop temp*
drop _merge
merge 1:1 dur using "data_d2.dta"
drop temp*
* Figure
line thazard  dur if dur<33, xtitle("Unemployment duration") ytitle("Hazard rate  ") /// 
lpattern( solid )  subtitle("") graphregion(fcolor(white)) lcolor(black)
graph save "fig_haz.gph", replace

line tsurvival  dur if dur<33, xtitle("Unemployment duration") ytitle("Survival rate  ") /// 
lpattern( solid )  subtitle("") graphregion(fcolor(white)) lcolor(black)
graph save "fig_surv.gph", replace

graph combine "fig_surv.gph" "fig_haz.gph" , graphregion(fcolor(white)) col(1) 

*graph export "fig_surv_hazard_data.png", replace
graph export "benghalem-cahuc-villedieu-figure-3-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-3-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-3-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-3-original.pdf", replace

restore

erase "data_d2.dta"
erase "data_d1.dta"
erase "data_d1tr.dta"
erase "fig_surv.gph"
erase "fig_haz.gph"

**********************************************************************
*** Figure 4 : The exit rate from unemployment in the job search model
*** Figure 5 : The unemployment survival rate in the job search model
**********************************************************************

cd "${testing_AR_figure4}"

* Assume function lambda(e)=lambda0*(1-exp(-gamma*e))

gl obs "100"
gl b    "1"
* bT is the amount of benefits in the period before the exhaustion of benefits, which is between 0 and b
*b0 if the amount of income after the exhausion of benefits
*gl bT   "10"
gl bT   "1"
gl b0   "0.01"
gl beta "0.996"
gl lambda "0.1"
gl lambda1 "1.4"

* Value of employment assuming no job destruction and wage = 2*${b}
scalar W_ =log(2*${b})/(1-${beta})
gl W    "W_"
disp ${W}
gl gamma "0.1"

* Initial insurance capital 
gl B0=24

* Partial unemployment insurance parameters
gl kappa 0.12
gl z  0*${b}
gl tau = 0.85
disp ${z}

************ Steady state solution 

/* 
=  terminal condition to find the terminal condition of the value of unemployed workers 
https://www.stata.com/support/faqs/programming/system-of-nonlinear-equations/
*/


/* First: plot the function which determine the terminal condition on U, on (0,W) to insert the initital condition in the program which finds the solution

graph twoway (function y= ((log(${b0}) -(1/${gamma})*log(${lambda}*${beta}*${gamma}*(${W}-x))) /// 
        + ${lambda}*${beta}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-x))))* ${W})/(1-${beta}*(1-${lambda}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-x)))))) ///
		- x ,range(-100 100))
*/

cap program drop  nlu0
program nlu0
        syntax varlist(min=1 max=1) [if], at(name)

        tempname u v
        scalar `u' = `at'[1, 1]
		scalar `v' = `at'[1, 2]
      
        tempvar yh
        gen double `yh' = ((log(${b0}) -(1/${gamma})*log(${lambda}*${beta}*${gamma}*(${W}-`u'))) /// 
        + ${lambda}*${beta}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-`u'))))* ${W})/(1-${beta}*(1-${lambda}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-`u')))))) /// 
        - `u' + `v'  + 1             in 1
 		replace `yh' = `v'           in 2
        replace `varlist' = `yh'
end

clear
set obs 2
generate y = 0
replace y=1 in 1

nl u0 @ y, parameters(u v) initial(u 1 v 0)

gl UT= _b[/u]
disp ${UT}

*** Verification of the value of UT
disp  "U =" ((log(${b0}) -(1/${gamma})*log(${lambda}*${beta}*${gamma}*(${W}-${UT}))) /// 
        + ${lambda}*${beta}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-${UT}))))* ${W})/(1-${beta}*(1-${lambda}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-${UT})))))) 
		
*** Exit rate from unemployment to choose the relevant root of the equation compatible with positive exit rate from unemployment: 
global exit_rate_0 = ${lambda}*(${lambda1}-(1/(${lambda}*${beta}*${gamma}*(${W}-${UT}))))
disp "Steady state exit rate= "  ${exit_rate_0}

global effort_0=(1/${gamma})*max(ln(${lambda}*${beta}*${gamma}*(${W}-${UT})),0)

set obs ${obs}

************ Add individual with high cost of effort, whose exit rate is equal to the minimum level
global lambda_low "0.01"
global share_low "0.05"
cap drop low_exit_rate
gen low_exit_rate=${lambda_low}

************ Compute Bt, Ut, et, recursively without partial unemployment insurance 

*** Set 24 months  after benefits exhaustion date without UB
cap drop t
gen t=_n-(1+$B0)

*** Value of Ut
cap drop Ut
gen Ut=.
replace Ut= ${UT} if t<=0

forvalues x=1/$obs {
replace Ut=log(${b})  ///
    - (1/${gamma})*max(ln(${lambda}*${beta}*${gamma}*(${W}-Ut[_n-1])),0)                   /// 
	+ ${beta}*${W}*${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Ut[_n-1]))),0))  ///
	+ ${beta}*Ut[_n-1]*(1-${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Ut[_n-1]))),0)))  ///
     if t==`x'
}
*
*** Exit rate from unemployment
cap drop exit_rate
gen exit_rate=.
replace exit_rate= ${exit_rate_0} if t<=0
forvalues x=1/$obs {
replace exit_rate= ${lambda}*(${lambda1}-min((1/(${lambda}*${beta}*${gamma}*(${W}-Ut[_n-1]))),1)) /// 
     if t==`x'
}
*
*** Bt

cap drop Bt
gen Bt=.
replace Bt=0 if t<=0
forvalues x=1/$obs {
replace Bt= Bt[_n-1]+${b} /// 
     if t==`x'
}
*

label var Bt "B without partial unemployment"
label var Ut "U without partial unemployment"

cap drop effort
gen effort=.
replace effort= ${effort_0} if t<=0
forvalues x=1/$obs {
replace effort= (1/${gamma})*max(ln(${lambda}*${beta}*${gamma}*(${W}-Ut[_n-1])),0) /// 
     if t==`x'
}
*
* Potential benefit duration depends on initial capital B0. Assume N months, implies B0=N 

************ Compute Bt, Ut, et, recursively with partial unemployment insurance 

set seed 19620118
cap drop z
gen z=runiform(0,1) if t >0
*gen z=.5

* Compute U' and U

cap drop Upr
gen Upr =.
replace Upr=1/${b} if t<=0

cap drop Upu
gen Upu = .
replace Upu= ${UT} if t<=0

cap drop pu
gen pu=.


forvalues x=1/$obs {

replace Upu=log(${b})  ///
    - (1/${gamma})*ln(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))                   /// 
	+ ${beta}*${W}*${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))),0))  ///
	+ ${beta}*Upu[_n-1]*(1-${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))),0))) /// 
	if t==`x' &  (((1-${tau})/${b})*z - (${kappa}/${b}) + z*${tau}*Upr[_n-1] < 0)
	
	
replace Upu=log(${b}+z*(1-${tau})-${kappa})   ///
    - (1/${gamma})*ln(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))                   /// 
	+ ${beta}*${W}*${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))),0))  ///
	+ ${beta}*Upu[_n-1]*(1-${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))),0))) ///
	if t==`x' & (((1-${tau})/${b})*z - (${kappa}/${b}) + z*${tau}*Upr[_n-1] >0)

	
replace Upr= ${beta}* ${lambda}*(${lambda1}-max((1/(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))),0))* Upr[_n-1]  if t==`x'

replace pu=(((1-${tau})/${b})*z - (${kappa}/${b}) + z*${tau}*Upr[_n-1] >0)

  }    
replace pu=0 if t<=0
 
label var pu "=1 if partial unemployment"
label var Upr "U' with partial unemployment"
label var Upu "U with partial unemployment"

*** Compute B
  
cap drop Bpu
gen Bpu=.
replace Bpu=0 if t<=0

forvalues x=1/$obs {

replace Bpu=Bpu[_n-1] + ${b}  /// 
	if t==`x' &  pu==0
replace Bpu=Bpu[_n-1] + ${b} - ${tau}*z /// 
    if t==`x' & pu==1

  }    
  
label var Bpu "B if partial unemployment"

*** Exit rate from unemployment
cap drop puexit_rate
gen puexit_rate=.
replace puexit_rate= ${exit_rate_0} if t<=0

forvalues x=1/$obs {
replace puexit_rate= ${lambda}*(${lambda1}-min((1/(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1]))),1)) /// 
     if t==`x'
}
*
  
label var puexit_rate "Unemp exit rate if partial unemployment"

cap drop pueffort
gen pueffort=.
replace effort= ${effort_0} if t<=0
forvalues x=1/$obs {
replace pueffort= (1/${gamma})*max(ln(${lambda}*${beta}*${gamma}*(${W}-Upu[_n-1])),0) /// 
     if t==`x'
}

*** Dynamic marginal taxation rates

cap drop tempt
gen tempt=.
replace tempt=${beta} * (1-puexit_rate ) if t==1

forvalues x=2/$obs {
replace tempt=  ${beta} * (1-puexit_rate )*tempt[_n-1]  /// 
     if t==`x'
}
*
cap drop mt
gen mt=.
replace mt=1 if t==0
replace  mt=${tau}* (1-tempt) 

************ Figures

* Define time variables:
* Potential benefit duration without PU ends at date t1=100: ${B0} => set date 0 at starting date of unemployment spell without partial unemployment
cap drop ts
gen ts=${B0}-t

* PBD with PU

cap drop temp
gen temp=Bpu<=${B0} & Bpu[_n+1]>${B0}
cap drop temp1
gen temp1= ts if temp==1
cap drop temp2
egen temp2=max(temp1)
gl decal=temp2
disp $decal
cap drop tspu
gen tspu=ts-temp2
drop temp*

* Move to get the same starting point in the figure

cap drop bpuexit_rate
gen bpuexit_rate=puexit_rate[_n-$decal]
line bpuexit_rate exit_rate ts if ts>-1

* Survival without partial unemployment
cap drop surv
gen surv=.
replace surv=1 if ts==0
su ts
scalar nobs = r(max)
gl nobs=nobs
disp $nobs

forvalues x=1/$nobs {
replace surv=surv[_n+1]*(1-exit_rate)  if ts==`x'
      
}
 
* Survival with partial unemployment
cap drop pusurv
gen pusurv=.
replace pusurv=1 if tspu==0
su tspu
scalar nobs = r(max)
gl nobs=nobs
disp $nobs

forvalues x=1/$nobs {
replace pusurv=pusurv[_n+1]*(1-puexit_rate)  if tspu==`x'
      
}
 
* Survival for individual with high low exit rate
cap drop low_surv
gen low_surv=.
replace low_surv=1 if ts==0
su ts
scalar nobs = r(max)
gl nobs=nobs
disp $nobs

forvalues x=1/$nobs {
replace low_surv=low_surv[_n+1]*(1-low_exit_rate)  if ts==`x'
      
}
 
* Move to get the same starting point in the figure

cap drop bpu
gen bpu=pu[_n-$decal]

cap drop bpusurv
gen bpusurv=pusurv[_n-$decal]

cap drop bpuexit_rate
gen bpuexit_rate=puexit_rate[_n-$decal]

** Exit rate
line bpuexit_rate exit_rate ts if ts>-1, xline(${B0},lcolor(dimgray) lpattern( shortdash ) ) xtitle("",size(small)) ytitle("Exit rate",size(small)) ylabel(, labsize(small)) xlabel(, labsize(small))  /// 
lpattern( solid dash) lcolor(black gray)  legend(lab(1 "With part-time unemployment insurance") lab (2 "Without part-time unemployment insurance" ) ) legend(cols(1)) legend(size(small)) subtitle("") ///
graphregion(fcolor(white))

graph save "fig_exit_rate.gph", replace

************ Figure 4: The exit rate from unemployment in the job search model

cap drop het_bpuexit_rate
gen het_bpuexit_rate= (${share_low}*low_surv*low_exit_rate+ (1-${share_low})*bpuexit_rate*bpusurv)/((1-${share_low})*bpusurv+${share_low}*low_surv)

cap drop het_exit_rate
gen het_exit_rate= (${share_low}*low_surv*low_exit_rate+ (1-${share_low})*exit_rate*surv)/((1-${share_low})*surv+${share_low}*low_surv)

cap drop der
gen der = het_bpuexit_rate - het_exit_rate

line het_bpuexit_rate het_exit_rate ts if ts>-1, xline(${B0},lcolor(dimgray) lpattern( shortdash ) ) xtitle("") ytitle("Exit rate",size(small)) /// 
lpattern( solid dash) lcolor(black gray)  legend(lab(1 "With part-time unemployment insurance") lab (2 "Without part-time unemployment insurance" ) ) legend(cols(1)) legend(size(small)) subtitle("") ///
graphregion(fcolor(white)) ylabel(, labsize(small)) xlabel(, labsize(small))
graph save "fig_exit_rate_het.gph", replace

line der ts if ts>0, lcolor(black) xline(${B0},lcolor(dimgray) lpattern( dash ) ) xtitle("Unemployment duration",size(small)) ytitle("Exit rate difference",size(small)) /// 
lpattern( solid ) subtitle("") graphregion(fcolor(white)) ylabel(, labsize(small))  xlabel(, labsize(small))
graph save "fig_dexit_rate_het.gph", replace

grc1leg "fig_exit_rate.gph" "fig_exit_rate_het.gph" "fig_dexit_rate_het.gph", graphregion(fcolor(white)) col(1)

graph export "benghalem-cahuc-villedieu-figure-4-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-4-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-4-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-4-original.pdf", replace

erase "fig_exit_rate.gph"
erase "fig_exit_rate_het.gph"
erase "fig_dexit_rate_het.gph"

************ Figure 5: The unemployment survival rate in the job search model

cd "${testing_AR_figure5}"

** Survival rate
line bpusurv surv ts if ts>0,  xline(${B0},lcolor(dimgray) lpattern( shortdash ) ) xtitle("") ytitle("Survival rate",size(small)) /// 
lpattern( solid dash ) lcolor(black gray)  legend(lab(1 "With part-time unemployment insurance") lab (2 "Without part-time unemployment insurance" ) ) legend(cols(1)) legend(size(small)) subtitle("")  ylabel(, labsize(small)) xlabel(, labsize(small)) ///
graphregion(fcolor(white))
graph save "fig_survival_rate.gph", replace

cap drop het_bpusurv
gen het_bpusurv= ${share_low}*low_surv+ (1-${share_low})*bpusurv

cap drop het_surv
gen het_surv= ${share_low}*low_surv+ (1-${share_low})*surv

line het_bpusurv het_surv ts if ts>0,  xline(${B0},lcolor(dimgray) lpattern( shortdash ) ) xtitle("") ytitle("Survival rate",size(small)) /// 
lpattern( solid dash ) lcolor(black gray)  legend(lab(1 "With part-time unemployment insurance") lab (2 "Without part-time unemployment insurance" ) ) legend(cols(1)) legend(size(small)) subtitle("")  ylabel(, labsize(small)) xlabel(, labsize(small)) ///
graphregion(fcolor(white))
graph save "fig_survival_rate_het.gph", replace

* Survival rate difference with heterogeneous population
cap drop dhet_surv
gen dhet_surv= het_bpusurv - het_surv

line dhet_surv ts if ts>0, xline(${B0},lcolor(dimgray) lpattern( dash ) ) xtitle("Unemployment duration") ytitle("Survival rate difference  ",size(small))  ylabel(0 .01 .02, labsize(small)) xlabel(, labsize(small)) /// 
lpattern( solid )  lcolor(black) subtitle("") graphregion(fcolor(white))
graph save "fig_dsurvival_het.gph", replace

*graph export $path/fig_dsurvival.png, replace
grc1leg "fig_survival_rate.gph" "fig_survival_rate_het.gph" "fig_dsurvival_het.gph" , graphregion(fcolor(white)) col(1)

graph export "benghalem-cahuc-villedieu-figure-5-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-5-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-5-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-5-original.pdf", replace

erase "fig_survival_rate.gph"
erase "fig_survival_rate_het.gph"
erase "fig_dsurvival_het.gph"
 
					
************************************************************************************************************
*** Figure 6 : Potential benefits duration at registration date (left panel) and treatment date (right panel)
************************************************************************************************************

cd "${testing_AR_figure6}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

drop if information_subset == 0 

capture drop dureepot_monthly
gen dureepot_monthly = dureepot/(365.25/12) 

capture drop tmp 
gen tmp = kpjdxp/(365.25/12) 
sum tmp if numero_mois == 1, detail 
twoway (histogram tmp if treated==1 & numero_mois == 1, width(1) color(gray) percent start(0)) ///
	   (histogram tmp if controle==1 & numero_mois == 1 , width(1) fcolor(none) lcolor(black)  percent start(0)) ///
       (histogram tmp if supercontrole==1 & numero_mois == 1,  width(1) fcolor(none) lcolor(black) lwidth(medthick) percent start(0)), ///
	   xtitle("Months") legend(order(1 "Treated" 2 "Controls" 3 "Super-controls" ) cols(3)) graphregion(fcolor(white)) name(v6, replace) ///
	   xlab(1 6 12 18 24 36)

capture drop tmp 
gen tmp = dureepot_janv_2017/(365.25/12) 
sum tmp if numero_mois == 1, detail 
replace tmp = . if tmp > 36 
twoway (histogram tmp if treated==1 & numero_mois == 1, width(1) color(gray) percent start(-3)) ///
	   (histogram tmp if controle==1 & numero_mois == 1, width(1) fcolor(none) lcolor(black)  percent start(-3)) ///
       (histogram tmp if supercontrole==1 & numero_mois == 1,  width(1) fcolor(none) lcolor(black) lwidth(medthick) percent start(-3)), ///
	   xtitle("Months") legend(order(1 "Treated" 2 "Controls"  3 "Super-controls" ) cols(3)) ///
	   graphregion(fcolor(white)) name(v8, replace) ///
	   xline(0 1 2, lpattern(shortdash) lcolor(black)) || ///
	   scatteri 0 28, msymbol(i) xaxis(2) ///
	   xtitle("", axis(2)) ///
	   xscale(range(-3 36) axis(2)) ///
	   xlab(0 "1st sending" 1 "2nd sending" 2 "3rd sending", axis(2) angle(50) labsize(2))
	  
grc1leg v6 v8, legendfrom(v6) graphregion(fcolor(white))

graph export "benghalem-cahuc-villedieu-figure-6-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-6-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-6-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-6-original.pdf", replace

****************************************************************************************
*** Figure 7 : Intention to treat effects on work while on claim at the extensive margin
****************************************************************************************

cd "${testing_AR_figure7}"

gl liste_sample information_subset  
gl liste_methode controls 
gl liste_outcome iar_cum_norm
gl liste_niveau_agreg treated 
gl liste_effet TvsC

do "${testing_AR_routines}resultats_graph.do" 

graph export "benghalem-cahuc-villedieu-figure-7-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-7-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-7-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-7-original.pdf", replace

*************************************************************************************************
*** Figure 8 : Intention to treat effects on the cumulative number of hours worked while on claim
*************************************************************************************************

cd "${testing_AR_figure8}"

gl liste_sample information_subset  
gl liste_methode controls 
gl liste_outcome heures_iar_cum
gl liste_niveau_agreg treated 
gl liste_effet TvsC

do "${testing_AR_routines}resultats_graph.do" 

graph export "benghalem-cahuc-villedieu-figure-8-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-8-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-8-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-8-original.pdf", replace

*************************************************************************************************************************
*** Figure 9 : Comparison of the cumulative numver of hours worked while on claim between control and super control group
*************************************************************************************************************************

cd "${testing_AR_figure9}"

gl liste_sample information_subset  
gl liste_methode controls 
gl liste_outcome heures_iar_cum
gl liste_niveau_agreg treated 
gl liste_effet CvsSC
					
do "${testing_AR_routines}resultats_graph.do" 

graph export "benghalem-cahuc-villedieu-figure-9-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-9-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-9-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-9-original.pdf", replace

********************************************************************
*** Figure 10 : GATES of prob. to work while on claim at least once 
********************************************************************

* See R prog

**********************************************************************************
*** Figure 11 : Intention to treat effects on survival in compensated unemployment
**********************************************************************************

cd "${testing_AR_figure11}"

gl liste_sample information_subset // Among : "all_sample" (si on veut tous les ind) et/ou n'importe qu'elle autre indicatrice (ex : "jeune" ; "information_subset" ; ... ) 
gl liste_methode ebal // Among : ebal controls ou no_control
gl liste_outcome unemp_compensated //heures_mensuelles_cum //regular_job_3m_interim regular_job_6m_interim regular_job_12m_interim   // iar_cum_norm_top25
gl liste_niveau_agreg treated // Among : treated ; ale ; object ; status
gl liste_effet TvsC // Among : TvsC TvsAll
gl period_by monthly  
gl borne_inf 0 
gl borne_sup 36

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-11-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-11-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-11-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-11-original.pdf", replace

****************************************************************************************************************************************************************
*** Figure 12 : Intention to treat effects on survival in compensated unemployment among jobseekers with potential benefit duration superior or equal to 2 years
****************************************************************************************************************************************************************

cd "${testing_AR_figure12}"

gl liste_sample information_subset_pbdsup730 
gl liste_methode ebal 
gl liste_outcome unemp_compensated
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly  
gl borne_inf 0 
gl borne_sup 36

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-12-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-12-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-12-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-12-original.pdf", replace

******************************************************************************************************************
*** Figure 13 : Intention to treat effects on survival in unemployment (compensated, non-compensated or part-time)
******************************************************************************************************************

cd "${testing_AR_figure13}"

gl liste_sample information_subset 
gl liste_methode ebal 
gl liste_outcome unemp 
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly  
gl borne_inf 0 
gl borne_sup 36

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-13-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-13-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-13-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-13-original.pdf", replace

*****************************************************************************************************
*** Figure 14 : Intention to treat effects on the probability to have a regular job at least 3 months
*****************************************************************************************************


cd "${testing_AR_figure14}"

gl liste_sample information_subset 
gl liste_methode ebal 
gl liste_outcome regular_job_3m
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly  
gl borne_inf 0 
gl borne_sup 36

do "${testing_AR_routines}results_graph_ebal.do" 


graph export "benghalem-cahuc-villedieu-figure-14-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-14-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-14-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-14-original.pdf", replace


*************************************************************************************
*** Figure A3 : Intention to treat effects on the number of accumulated hours of work
*************************************************************************************

cd "${testing_AR_figureA3}"

gl liste_sample information_subset 
gl liste_methode ebal 
gl liste_outcome heures_mensuelles_cum
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly  
gl borne_inf 0 
gl borne_sup 36


do "${testing_AR_routines}results_graph_ebal_sortietotale.do" 


graph export "benghalem-cahuc-villedieu-figure-A3-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-A3-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-A3-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-A3-original.pdf", replace


********************************************************************************************************************************************************************
*** Figure A4 : Intention to treat effects on the number of accumulated hours of work among job seekers with potential benefit duration superior or equal to 2 years
********************************************************************************************************************************************************************

cd "${testing_AR_figureA4}"

gl liste_sample information_subset_pbdsup730 
gl liste_methode ebal 
gl liste_outcome heures_mensuelles_cum
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly  
gl borne_inf 0 
gl borne_sup 36


do "${testing_AR_routines}results_graph_ebal_sortietotale.do" 


graph export "benghalem-cahuc-villedieu-figure-A4-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-A4-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-A4-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-A4-original.pdf", replace


******************************************************************
*** Figure C5 : Frequency of work while on claim by calendar month
******************************************************************

cd "${testing_AR_figureC5}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

gl condition information_subset==1   

cap drop mois_
gen mois_=mois
tostring mois_,replace

replace mois_= "January" if mois_=="1"
replace mois_= "February" if mois_=="2"
replace mois_= "March" if mois_=="3"
replace mois_= "April" if mois_=="4"
replace mois_=  "May" if mois_=="5"
replace mois_=  "June" if mois_=="6"
replace mois_=  "July" if mois_=="7"
replace mois_=  "August" if mois_=="8"
replace mois_=  "September" if mois_=="9"
replace mois_=  "October" if mois_=="10" 
replace mois_=  "November" if mois_=="11"
replace mois_= "December"  if mois_=="12"

collapse (mean) iar mois if $condition & treated==0  , by(mois_)

generate order = 1 if  mois_== "January" 
replace order = 2 if  mois_== "February" 
replace order = 3 if  mois_== "March" 
replace order = 4 if  mois_== "April" 
replace order = 5 if  mois_==  "May" 
replace order = 6 if  mois_== "June" 
replace order = 7 if  mois_== "July" 
replace order = 8 if  mois_== "August" 
replace order = 9 if  mois_==  "September" 
replace order = 10 if  mois_==  "October" 
replace order = 11 if  mois_==  "November" 
replace order = 12 if  mois_== "December"  

graph bar  iar ,over(mois_,sort(order) lab(angle(45))) ytitle("Share of job seekers working while on claim") graphregion(fcolor(white)) bar(1,color(gray) )

graph export "benghalem-cahuc-villedieu-figure-C5-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C5-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C5-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C5-original.pdf", replace

*******************************************************************************************************************************************
*** Figure C6 : Distribution of the number of months in part-time unemployment among those who worked while on claim in the first 24 months
*******************************************************************************************************************************************

cd "${testing_AR_figureC6}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

drop if information_subset == 0

twoway (histogram iar_cum if treated==1 & numero_mois == 36 & iar_cum >=1 , width(2) color(green)) ///
	   (histogram iar_cum if controle==1 & numero_mois == 36 & iar_cum >=1 , width(2) fcolor(none) color(red)) ///
       (histogram iar_cum if supercontrole==1 & numero_mois == 36 & iar_cum >=1 ,  width(2) fcolor(none) lcolor(black)), ///
	   xtitle("Number of months") legend(order(1 "Treated" 2 "Controls"  3 "Super-controls" ) cols(3)) ylabel(0(0.05)0.25) graphregion(fcolor(white)) 

	  
graph export "benghalem-cahuc-villedieu-figure-C6-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C6-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C6-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C6-original.pdf", replace

*********************************************************************************************************************************************************
*** Figure C7 : Distribution of the monthly number of hours worked in part time unemployment among those who worked while on claim in the first 24 months
*********************************************************************************************************************************************************

cd "${testing_AR_figureC7}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

drop if information_subset == 0 
	   
twoway (histogram heures_iar if treated==1 & iar ==1 & heures_iar <= 200 & iar ==1 , width(7) color(green)) ///
	   (histogram heures_iar if controle==1 & iar ==1 & heures_iar <= 200 & iar ==1 , width(7) fcolor(none) color(red)) ///
       (histogram heures_iar if supercontrole==1  & iar ==1 & heures_iar <= 200 & iar ==1 ,  width(7) ///
	   fcolor(none) lcolor(black)), xtitle("Average number of hours by month") legend(order(1 "Treated" 2 "Controls"  3 "Super-controls" ) cols(3)) ylabel(0(0.005)0.015) graphregion(fcolor(white)) 
	
	   
graph export "benghalem-cahuc-villedieu-figure-C7-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C7-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C7-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C7-original.pdf", replace

**********************************************************************************
*** Figure C8 : Intention to treat effects on survival in compensated unemployment
**********************************************************************************

cd "${testing_AR_figureC8}"

gl liste_sample information_subset 
gl liste_methode ebal 
gl liste_outcome unemp_compensated
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by relative
gl borne_inf -12 
gl borne_sup 12

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-C8-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C8-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C8-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C8-original.pdf", replace


*****************************************************************************************************************************************************************
*** Figure C9 : Intention to treat effects on survival in compensated unemployment among job seekers with potential benefit duration superior or equal to 2 years
*****************************************************************************************************************************************************************

cd "${testing_AR_figureC9}"

gl liste_sample information_subset_pbdsup730 
gl liste_methode ebal 
gl liste_outcome unemp_compensated
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by relative
gl borne_inf -12 
gl borne_sup 12

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-C9-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C9-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C9-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C9-original.pdf", replace


******************************************************************************************************
*** Figure C10 : Intention to treat effects on the probability to have a regular job at least 6 months
******************************************************************************************************

cd "${testing_AR_figureC10}"

gl liste_sample information_subset 
gl liste_methode ebal 
gl liste_outcome regular_job_6m
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly
gl borne_inf 0 
gl borne_sup 36

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-C10-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C10-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C10-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C10-original.pdf", replace


*******************************************************************************************************
*** Figure C11 : Intention to treat effects on the probability to have a regular job at least 12 months
*******************************************************************************************************

cd "${testing_AR_figureC11}"

gl liste_sample information_subset 
gl liste_methode ebal 
gl liste_outcome regular_job_12m
gl liste_niveau_agreg treated 
gl liste_effet TvsC 
gl period_by monthly
gl borne_inf 0 
gl borne_sup 36

do "${testing_AR_routines}results_graph_ebal.do" 

graph export "benghalem-cahuc-villedieu-figure-C11-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C11-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C11-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C11-original.pdf", replace

**********************************************************************************************
*** Figure C12 : The distribution of dynamic marginal tax rates
*** Figure C13 : Evolution of the average dynamic marginal tax rate over the unemployment spell
***********************************************************************************************

* from marginal_tax_pc.do qui est dans Paper
cd "${testing_AR_figureC12}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

drop if information_subset == 0 

* start of benefits
cap drop date_debut_cons
gen date_debut_cons=date("20170131","YMD")+  dureepot_janv_2017 - kpjdxp 
format date_debut_cons %td

capture drop mois_debut_cons
gen mois_debut_cons=mofd(date_debut_cons)
format mois_debut_cons %tm

cap drop nb_mois_indemnisation
gen nb_mois_indemnisation = date+1-mois_debut_cons

cap drop sortie_non_def
gen sortie_non_def=sortietotale & sortiedef==0
replace sortie_non_def=. if missing(sortietotale)

cap drop sortie_non_def_cum
sort individu nb_mois_indemnisation
bysort individu: gen sortie_non_def_cum=sum(sortie_non_def)

* number of hours iar bd niar cum and sortie non def cumulated (with 1 month==152 heures)
cap drop heures_iar_niar_cum
gen heures_iar_niar_cum =heures_iar_cum + heures_niar_cum + sortie_non_def_cum*152

cap drop final_date
gen final_date = datefinpot 
replace final_date = datefinpot +(heures_iar_cum)*(0.7/7) + heures_niar_cum*(1/7) + sortie_non_def_cum*30 if heures_iar_niar_cum<150
replace final_date=datefinpot +(heures_iar_cum)*((1+0.7)/7) + heures_niar_cum*(1/7) + sortie_non_def_cum*30 if heures_iar_niar_cum>=150

* Change format date potentielle indemnisation initiale to get the same date format
capture drop final_mois
gen final_mois = mofd(final_date)
format final_mois %tm

* remaining months of benefits
cap drop duree_restant
gen duree_restant=final_mois-date
replace duree_restant=. if duree_restant<0
replace duree_restant=. if sortiedef==1
replace duree_restant=24 if duree_restant>24 & !missing(duree_restant)
label var duree_restant "Nombre de mois restants d'indemnisation"

/*** duration model to get the predicted exit rate
2 states: before sortie définitive + sortie définitive */

* month of sortie definitive (definitive exit): 
cap drop temp
sort individu nb_mois_indemnisation
gen temp=nb_mois_indemnisation if sortiedef==1 & sortiedef[_n-1]==0 & individu==individu[_n-1]
cap drop duree_chomage
bysort individu: egen duree_chomage=max(temp)
drop temp

* censored, we replace the last date with missing 
cap drop time
gen time=nb_mois_indemnisation
replace time=. if numero_mois>30

* exit before consumming all benefits
cap drop sortie_avant
gen sortie_avant=sortiedef==1 & duree_restant>0

stset time, failure(sortie_avant==1) id(individu)

* Estimation cox
gl control_cox femme ///
		   jeune senior ///
		   higher_edu lower_2nd_edu ///
		   kpjdxp ///
		   kqcsjp ///
		   tx_chge 
		 

stcox  $control_cox , vce(cluster individu) 
* to get the relative hazard or hazard ratio exp(beta*xi)
cap drop surv
predict surv
* to get the baseline survivor function
cap drop surv1
predict surv1,basesurv

* to get the predicted survival rate from the beginning of the spell
cap drop survival_initial
gen survival_initial=surv1^surv

cap drop survival_fin
bysort individu:  egen survival_fin=min(survival_initial)
replace survival_fin=. if missing(survival_initial)

* to get the survival rate until the end of the spell and not form the first month
cap drop survival_courant
gen survival_courant=survival_fin/survival_initial

* calculate marginal rate
scalar tau=0.87
scalar beta=0.996 // month rate for an annual rate of 5%
scalar rho=0.8

cap drop marg_tax
gen marg_tax=tau - tau*beta^(duree_restant)*survival_courant 
replace marg_tax =tau - (tau+rho)*beta^(duree_restant)*survival_courant if heures_iar_niar_cum>=150

*** Figure C12 : The distribution of dynamic marginal tax rates

hist marg_tax if nb_mois_indemnisation>0  & nb_mois_indemnisation<31 , percent xtitle("Dynamic marginal tax rate") /// 
graphregion(fcolor(white)) color(gray) lcolor(black)

graph export "benghalem-cahuc-villedieu-figure-C12-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C12-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C12-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C12-original.pdf", replace

*** Figure C13 : Evolution of the average dynamic marginal tax rate over the unemployment spell

cd "${testing_AR_figureC13}"

binscatter marg_tax nb_mois_indemnisation if nb_mois_indemnisation>0 & nb_mois_indemnisation>0 & nb_mois_indemnisation<31 , discrete linetype(none) ///
 xtitle(Unemployment spell) ytitle(Marginal tax rate) color(black)

graph export "benghalem-cahuc-villedieu-figure-C13-original.eps", replace
graph export "benghalem-cahuc-villedieu-figure-C13-original.tif", replace
graph export "benghalem-cahuc-villedieu-figure-C13-original.png", replace
graph export "benghalem-cahuc-villedieu-figure-C13-original.pdf", replace

			
