use "${base}", clear 		   
	
* loop over periods
local borne_inf = ${borne_inf}
local borne_inf_bis = `borne_inf'+1
local borne_sup = ${borne_sup}

forvalues i = `borne_inf'/`borne_sup'{

	preserve
*------------------------	
	if("${method}" == "ebal"){
		quietly reg ${outcome} treated no_supercontrole if period == `i' [aweight=_webal], vce(cluster kcala)
	}
	else{
		if("${method}" == "controls"){
			quietly reg ${outcome} treated no_supercontrole ${controls} if period == `i', vce(cluster kcala)
		}
		else{
			quietly reg ${outcome} treated no_supercontrole if period == `i', vce(cluster kcala)
		}
	}
	set level ${confidence_level}
	regsave, ci
	gen periode = `i'
	save "treated_period_`i'_${method}.dta", replace
*-------------------------
	restore
}
* agregate periods 
use "treated_period_${borne_inf}_${method}.dta", clear

forvalues i = `borne_inf_bis'/`borne_sup'{
	append using "treated_period_`i'_${method}.dta"
}

keep if var == "treated"
drop var
sort period

save "table_${sample}_${effet}_${method}_${period_by}.dta", replace

* erase temporary datafiles
forvalues i = `borne_inf'/`borne_sup'{
	erase "treated_period_`i'_${method}.dta"
sleep 500
}
