foreach o in $outcomes {

	est clear // clear all previous estimates
	
	di "`o'"

	foreach d in $durations {
		
		di "`d'"
		
		* without covariates
		quietly reg `o' $regressors if numero_mois == `d' & $condition, vce(cluster kcala)
		est store `o'_`d'_1
		quiet sum `o' if supercontrole==1 & numero_mois == `d' & $condition
		estadd scalar supercontrole_mean = r(mean): `o'_`d'_1

		* with covariates 
		quietly reg `o' $regressors $covariates if numero_mois == `d' & $condition, vce(cluster kcala)
		est store `o'_`d'_2
		
		}
		
	esttab `o'_${d1}_1 `o'_${d1}_2 ///
		`o'_${d2}_1 `o'_${d2}_2 ///
		`o'_${d3}_1 `o'_${d3}_2 ///
		using "benghalem-cahuc-villedieu-table-A1-`o'-original.tex", ///
			mgroups("Over $d1 months" "Over $d2 months" "Over $d3 months", pattern(1 0 1 0 1 0) ///
					prefix(\multicolumn{@span}{c}{) suffix(}) ///
					span erepeat(\cmidrule(lr){@span})) ///
			keep($regressors) ///
			cells(b(star fmt(4)) se(par fmt(4)) p(par([ ]) fmt(3))) ///
			stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N")) ///
			nomtitles ///
			prehead(\begin{tabular}{lcccccc} ///
					\hline\hline) ///
			posthead(\hline) ///
			postfoot(\hline \end{tabular}) ///
			indicate(Covariates = femme) ///
			mlabels(none) ///
			collabels(none) ///
			varlabels(controle "Control" bas_tx_chge "Low " bas_tx_chgeXcontrole "Low X Control" ) ///
			starlevels(* 0.10 ** 0.05  *** 0.01) /// 
			modelwidth(3) /// 
			replace
}
