
*libname LOCAL 'C:\Users\PIERRE.VILLEDIEU\Dropbox\Testing_AR\Data\4-Extraction_tables_PE\Juil2019';
libname LOCAL 'X:\#Work\#Projets\Testing AR\Testing_AR\Prog\Prog for JHR\Data\Raw data';
libname OUTLIB 'X:\#Work\#Projets\Testing AR\Testing_AR\Prog\Prog for JHR\Data\Intermediate tables';

%LET V=MAI20;

data work.H&V._PEC;
set LOCAL.H&V._PEC;
run;

data work.H&V._PCP;
set LOCAL.H&V._PCP;
run;

data work.H&V._PAR;
set LOCAL.H&V._PAR;
run;

data work.H&V._IND;
set LOCAL.H&V._IND;
run;

data work.H&V._PJC;
set LOCAL.H&V._PJC;
run;

data work.H&V._ODD;
set LOCAL.H&V._ODD;
run;

data work.H&V._PRM;
set LOCAL.H&V._PRM;
run;

data work.H&V._CDT;
set LOCAL.H&V._CDT;
run;

/* CREATION DE DE_MENSUEL ET DROIT APRES L'EXTRACTION A PE  */


%LET LISTE_DES_REGIONS_ORAFNA=201 203 204 205 206 207 208 209 210 211 2a2 2b2 2c2;
%LET PREMIERE_REGION_A_INTEGRER=1;
%LET DERNIERE_REGION_A_INTEGRER=13;
%LET OBS=; /*Pour faire des tests*/
%LET B=WORK; /*Indiquer le nom de la bibliothque*/
%LET V=MAI20;
%LET OBS=;
%LET ANNEE_MAX_D_ANALYSE=2020; /* certaines priodes, dont la fin nest pas connue, sont tendues jusquau mois correspondant aux donnes les plus rcentes */
%LET MOIS_MAX_D_ANALYSE=4; /* (exemple: septembre 2012 pour lexploitation dOctobre 2012); cette information est notamment utilise pour la date de radiation, laquelle nest pas renseigne ds lors que la PEC est toujours en cours. */
%LET AAAA=2018; /* Anne d'analyse; les principaux indicateurs relatifs  cette anne seront stocks dans DROITS */

*%INCLUDE "C:\Users\PIERRE.VILLEDIEU\Dropbox\Testing_AR\Prog\4-Extraction_des_tables\Formats.sas";
%INCLUDE 'X:\#Work\#Projets\Testing AR\Testing_AR\Prog\Prog for JHR\Data\Raw data\Formats2.sas';

%MACRO MENSUALISATION_PEC;

	PROC SORT DATA=H&V._PEC; BY INDIVIDU KDINS; RUN;

	/* GESTION DES PEC EN DOUBLONS */
	DATA &B..H&V._PEC_DEDOUBLONNE 		(DROP=fin_precedente_periode_analyse RECTIFIE_ET_INTEGRE KDINS_AVANT_RECTIFICATION)
		 &B..H&V._PEC_DOUBLONS 			(DROP=fin_precedente_periode_analyse);
	RETAIN fin_precedente_periode_analyse;
	SET H&V._PEC;
	BY INDIVIDU KDINS;
		/* On vite les doublons (deux lignes pour un mme mois) en liminant les chevauchements de PEC -ce sont des anomalies;
				pour tre plus propre, on devrait supprimer tout l'individu, mais dans ce cas, cela fausserait un peu le nombre d'allocataires restitu */ 
		IF KDINS < fin_precedente_periode_analyse AND NOT FIRST.INDIVIDU
		THEN DO;
			IF KDSAN-1 > fin_precedente_periode_analyse /*-1 car le dernier jour de la prise en charge est, par dfinition de KDSAN, un jour non pris en charge */
			THEN DO;
				/* Si la PJC courant chevauche la prcdente PJC, en la dpassant,
					alors on "rectifie" sa date de dbut  une date permettant de continuer la PJC prcdente 
				 l'indicatrice RECTIFIE_ET_INTEGRE stocke l'information disant que la PJC a t rectifie puis exploite comme les autres */
				RECTIFIE_ET_INTEGRE="Oui";
				KDINS_AVANT_RECTIFICATION=KDINS;
				KDINS= fin_precedente_periode_analyse+1;
				Output &B..H&V._PEC_DOUBLONS;
			END;				
			ELSE DO;
				RECTIFIE_ET_INTEGRE="Non";
				Output &B..H&V._PEC_DOUBLONS; /* l'indicatrice RECTIFIE_ET_INTEGRE stocke l'information disant que la ligne a t zappe */
				IF 0; /*Si la PEC courante est contenue dans la PEC prcdente, alors on la zappe */
			END;
		END;
		Output &B..H&V._PEC_DEDOUBLONNE;
		fin_precedente_periode_analyse=KDSAN-1;
	RUN;

	DATA &B..H&V._PEC_ET_PEC_SUIVANTE;
	MERGE &B..H&V._PEC_DEDOUBLONNE
		&B..H&V._PEC_DEDOUBLONNE (FIRSTOBS=2 KEEP=INDIVIDU KDINS
								RENAME=(INDIVIDU=INDIVIDU_suivant KDINS=KDINS_suivant));
	RUN;

	DATA &B..H&V._PEC_MENSUEL (KEEP=INDIVIDU ANNEE MOIS NBJ_PEC DEFM KCCAT KCDSPD KCEMP KCMTI_Premier_mois_de_la_PEC KCMAN_Dernier_mois_de_la_PEC RENAME=(KCMTI_Premier_mois_de_la_PEC=KCMTI KCMAN_Dernier_mois_de_la_PEC=KCMAN));
		LENGTH ANNEE 8. MOIS 8. NBJ_PEC 8. DEFM $1. KCMAN_Dernier_mois_de_la_PEC $2.;
		RETAIN ANNEE MOIS NBJ_PEC 0 Securite 0 KCMAN_Dernier_mois_de_la_PEC "";
	SET &B..H&V._PEC_ET_PEC_SUIVANTE End=Eof;
	BY INDIVIDU KDINS;
	
		/* KCMTI n'est enregistr qu'une seule fois : lors du premier mois o il y a la PEC - si sur un mois donn, il y a deux PEC qui dbutent, alors on n'enregistre que le KCTMI de la dernire */
		KCMTI_Premier_mois_de_la_PEC=KCMTI;

		/* La PEC va tre dcoupe en priode d'analyse correspondant  autant de mois couverts par la PEC
			Rq : La date de dbut de la premire priode d'analyse est la mme que la date de dbut de la PEC; pour les priodes d'analyse suivantes, le calcul sera diffrent -voir ci-dessous */
		Debut_periode_analyse=KDINS;
		
		Securite=0;
		DO UNTIL (Changer_de_PEC eq 'Oui' Or Securite>1200);

			/* Calcul des caractristiques de la priode d'analyse courante */			
			Fin_periode_analyse=min(INTNX('Month',Debut_periode_analyse,0,'End'),KDSAN-1);
			NBJ_PEC=NBJ_PEC+(Fin_periode_analyse-Debut_periode_analyse+1);
			ANNEE=Year(Debut_periode_analyse);
			MOIS=Month(Debut_periode_analyse);

			/* Calcul de la date de dbut de la prochaine priode - si besoin, prvoir de changer de PEC */
			Debut_periode_analyse=Fin_periode_analyse+1;
			IF Debut_periode_analyse>KDSAN-1 /* (nouvelle)Debut_periode_analyse>KDSAN => Fin_periode_analyse+1 > KDSAN => on est arriv au bout de la PEC */	
			THEN DO;
				Changer_de_PEC='Oui';
				KCMAN_Dernier_mois_de_la_PEC=KCMAN; /* KCMAN n'est enregistr qu'une seule fois : lors du dernier mois o il y a la PEC 
									- si sur un mois donn, il y a deux PEC qui se terminent, alors on n'enregistre que le KCMAN de la dernire */
			END;

			IF Debut_periode_analyse>INTNX('Month',MDY(&Mois_max_d_analyse,1,&Annee_max_d_analyse),0,'End')
			THEN Changer_de_PEC='Oui';
				/* (nouvelle)Debut_periode_analyse dpasse la limite max paramtre pour l'analyse, autrement dit, la personne est toujours inscrite,
							et on n'a pas de date de fin de son inscription, donc il faut bien s'arrter  une date paramtre (sinon on va jusque 01/12/1999) */

			/* Lorsque toutes les PEC concernant le mois courant ont t comptabilises, enregistrement des donnes agrges sur le mois */
			IF LAST.INDIVIDU Or MDY(MOIS,1,ANNEE) ne INTNX('Month',KDINS_suivant,0,'Beginning')			
			THEN DO; /* Si on change d'individu ou bien si la PEC suivante est sur un autre mois que le mois courant, alors on insre, car on ne pourra pas complter davantage pour le mois en cours */
				IF Fin_periode_analyse eq INTNX('Month',Fin_periode_analyse,0,'End') THEN DEFM='O'; ELSE DEFM='N';
				OUTPUT &B..H&V._PEC_MENSUEL;
				*Rinitialisations;
				NBJ_PEC=0;
				KCMTI_Premier_mois_de_la_PEC="";
				KCMAN_Dernier_mois_de_la_PEC="";
				NBJ_Pec_Elimines_car_Inter=0;
			END;

			Securite=Securite+1; /* Evite quoi qu'il advienne de boucler  l'infini - utile en phase de dveloppement */
		END;
	RUN;

	%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._PEC_ET_PEC_SUIVANTE; RUN; %END;
	%ELSE %PUT SYSERR=&SYSERR.;

%MEND;


%MACRO MENSUALISATION_PCP;

	PROC SORT DATA=H&V._PCP; BY INDIVIDU KDDPR; RUN;

	/* GESTION DES PCP EN DOUBLONS */
	DATA &B..H&V._PCP_DEDOUBLONNE 		(DROP=fin_precedente_periode_analyse RECTIFIE_ET_INTEGRE KDDPR_AVANT_RECTIFICATION)
		 &B..H&V._PCP_DOUBLONS 			(DROP=fin_precedente_periode_analyse);
	RETAIN fin_precedente_periode_analyse;
	SET H&V._PCP;
	BY INDIVIDU KDDPR;
		/* On vite les doublons (deux lignes pour un mme mois) en liminant les chevauchements de PCP -ce sont des anomalies;
				pour tre plus propre, on devrait supprimer tout l'individu, mais dans ce cas, cela fausserait un peu le nombre d'allocataires restitu */ 
		IF KDDPR < fin_precedente_periode_analyse AND NOT FIRST.INDIVIDU
		THEN DO;
			IF KDFPR-1 > fin_precedente_periode_analyse /*-1 car le dernier jour de la prise en charge est, par dfinition de KDFPR, un jour non pris en charge */
			THEN DO;
				/* Si la PJC courant chevauche la prcdente PJC, en la dpassant,
					alors on "rectifie" sa date de dbut  une date permettant de continuer la PJC prcdente 
				 l'indicatrice RECTIFIE_ET_INTEGRE stocke l'information disant que la PJC a t rectifie puis exploite comme les autres */
				RECTIFIE_ET_INTEGRE="Oui";
				KDDPR_AVANT_RECTIFICATION=KDDPR;
				KDDPR= fin_precedente_periode_analyse+1;
				Output &B..H&V._PCP_DOUBLONS;
			END;				
			ELSE DO;
				RECTIFIE_ET_INTEGRE="Non";
				Output &B..H&V._PCP_DOUBLONS; /* l'indicatrice RECTIFIE_ET_INTEGRE stocke l'information disant que la ligne a t zappe */
				IF 0; /*Si la PCP courante est contenue dans la PCP prcdente, alors on la zappe */
			END;
		END;
		Output &B..H&V._PCP_DEDOUBLONNE;
		fin_precedente_periode_analyse=KDFPR-1;
	RUN;

	DATA &B..H&V._PCP_ET_PCP_SUIVANTE;
	MERGE &B..H&V._PCP_DEDOUBLONNE
		&B..H&V._PCP_DEDOUBLONNE (FIRSTOBS=2 KEEP=INDIVIDU KDDPR
								RENAME=(INDIVIDU=INDIVIDU_suivant KDDPR=KDDPR_suivant));
	RUN;

	DATA &B..H&V._PCP_MENSUEL (KEEP=INDIVIDU ANNEE MOIS KCPRCZ);
		LENGTH ANNEE 8. MOIS 8.;
		RETAIN ANNEE MOIS Securite 0;
	SET &B..H&V._PCP_ET_PCP_SUIVANTE End=Eof;
	BY INDIVIDU KDDPR;

		/* Mme principe que pour le dcoupage des PEC */
		Debut_periode_analyse=KDDPR;
		
		Securite=0;
		DO UNTIL (Changer_de_PCP eq 'Oui' Or Securite>1200);

			/* Calcul des caractristiques de la priode d'analyse courante */			
			Fin_periode_analyse=min(INTNX('Month',Debut_periode_analyse,0,'End'),KDFPR-1);
			ANNEE=Year(Debut_periode_analyse);
			MOIS=Month(Debut_periode_analyse);

			/* Calcul de la date de dbut de la prochaine priode - si besoin, prvoir de changer de PCP */
			Debut_periode_analyse=Fin_periode_analyse+1;
			IF Debut_periode_analyse>KDFPR-1
			THEN Changer_de_PCP='Oui';

			/* On stoppe l'analyse au dernier "dernier mois d'analyse" paramtr pour tout le programme */
			IF Debut_periode_analyse>INTNX('Month',MDY(&Mois_max_d_analyse,1,&Annee_max_d_analyse),0,'End')
			THEN Changer_de_PCP='Oui';

			/* Enregistrement de la dernire PCP du mois */
			IF LAST.INDIVIDU Or MDY(MOIS,1,ANNEE) ne INTNX('Month',KDDPR_suivant,0,'Beginning')			
			THEN OUTPUT &B..H&V._PCP_MENSUEL;

			Securite=Securite+1; /* Evite quoi qu'il advienne de boucler  l'infini - utile en phase de dveloppement */
		END;
	RUN;

	%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._PCP_ET_PCP_SUIVANTE; RUN; %END;
	%ELSE %PUT SYSERR=&SYSERR.;

%MEND;


%MACRO MENSUALISATION_PJC;
	PROC SORT DATA=H&V._PJC; BY INDIVIDU KDDPJ; RUN;
	
	/* GESTION DES PJC EN DOUBLONS */
	DATA &B..H&V._PJC_DEDOUBLONNE 		(DROP=fin_precedente_periode_analyse RECTIFIE_ET_INTEGRE KDDPJ_AVANT_RECTIFICATION)
		 &B..H&V._PJC_DOUBLONS 				(DROP=fin_precedente_periode_analyse);
	RETAIN fin_precedente_periode_analyse;
	SET H&V._PJC;
	BY INDIVIDU KDDPJ;
		/* On vite les doublons (deux lignes pour un mme mois) en liminant les chevauchements de PJC -ce sont des anomalies;
				pour tre plus propre, on devrait supprimer tout l'individu, mais dans ce cas, cela fausserait un peu le nombre d'allocataires restitu */ 
		IF KDDPJ <= fin_precedente_periode_analyse AND NOT FIRST.INDIVIDU
		THEN DO;
			IF KDFPJ > fin_precedente_periode_analyse
			THEN DO;
				/* Si la PJC courant chevauche la prcdente PJC, en la dpassant,
					alors on "rectifie" sa date de dbut  une date permettant de continuer la PJC prcdente 
				 l'indicatrice RECTIFIE_ET_INTEGRE stocke l'information disant que la PJC a t rectifie puis exploite comme les autres */
				RECTIFIE_ET_INTEGRE="Oui";
				KDDPJ_AVANT_RECTIFICATION=KDDPJ;
				KDDPJ= fin_precedente_periode_analyse+1;
				Output &B..H&V._PJC_DOUBLONS;
			END;
			ELSE DO;
				RECTIFIE_ET_INTEGRE="Non";
				Output &B..H&V._PJC_DOUBLONS; /* l'indicatrice RECTIFIE_ET_INTEGRE stocke l'information disant que la ligne a t zappe */
				IF 0; /*Si la PJC courante est contenue dans la PJC prcdente, alors on la zappe */
			END;
		END;
		Output &B..H&V._PJC_DEDOUBLONNE;
		fin_precedente_periode_analyse=KDFPJ;
	RUN;

	/* AJOUT D'INFORMATIONS RELATIVES A LA PJC SUIVANTE */
	DATA &B..H&V._PJC_ET_PJC_SUIVANTE;
	MERGE &B..H&V._PJC_DEDOUBLONNE 
		  &B..H&V._PJC_DEDOUBLONNE (FIRSTOBS=2 KEEP=KDDPJ KROD
									RENAME=(KDDPJ=KDDPJ_suivant KROD=KROD_suivant));
	RUN;

DATA &B..H&V._PJC_MENSUEL
		(KEEP=INDIVIDU ANNEE MOIS KCRGC KCRD FDD KPJDXP KCALF ALLOCATION_TYPE KQRSPP KQBPJP SJC_MAX KCFPP KCRRD_Premier_mois_de_l_ODD KCOPP_Premier_mois_de_l_ODD
			NBJ_RAC NBJ_CONSOMMES_PAYES NBJ_CONSOMMES_NON_PAYES NBJ_NON_CONSOMMES_INIT NBJ_NON_CONSOMMES_JUSTIFS
			NBJ_NON_CONSOMMES_REMUN NBJ_NON_CONSOMMES_HEURES NBJ_NON_CONSOMMES_DECALAGE NBJ_NON_CONSOMMES_AUTRES NBJ_PAYES_AU_TITRE_DES_AIDES
			NBJ_RSN NBJ_AUTRES_REGIMES
			INDEMNISATION PJC_COUVRE_FIN_DE_MOIS BFM AIDES_VERSEES
			NBJ_CONSOMMES_DANS_LE_DROIT NBM_AVEC_CUMUL_DANS_LE_DROIT
			KROD
		COMPRESS=YES
		RENAME=(KCRRD_Premier_mois_de_l_ODD=KCRRD KCOPP_Premier_mois_de_l_ODD=KCOPP))

	&B..H&V._DROITS_V0
		(KEEP=INDIVIDU KROD KNCTS KCCT1 KCCT2 KCRGC KCTAI KCAAJ DROIT_ALLOCATION_TYPE KCRD DROIT_NUMERO DROIT_KCRRD KPJDXP DROIT_PREMIERE_AJ DROIT_DERNIERE_AJ DROIT_PREMIER_CTP
				KQCSJP KQCSJ3 KCTPP KNFIL KQISLP KPJTRP KDJRSJ KDDPRC KDFRA KPARAP KPPRAP KFRPCS KFACOD KQBIAP KNJECP
			DROIT_SJC_MAX KCOPP_Premier_mois_de_l_ODD 
			DROIT_PREMIERE_ANNEE DROIT_PREMIER_MOIS DROIT_PREMIER_JOUR DROIT_DERNIERE_ANNEE DROIT_DERNIER_MOIS DROIT_DERNIER_JOUR DROIT_FDD
			DROIT_NBJ_CONSOMMES_PAYES DROIT_NBJ_CONSOMMES_NON_PAYES
			DROIT_NBJ_NON_CONSOMMES_INIT DROIT_NBJ_NON_CONSOMMES_INIT_CP DROIT_NBJ_NON_CONSOMMES_INIT_ISL DROIT_NBJ_NON_CONSOMMES_INIT_DIF DROIT_NBJ_NON_CONSOMMES_JUSTIFS
			DROIT_NBJ_NON_CONSOMMES_REMUN DROIT_NBJ_NON_CONSOMMES_HEURES DROIT_NBJ_NON_CONSOMMES_DECALAGE DROIT_NBJ_NON_CONSOMMES_AUTRES DROIT_NBJ_PAYES_POUR_AIDES
			DROIT_NBJ_RSN DROIT_NBJ_AUTRES_REGIMES DROIT_INDEMNISATION DROIT_AIDES_VERSEES NBM_AVEC_CUMUL_DANS_LE_DROIT
			D&AAAA._NBJ_CONSOMMES_PAYES D&AAAA._NBJ_CONSOMMES_NON_PAYES
			D&AAAA._NBJ_NON_CONSOMMES_INIT D&AAAA._NBJ_NON_CONSOMMES_JUSTIFS
			D&AAAA._NBJ_NON_CONSOMMES_REMUN D&AAAA._NBJ_NON_CONSOMMES_HEURES D&AAAA._NBJ_NON_CONSOMMES_DECALAGE D&AAAA._NBJ_NON_CONSOMMES_AUTRES D&AAAA._NBJ_PAYES_POUR_AIDES
			D&AAAA._NBJ_RSN D&AAAA._NBJ_AUTRES_REGIMES D&AAAA._INDEMNISATION D&AAAA._AIDES_VERSEES
			DROIT_PRECEDENT_DERNIER_JOUR DROIT_PRECEDENT_ALLOCATION 
		RENAME=(DROIT_ALLOCATION_TYPE=ALLOCATION_TYPE DROIT_KCRRD=KCRRD DROIT_SJC_MAX=SJC_MAX KCOPP_Premier_mois_de_l_ODD=KCOPP
				DROIT_NUMERO=NUMERO DROIT_PRECEDENT_DERNIER_JOUR=DERNIER_JOUR_dp DROIT_PRECEDENT_ALLOCATION=KCAAJ_dp 
				DROIT_PREMIERE_AJ=PREMIERE_AJ DROIT_DERNIERE_AJ=DERNIERE_AJ DROIT_PREMIER_CTP=PREMIER_CTP
				DROIT_PREMIERE_ANNEE=PREMIERE_ANNEE DROIT_PREMIER_MOIS=PREMIER_MOIS DROIT_PREMIER_JOUR=PREMIER_JOUR
				DROIT_DERNIERE_ANNEE=DERNIERE_ANNEE DROIT_DERNIER_MOIS=DERNIER_MOIS DROIT_DERNIER_JOUR=DERNIER_JOUR DROIT_FDD=FDD
				DROIT_NBJ_CONSOMMES_PAYES=NBJ_CONSOMMES_PAYES DROIT_NBJ_CONSOMMES_NON_PAYES=NBJ_CONSOMMES_NON_PAYES
				DROIT_NBJ_NON_CONSOMMES_INIT=NBJ_NON_CONSOMMES_INIT DROIT_NBJ_NON_CONSOMMES_JUSTIFS=NBJ_NON_CONSOMMES_JUSTIFS
 				DROIT_NBJ_NON_CONSOMMES_INIT_CP=NBJ_NON_CONSOMMES_INIT_CP DROIT_NBJ_NON_CONSOMMES_INIT_ISL=NBJ_NON_CONSOMMES_INIT_ISL DROIT_NBJ_NON_CONSOMMES_INIT_DIF=NBJ_NON_CONSOMMES_INIT_DIF
				DROIT_NBJ_NON_CONSOMMES_REMUN=NBJ_NON_CONSOMMES_REMUN DROIT_NBJ_NON_CONSOMMES_HEURES=NBJ_NON_CONSOMMES_HEURES
				DROIT_NBJ_NON_CONSOMMES_DECALAGE=NBJ_NON_CONSOMMES_DECALAGE DROIT_NBJ_NON_CONSOMMES_AUTRES=NBJ_NON_CONSOMMES_AUTRES
				DROIT_NBJ_PAYES_POUR_AIDES=NBJ_PAYES_POUR_AIDES DROIT_NBJ_RSN=NBJ_RSN DROIT_NBJ_AUTRES_REGIMES=NBJ_AUTRES_REGIMES
				DROIT_INDEMNISATION=INDEMNISATION DROIT_AIDES_VERSEES=AIDES_VERSEES
				D&AAAA._NBJ_CONSOMMES_PAYES=NBJ_CONSOMMES_PAYES_&AAAA. D&AAAA._NBJ_CONSOMMES_NON_PAYES=NBJ_CONSOMMES_NON_PAYES_&AAAA.
				D&AAAA._NBJ_NON_CONSOMMES_INIT=NBJ_NON_CONSOMMES_INIT_&AAAA. D&AAAA._NBJ_NON_CONSOMMES_JUSTIFS=NBJ_NON_CONSOMMES_JUSTIFS_&AAAA.
				D&AAAA._NBJ_NON_CONSOMMES_REMUN=NBJ_NON_CONSOMMES_REMUN_&AAAA. D&AAAA._NBJ_NON_CONSOMMES_HEURES=NBJ_NON_CONSOMMES_HEURES_&AAAA.
				D&AAAA._NBJ_NON_CONSOMMES_DECALAGE=NBJ_NON_CONSOMMES_DECALAGE_&AAAA. D&AAAA._NBJ_NON_CONSOMMES_AUTRES=NBJ_NON_CONSOMMES_AUTRES_&AAAA.
				D&AAAA._NBJ_PAYES_POUR_AIDES=NBJ_PAYES_POUR_AIDES_&AAAA. D&AAAA._NBJ_RSN=NBJ_RSN_&AAAA.
				D&AAAA._NBJ_AUTRES_REGIMES=NBJ_AUTRES_REGIMES_&AAAA. D&AAAA._INDEMNISATION=INDEMNISATION_&AAAA. D&AAAA._AIDES_VERSEES=AIDES_VERSEES_&AAAA.));

LENGTH
	INDIVIDU 8. ANNEE 8. MOIS 8. KROD $4. KCAAJ $2. KCRGC $1. KCRD $2. KCTAI $3. KCRRD $1. DROIT_KCRRD $1. FDD $1. KQCSJP 8. KQCSJ3 8. KCTPP 8. KNCTS 8. KCCT1 $14. KCCT2 $14.
	KROD_Precedent $4. KCALF_Precedent $2. KQRSPP_Precedent 8. KQBPJP_Precedent 8. SJC_MAX 8. DROIT_SJC_MAX 8.
	KCRRD_Premier_mois_de_l_ODD $1. KCOPP_Premier_mois_de_l_ODD $2. Pjc_suivante $22.;
RETAIN
	NBJ_CONSOMMES_PAYES 0 NBJ_CONSOMMES_NON_PAYES 0 NBJ_NON_CONSOMMES_INIT 0 NBJ_NON_CONSOMMES_JUSTIFS 0
	NBJ_NON_CONSOMMES_REMUN 0 NBJ_NON_CONSOMMES_HEURES 0 NBJ_NON_CONSOMMES_DECALAGE 0 NBJ_NON_CONSOMMES_AUTRES 0 NBJ_PAYES_AU_TITRE_DES_AIDES 0
	NBJ_RSN 0 NBJ_AUTRES_REGIMES 0 INDEMNISATION 0 AIDES_VERSEES 0
	KROD_Precedent '' KCALF_Precedent '' KQRSPP_Precedent . KQBPJP_Precedent .
	KCRGC '' KCRD '' KCTAI '' KCAAJ '' KPJDXP . KQCSJP . KQCSJ3 . KCTPP . KNCTS . KCCT1 '' KCCT2 '' KNFIL '' KQISLP . KPJTRP . KDJRSJ . KDDPRC . KDFRA . KPARAP . KPPRAP .
	KFRPCS '' KFACOD '' KQBIAP . KNJECP .
	SJC_MAX . DROIT_SJC_MAX . KCRRD_Premier_mois_de_l_ODD '' KCOPP_Premier_mois_de_l_ODD '' /* L'ODD n'est pas recharg  chaque PJC,
		mais uniquement lorsque la PJC se rattache  une autre ODD que la prcdente PJC; donc pas dfaut, on reconduit les rgimes de la PJC prcdente */
	FDD '' NBJ_CONSOMMES_DANS_LE_DROIT 0 NBM_AVEC_CUMUL_DANS_LE_DROIT 0
	DROIT_NUMERO 0 DROIT_PRECEDENT_DERNIER_JOUR . DROIT_PRECEDENT_ALLOCATION '' DROIT_PREMIERE_AJ . DROIT_DERNIERE_AJ . DROIT_PREMIER_CTP .
	DROIT_PREMIERE_ANNEE . DROIT_PREMIER_MOIS . DROIT_PREMIER_JOUR . DROIT_DERNIERE_ANNEE . DROIT_DERNIER_MOIS . DROIT_KCRRD ' ' DROIT_FDD 'N'
	DROIT_NBJ_CONSOMMES_PAYES 0 DROIT_NBJ_CONSOMMES_NON_PAYES 0 DROIT_NBJ_NON_CONSOMMES_INIT 0 DROIT_NBJ_NON_CONSOMMES_JUSTIFS 0
	DROIT_NBJ_NON_CONSOMMES_INIT_CP 0 DROIT_NBJ_NON_CONSOMMES_INIT_ISL 0 DROIT_NBJ_NON_CONSOMMES_INIT_DIF 0 
	DROIT_NBJ_NON_CONSOMMES_REMUN 0 DROIT_NBJ_NON_CONSOMMES_HEURES 0 DROIT_NBJ_NON_CONSOMMES_DECALAGE 0 DROIT_NBJ_NON_CONSOMMES_AUTRES 0 DROIT_NBJ_PAYES_POUR_AIDES 0
	DROIT_NBJ_RSN 0 DROIT_NBJ_AUTRES_REGIMES 0 DROIT_INDEMNISATION 0 DROIT_AIDES_VERSEES 0
	D&AAAA._NBJ_CONSOMMES_PAYES 0 D&AAAA._NBJ_CONSOMMES_NON_PAYES 0 D&AAAA._NBJ_NON_CONSOMMES_INIT 0 D&AAAA._NBJ_NON_CONSOMMES_JUSTIFS 0
	D&AAAA._NBJ_NON_CONSOMMES_REMUN 0 D&AAAA._NBJ_NON_CONSOMMES_HEURES 0 D&AAAA._NBJ_NON_CONSOMMES_DECALAGE 0 D&AAAA._NBJ_NON_CONSOMMES_AUTRES 0 D&AAAA._NBJ_PAYES_POUR_AIDES 0
	D&AAAA._NBJ_RSN 0 D&AAAA._NBJ_AUTRES_REGIMES 0 D&AAAA._INDEMNISATION 0 D&AAAA._AIDES_VERSEES 0;

FORMAT DROIT_PREMIER_JOUR DROIT_DERNIER_JOUR DROIT_PRECEDENT_DERNIER_JOUR DDMMYY10.;

IF _N_=1 THEN DO ;
	DECLARE HASH ODD (DATASET:"H&V._ODD");
		ODD.DEFINEKEY('INDIVIDU','KROD');
		ODD.DEFINEDATA('INDIVIDU','KCAAJ','KCRGC','KCRD','KCTAI','KCRRD','KPJDXP','KQCSJP', 'KQCSJ3', 'KCTPP', 'KNCTS','KCCT1','KCCT2', 'KNFIL', 'KQISLP', 'KPJTRP', 'KDJRSJ', 'KDDPRC', 'KDFRA', 'KPARAP', 'KPPRAP',
							'KFRPCS', 'KFACOD', 'KQBIAP', 'KNJECP');
		ODD.DEFINEDONE();
		Call Missing(KCAAJ,KCRGC,KCRD,KCTAI,KCRRD,KPJDXP,KQCSJP,KQCSJ3,KCTPP,KNCTS,KCCT1,KCCT2,KNFIL,KQISLP,KPJTRP,KDJRSJ,KDDPRC,KDFRA,KPARAP,KPPRAP,KFRPCS,KFACOD,KQBIAP,KNJECP);
END;
SET &B..H&V._PJC_ET_PJC_SUIVANTE;

	BY INDIVIDU KDDPJ; /* il faut pouvoir agir au niveau d'une ligne fonction de la suivante; pour cela, on utilise le retain *precedent* pour les jours consomms, et le by first/last pour l'individu;
	le mieux serait d'utiliser pour tout le first/last, mais a aurait l'inconvnient de devoir d'abord renseigner ANNEE, MOIS, en dcoupant les PJC longues en plusieurs lignes,
		avant de refaire une passe sur la table et d'utiliser ANNEE.last et MOIS.last */

	IF FIRST.INDIVIDU OR KROD_Precedent ne KROD
       /* Cas:Nouveau droit */ 
	THEN DO;

		/* On ne charge le contenu de ODD que si l'ODD de la PJC est un nouvel ODD */
		IF ODD.FIND() eq 0 THEN HASH='Trouv'; /* Remarque technique : IF ODD.FIND() eq 0... ne peut tre remplac par ODD.FIND();, car sinon "Duplicate Key", ce que je ne comprends pas */
		ELSE DO;
			HASH='Non trouv'; 
			/* Remise  0 de l'ancien droit - certaines variables sont retenues et ne doivent pas craser remplacer celle du droit courant n'est pas trouv - cas rare mais existant dans les annes non rcentes - */
			KCRGC='';
			KCRD='';
			KCTAI='';
			KCRRD=.;
			KPJDXP=.;
			KQCSJP=.;
			KQCSJ3=.;
			KCTPP=.;
			KNCTS=.;
			KCCT1=.;
			KCCT2=.;
			KCRRD_Premier_mois_de_l_ODD='';
		END;
		
		KCRRD_Premier_mois_de_l_ODD=KCRRD; /* Initialisation  KCRRD, puis sera mis  "" au premier Output; */
		KCOPP_Premier_mois_de_l_ODD=KCOPP;
		NBJ_CONSOMMES_DANS_LE_DROIT=0;
		IF KCALF eq '' THEN KCALF=KCAAJ;
		IF KQRSPP eq 0 THEN KQRSPP=Max(KQCSJP,KQCSJ3);

		/* Enregistrement des informations concernant le droit */
		DROIT_PREMIERE_ANNEE = YEAR(KDDPJ);
		DROIT_PREMIER_MOIS = MONTH(KDDPJ);
		DROIT_PREMIER_JOUR = KDDPJ;
		DROIT_KCRRD=KCRRD;
			/* Initialisation */
		IF KQBPJP gt 0 & KCPJC ne '4' THEN DO; DROIT_PREMIERE_AJ=KQBPJP; DROIT_DERNIERE_AJ=KQBPJP; END;   ELSE DO; DROIT_PREMIERE_AJ=.; DROIT_DERNIERE_AJ=.; END;
		IF KTRCAP gt 0 THEN DO; DROIT_PREMIER_CTP=KTRCAP; END;   ELSE DO; DROIT_PREMIER_CTP=.; END; DROIT_FDD = 'N';
		DROIT_NBJ_CONSOMMES_PAYES=0; DROIT_NBJ_CONSOMMES_NON_PAYES=0; DROIT_NBJ_NON_CONSOMMES_INIT=0; DROIT_NBJ_NON_CONSOMMES_JUSTIFS=0;
		DROIT_NBJ_NON_CONSOMMES_INIT_CP=0; DROIT_NBJ_NON_CONSOMMES_INIT_ISL=0; DROIT_NBJ_NON_CONSOMMES_INIT_DIF=0;
		DROIT_NBJ_NON_CONSOMMES_REMUN=0; DROIT_NBJ_NON_CONSOMMES_HEURES=0; DROIT_NBJ_NON_CONSOMMES_DECALAGE=0; DROIT_NBJ_NON_CONSOMMES_AUTRES=0; DROIT_NBJ_PAYES_POUR_AIDES=0;
		DROIT_NBJ_RSN=0; DROIT_NBJ_AUTRES_REGIMES=0; DROIT_INDEMNISATION=0; DROIT_AIDES_VERSEES=0;
		D&AAAA._NBJ_CONSOMMES_PAYES=0; D&AAAA._NBJ_CONSOMMES_NON_PAYES=0; D&AAAA._NBJ_NON_CONSOMMES_INIT=0; D&AAAA._NBJ_NON_CONSOMMES_JUSTIFS=0;
		D&AAAA._NBJ_NON_CONSOMMES_REMUN=0; D&AAAA._NBJ_NON_CONSOMMES_HEURES=0; D&AAAA._NBJ_NON_CONSOMMES_DECALAGE=0; D&AAAA._NBJ_NON_CONSOMMES_AUTRES=0; D&AAAA._NBJ_PAYES_POUR_AIDES=0;
		D&AAAA._NBJ_RSN=0; D&AAAA._NBJ_AUTRES_REGIMES=0; D&AAAA._INDEMNISATION=0; D&AAAA._AIDES_VERSEES=0;
		
	END;
       /* Cas:Droit prcdent continu */ 
	ELSE DO;
		/* Dtermination de l'allocation */
		IF KCALF eq '' THEN KCALF=KCALF_precedent; /* Si l'allocation n'est pas renseigne, on reconduit la dernire - il est possible qu'il y ait des cas o cela n'est pas correct */
		IF KQRSPP eq 0 THEN KQRSPP=KQRSPP_precedent; /* !!! Attention, faire une tude sur KQRSPP pour vrifier la fiabilit de cette correction */
		IF KQBPJP eq 0 THEN KQBPJP=KQBPJP_precedent;
		IF KQBPJP gt 0 & KCPJC ne '4' THEN 	DO; IF DROIT_PREMIERE_AJ le 0 THEN DROIT_PREMIERE_AJ=KQBPJP;
												DROIT_DERNIERE_AJ=KQBPJP;
											END;
		IF KTRCAP gt 0 AND DROIT_PREMIER_CTP le 0 THEN DROIT_PREMIER_CTP=KTRCAP;

	END;

	ALLOCATION_TYPE = Put(KCALF,$ALLOCATION_TYPE.);

	/* Rectification du rgime */
	IF KCRGC eq '' THEN
	DO; /* Dans certains cas antrieurs  2001, le rgime n'est pas renseign; il est donc identifi le cas o il s'agit du RAC, sinon, on laisse par dfaut  "?" */
		IF ALLOCATION_TYPE IN ('ARE' 'AREF' 'AFR' 'ASP' 'ASR' 'IF' 'ADR' 'ARCE' 'ATP' 'ASCRE')
		THEN KCRGC = '1';
		ELSE KCRGC = '?';
	END;

	KROD_Precedent=KROD;
	KCALF_precedent=KCALF;
	KQRSPP_precedent=KQRSPP;
	KQBPJP_precedent=KQBPJP;
	DROIT_SJC_MAX=MAX(DROIT_SJC_MAX,KQPCAP);

	IF KCFPP eq '10' THEN DROIT_FDD = 'O';

	debut_periode_analyse=KDDPJ;
	fin_periode_analyse=min(INTNX('Month',KDDPJ,0,'End'),KDFPJ); /* date de fin de priode d'analyse = date fin de mois si la PJC dborde sur le mois suivant, et date de fin de la PJC sinon */
	
	securite=0;
	DO UNTIL (PJC_entierement_analyse eq "Vrai" or securite>1200); /* securite vite des boucles  l'infini quoi qu'il arrive */
		
		/* Caractrisation de la priode analyse */
		duree_periode_analyse = fin_periode_analyse - debut_periode_analyse + 1;
		duree_periode_analyse_&AAAA. = max( min(fin_periode_analyse,mdy(12,31,&AAAA.)) - max(debut_periode_analyse,mdy(1,1,&AAAA.)) + 1 , 0);

		IF ALLOCATION_TYPE IN ('ARE' 'AREF' 'AFR' 'ASP' 'ASR' 'IF' 'ADR' 'ARCE' 'ATP' 'ASCRE') THEN
		DO;
			IF KCPJC eq '1' THEN DO;
				NBJ_CONSOMMES_PAYES = NBJ_CONSOMMES_PAYES + duree_periode_analyse;
				INDEMNISATION=INDEMNISATION+KQBPJP*duree_periode_analyse;
				NBJ_CONSOMMES_DANS_LE_DROIT=NBJ_CONSOMMES_DANS_LE_DROIT+duree_periode_analyse;
				DROIT_NBJ_CONSOMMES_PAYES=DROIT_NBJ_CONSOMMES_PAYES + duree_periode_analyse;
				D&AAAA._NBJ_CONSOMMES_PAYES=D&AAAA._NBJ_CONSOMMES_PAYES + duree_periode_analyse_&AAAA.;
				DROIT_INDEMNISATION=DROIT_INDEMNISATION + KQBPJP*duree_periode_analyse;
				D&AAAA._INDEMNISATION=D&AAAA._INDEMNISATION + KQBPJP*duree_periode_analyse_&AAAA.;
			END;
			ELSE IF KCPJC eq '2' THEN DO;
				NBJ_CONSOMMES_NON_PAYES = NBJ_CONSOMMES_NON_PAYES + duree_periode_analyse;
				NBJ_CONSOMMES_DANS_LE_DROIT=NBJ_CONSOMMES_DANS_LE_DROIT+duree_periode_analyse;
				DROIT_NBJ_CONSOMMES_NON_PAYES=DROIT_NBJ_CONSOMMES_NON_PAYES + duree_periode_analyse;
				D&AAAA._NBJ_CONSOMMES_NON_PAYES=D&AAAA._NBJ_CONSOMMES_NON_PAYES + duree_periode_analyse_&AAAA.;
			END;
			ELSE IF KCPJC eq '3' THEN DO;
				IF KCMNI eq '00' THEN DO;
					NBJ_NON_CONSOMMES_INIT = NBJ_NON_CONSOMMES_INIT + duree_periode_analyse;
					DROIT_NBJ_NON_CONSOMMES_INIT = DROIT_NBJ_NON_CONSOMMES_INIT + duree_periode_analyse;
					D&AAAA._NBJ_NON_CONSOMMES_INIT = D&AAAA._NBJ_NON_CONSOMMES_INIT + duree_periode_analyse_&AAAA.;

					IF KCPJCC eq '02' THEN DROIT_NBJ_NON_CONSOMMES_INIT_CP   = DROIT_NBJ_NON_CONSOMMES_INIT_CP   + duree_periode_analyse;
					IF KCPJCC eq '03' THEN DROIT_NBJ_NON_CONSOMMES_INIT_ISL  = DROIT_NBJ_NON_CONSOMMES_INIT_ISL  + duree_periode_analyse;
					IF KCPJCC eq '04' THEN DROIT_NBJ_NON_CONSOMMES_INIT_DIF  = DROIT_NBJ_NON_CONSOMMES_INIT_DIF  + duree_periode_analyse;

				END;
				ELSE IF KCMNI eq '40' THEN DO;
					NBJ_NON_CONSOMMES_JUSTIFS = NBJ_NON_CONSOMMES_JUSTIFS + duree_periode_analyse;
					DROIT_NBJ_NON_CONSOMMES_JUSTIFS = DROIT_NBJ_NON_CONSOMMES_JUSTIFS + duree_periode_analyse;
					D&AAAA._NBJ_NON_CONSOMMES_JUSTIFS = D&AAAA._NBJ_NON_CONSOMMES_JUSTIFS + duree_periode_analyse_&AAAA.;
				END;
				ELSE IF KCMNI eq '41' THEN DO;
					NBJ_NON_CONSOMMES_REMUN = NBJ_NON_CONSOMMES_REMUN + duree_periode_analyse;
					DROIT_NBJ_NON_CONSOMMES_REMUN = DROIT_NBJ_NON_CONSOMMES_REMUN + duree_periode_analyse;
					D&AAAA._NBJ_NON_CONSOMMES_REMUN = D&AAAA._NBJ_NON_CONSOMMES_REMUN + duree_periode_analyse_&AAAA.;
				END;
				ELSE IF KCMNI eq '42' THEN DO;
					NBJ_NON_CONSOMMES_HEURES = NBJ_NON_CONSOMMES_HEURES + duree_periode_analyse;
					DROIT_NBJ_NON_CONSOMMES_HEURES = DROIT_NBJ_NON_CONSOMMES_HEURES + duree_periode_analyse;
					D&AAAA._NBJ_NON_CONSOMMES_HEURES = D&AAAA._NBJ_NON_CONSOMMES_HEURES + duree_periode_analyse_&AAAA.;
				END;
				ELSE IF KCMNI eq '43' THEN DO;
					NBJ_NON_CONSOMMES_DECALAGE = NBJ_NON_CONSOMMES_DECALAGE + duree_periode_analyse;
					DROIT_NBJ_NON_CONSOMMES_DECALAGE = DROIT_NBJ_NON_CONSOMMES_DECALAGE + duree_periode_analyse;
					D&AAAA._NBJ_NON_CONSOMMES_DECALAGE = D&AAAA._NBJ_NON_CONSOMMES_DECALAGE + duree_periode_analyse_&AAAA.;
				END;
				ELSE DO;
					NBJ_NON_CONSOMMES_AUTRES = NBJ_NON_CONSOMMES_AUTRES + duree_periode_analyse;
					DROIT_NBJ_NON_CONSOMMES_AUTRES = DROIT_NBJ_NON_CONSOMMES_AUTRES + duree_periode_analyse;
					D&AAAA._NBJ_NON_CONSOMMES_AUTRES = D&AAAA._NBJ_NON_CONSOMMES_AUTRES + duree_periode_analyse_&AAAA.;
				END;
			END;
			ELSE IF KCPJC eq '4' THEN DO;
				NBJ_PAYES_AU_TITRE_DES_AIDES = NBJ_PAYES_AU_TITRE_DES_AIDES + duree_periode_analyse;
				AIDES_VERSEES=AIDES_VERSEES+KQBPJP*duree_periode_analyse;
				NBJ_CONSOMMES_DANS_LE_DROIT=NBJ_CONSOMMES_DANS_LE_DROIT+duree_periode_analyse;
				DROIT_NBJ_PAYES_POUR_AIDES = DROIT_NBJ_PAYES_POUR_AIDES + duree_periode_analyse;
				DROIT_AIDES_VERSEES=DROIT_AIDES_VERSEES+KQBPJP*duree_periode_analyse;
				NBJ_CONSOMMES_DANS_LE_DROIT=NBJ_CONSOMMES_DANS_LE_DROIT+duree_periode_analyse;
					/* Attention : je ne le fais pas avec DROIT_* car je veux d'abord vrifier ce que sont ces aides et si a consomme effectivement du droit */
			END;
			ELSE DO; LENGTH ANO $1.; ANO="O"; END;
		END;
		ELSE DO;
			NBJ_AUTRES_REGIMES = NBJ_AUTRES_REGIMES + duree_periode_analyse;
		END;

		IF fin_periode_analyse eq INTNX('Month',fin_periode_analyse,0,'End')
		THEN PJC_COUVRE_FIN_DE_MOIS='O';
		ELSE PJC_COUVRE_FIN_DE_MOIS='N';

		IF PJC_COUVRE_FIN_DE_MOIS='O' AND KCPJC eq '1' THEN BFM='O'; ELSE BFM='N';

		IF KPJDXP > 0 AND KPJDXP eq NBJ_CONSOMMES_DANS_LE_DROIT OR FDD eq 'O' THEN FDD='O'; ELSE FDD='N';
				/* S'il y a une fin de droit dans le mois -qq soit la PJC concerne- on met FDD  Oui */

		SJC_MAX=MAX(SJC_MAX,KQPCAP);

		/* ENREGISTREMENT DES DONNEES DU MOIS (s'il n'y a plus de jours couverts sur le mois) */
		
		/* Identification de la suite : reste  faire sur la PJC courante et mois de la PJC suivante */
		IF fin_periode_analyse eq KDFPJ
		THEN PJC_entierement_analyse = 'Vrai';
		ELSE PJC_entierement_analyse = 'Faux';
		
		IF Last.INDIVIDU
		THEN Pjc_suivante = 'Aucune';
		ELSE IF INTNX('Month',fin_periode_analyse,0,'Beginning') eq INTNX('Month',KDDPJ_suivant,0,'Beginning')
			 THEN Pjc_suivante = 'Mme mois';
			 ELSE IF INTNX('Month',fin_periode_analyse,1,'Beginning') eq INTNX('Month',KDDPJ_suivant,0,'Beginning')
			 	  THEN Pjc_suivante = 'Mois suivant';
			 	  ELSE Pjc_suivante = 'Dans deux mois ou plus';

		/* Traitement des donnes en cas de mois achev */
		IF PJC_COUVRE_FIN_DE_MOIS eq 'O'
		  Or ( 	 PJC_entierement_analyse eq 'Vrai'
			 And Pjc_suivante ne 'Mme mois')
		THEN DO;
			
			/* Calcul du mois et de l'anne */
			ANNEE=Year(Debut_periode_analyse);
			MOIS=Month(Debut_periode_analyse);
			

			/* Prparation de quelques variables calcules avant intgration */
			NBJ_RAC = NBJ_CONSOMMES_PAYES + NBJ_CONSOMMES_NON_PAYES + NBJ_PAYES_AU_TITRE_DES_AIDES
					+ NBJ_NON_CONSOMMES_INIT + NBJ_NON_CONSOMMES_JUSTIFS + NBJ_NON_CONSOMMES_REMUN + NBJ_NON_CONSOMMES_HEURES + NBJ_NON_CONSOMMES_DECALAGE + NBJ_NON_CONSOMMES_AUTRES;

			IF NBJ_CONSOMMES_PAYES gt 0 AND NBJ_NON_CONSOMMES_DECALAGE + NBJ_NON_CONSOMMES_JUSTIFS + NBJ_NON_CONSOMMES_REMUN + NBJ_NON_CONSOMMES_HEURES + NBJ_NON_CONSOMMES_AUTRES gt 0
			THEN NBM_AVEC_CUMUL_DANS_LE_DROIT = NBM_AVEC_CUMUL_DANS_LE_DROIT + 1;
				/* Il y a une approximation ici, du fait que tous ceux qui sont partiellement indemniss pour motif "AUTRES" ne sont pas ncessairement en activit rduite */


			/** INTEGRATION **/
			OUTPUT &B..H&V._PJC_MENSUEL;
			/** **/

			KCRRD_Premier_mois_de_l_ODD=""; /* Mis  "" ds le premier mois o l'ODD courante conduit  un enregistrement, comme cela, ne sera renseign que pour le premier mois  */
			KCOPP_Premier_mois_de_l_ODD=""; 
			NBJ_CONSOMMES_PAYES=0; NBJ_CONSOMMES_NON_PAYES=0; NBJ_PAYES_AU_TITRE_DES_AIDES=0; INDEMNISATION=0; AIDES_VERSEES=0; 
			NBJ_NON_CONSOMMES_INIT=0; NBJ_NON_CONSOMMES_JUSTIFS=0; NBJ_NON_CONSOMMES_REMUN=0; NBJ_NON_CONSOMMES_HEURES=0; NBJ_NON_CONSOMMES_DECALAGE=0; NBJ_NON_CONSOMMES_AUTRES=0;
			NBJ_RAC=0; NBJ_RSN=0; NBJ_AUTRES_REGIMES=0;
			FDD='';
			SJC_MAX=.;

		END;

		/* PASSAGE A LA PERIODE D'ANALYSE SUIVANTE (si on boucle encore sur la mme PJC) */

		IF PJC_entierement_analyse eq 'Faux'
		THEN DO;
			debut_periode_analyse=fin_periode_analyse+1;
			fin_periode_analyse=min(INTNX('Month',fin_periode_analyse,1,'End'),KDFPJ);
				/* date de fin de priode d'analyse = date de fin de mois suivant si la PJC dborde sur les deux mois suivants, et date de fin de la PJC sinon */
		END;

		securite=securite+1; /* Afin d'viter, quel que soit les donnes et les ventuelles bugs dans l'algorithme du programme, que la boucle ne s'interrompt jamais,
				elle ne peut itrer plus de N fois, ce qui quivaudrait  une PJC couvrant plus de N mois ; utile en dveloppement, sur de petits volumes d'observations */
		
	END;
	debut_precedente_periode_analyse=debut_periode_analyse;	
	fin_precedente_periode_analyse=fin_periode_analyse;

	/* Traitement en cas de fin du droit courant */
	IF LAST.INDIVIDU Or KROD ne KROD_suivant
	THEN DO;
		DROIT_NUMERO = DROIT_NUMERO +1;
		
		DROIT_DERNIERE_ANNEE=YEAR(KDFPJ);
		DROIT_DERNIER_MOIS=MONTH(KDFPJ);
		DROIT_DERNIER_JOUR=KDFPJ;
		DROIT_ALLOCATION_TYPE=Put(KCAAJ,$ALLOCATION_TYPE.);
		IF DROIT_ALLOCATION_TYPE not in ('ARE' 'AREF' 'AFR' 'ASP' 'ASR' 'IF' 'ADR' 'ARCE' 'ATP' 'ASCRE') AND NBM_AVEC_CUMUL_DANS_LE_DROIT le 0 
		THEN NBM_AVEC_CUMUL_DANS_LE_DROIT = .;
			/* NBM_AVEC_CUMUL_DANS_LE_DROIT n'est incrment que si KCALF est dans le primtre RAC. De fait, on crase la valeur  . lorsque KCAAJ pas dans ce primtre,
				en prenant juste une scurit au cas o KCAAJ ne soit pas bien renseign, on n'crase pas si NBM_AVEC_CUMUL_DANS_LE_DROIT > 0. */

		OUTPUT &B..H&V._DROITS_V0;

		DROIT_SJC_MAX=.;
		NBM_AVEC_CUMUL_DANS_LE_DROIT=0;
		
		IF LAST.INDIVIDU
		THEN DO;
			DROIT_NUMERO = 0;
			DROIT_PRECEDENT_DERNIER_JOUR  = .;
			DROIT_PRECEDENT_ALLOCATION = '';
		END;
		ELSE DO;
			DROIT_PRECEDENT_ALLOCATION = KCAAJ;
			DROIT_PRECEDENT_DERNIER_JOUR  = DROIT_DERNIER_JOUR;
		END;
	END;

RUN;

%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._PJC_ET_PJC_SUIVANTE; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;

%MEND;





%MACRO CROISEMENT();

PROC SQL;
CREATE TABLE TRIPLET_IND_ANNEE_MOIS as
SELECT DISTINCT INDIVIDU, ANNEE, MOIS
FROM &B..H&V._PEC_MENSUEL
UNION 
SELECT DISTINCT INDIVIDU, ANNEE, MOIS
FROM &B..H&V._PJC_MENSUEL
UNION
SELECT DISTINCT INDIVIDU, KDAASP as ANNEE , KDMAP as MOIS
FROM H&V._PAR
UNION
SELECT DISTINCT INDIVIDU, ANNEE , MOIS
FROM &B..H&V._ARCE_MENSUEL
;QUIT;

PROC SQL;
CREATE TABLE &B..H&V._AR_ISSU_DU_CROISEMENT (COMPRESS=YES) AS
SELECT T.INDIVIDU, KDDIND, Coalesce(PJC.KROD, ARCE.KROD) as KROD, KRIN, SEXE, KCNIN,
		T.ANNEE, T.MOIS, . length=8 as EPISODE_RAC_NUMERO, . length=8 as EPISODE_RAC_NUMERO_MOIS,
		"" length=4 as ETAT_FIN_DE_MOIS, "" length=4 as ETAT_FIN_DE_MOIS_PRECEDENT, "" length=4 as ETAT_FIN_DE_MOIS_SUIVANT, "" length=1 as AR,
		PJC_COUVRE_FIN_DE_MOIS, BFM, DEFM, FDD, '' length=1 as FDD_MOIS_SUIVANT, KCCAT, KCDSPD, KCEMP,
		KCRGC, KCRD, KCALF, ALLOCATION_TYPE,
		/*KCMTI, KCMAN, KCFPP, KCRRD, KCOPP, */
		KQRSPP, KQBPJP, KPHARP, KQBARP, SJC_MAX, INDEMNISATION, AIDES_VERSEES,
		NBJ_PEC, NBJ_RAC, NBJ_RSN, NBJ_AUTRES_REGIMES,
		NBJ_CONSOMMES_DANS_LE_DROIT, NBM_AVEC_CUMUL_DANS_LE_DROIT, NBJ_CONSOMMES_PAYES, NBJ_CONSOMMES_NON_PAYES, NBJ_NON_CONSOMMES_INIT, NBJ_NON_CONSOMMES_JUSTIFS,
		NBJ_NON_CONSOMMES_REMUN, NBJ_NON_CONSOMMES_HEURES, NBJ_NON_CONSOMMES_DECALAGE, NBJ_NON_CONSOMMES_AUTRES, NBJ_PAYES_AU_TITRE_DES_AIDES,
		MTT_ARCE

FROM TRIPLET_IND_ANNEE_MOIS T
LEFT JOIN &B..H&V._PEC_MENSUEL PEC 	ON T.INDIVIDU=PEC.INDIVIDU AND T.ANNEE=PEC.ANNEE AND T.MOIS=PEC.MOIS
LEFT JOIN &B..H&V._PJC_MENSUEL PJC 	ON T.INDIVIDU=PJC.INDIVIDU AND T.ANNEE=PJC.ANNEE AND T.MOIS=PJC.MOIS
LEFT JOIN H&V._PAR PAR 			ON T.INDIVIDU=PAR.INDIVIDU AND T.ANNEE=PAR.KDAASP AND T.MOIS=PAR.KDMAP
LEFT JOIN &B..H&V._ARCE_MENSUEL ARCE ON T.INDIVIDU=ARCE.INDIVIDU AND T.ANNEE=ARCE.ANNEE AND T.MOIS=ARCE.MOIS
LEFT JOIN H&V._IND IND 			ON T.INDIVIDU=IND.INDIVIDU
;QUIT;

%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._PJC_MENSUEL; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;

%MEND;

/* Traitements post-croisement */
%MACRO TRAITEMENTS_POST_CROISEMENT();
PROC SORT DATA=&B..H&V._AR_ISSU_DU_CROISEMENT; BY INDIVIDU ANNEE MOIS; RUN;

DATA &B..H&V._DE_MENSUEL_V0 (COMPRESS=YES);

SET &B..H&V._AR_ISSU_DU_CROISEMENT;

	/* Calcul des CARACTERISTIQUES DU MOIS */

		/* Calcul de AR */
	IF NBJ_RAC > 0
	THEN
		IF KPHARP eq . OR (KPHARP eq 0 AND KQBARP eq 0 AND NBJ_NON_CONSOMMES_JUSTIFS eq 0 AND NBJ_NON_CONSOMMES_REMUN eq 0 AND NBJ_NON_CONSOMMES_HEURES eq 0 AND NBJ_NON_CONSOMMES_DECALAGE eq 0)
		THEN AR='N'; /* La dfinition ci-dessus de l'activit rduite est personnelle (et en partie arbitraire) et vise  pallier  une qualit des donnes insuffisantes : vrais 0 versus faux zro */
		ELSE AR='O';
	ELSE AR='';

		/* Calcul de ETAT_FIN_DE_MOIS */
			/* Si l'individu a t couvert par une PJC durant le mois, on note l'tat de sa dernire couverture (si RAC, on dtaille, sinon, on prcise simplement HRAC)
				Si l'individu n'a pas t couvert par une PJC durant le mois, alors on note INS s'il a t pris en charge, et HINS sinon. */

	IF PJC_COUVRE_FIN_DE_MOIS eq 'O'
	THEN DO;
		IF ALLOCATION_TYPE IN ('ARE' 'AREF' 'AFR' 'ASP' 'ASR' 'IF' 'ADR' 'ARCE' 'ATP' 'ASCRE')
		THEN DO;
			IF AR eq 'N'
			THEN DO; IF BFM eq 'O' THEN ETAT_FIN_DE_MOIS='I'; ELSE ETAT_FIN_DE_MOIS='NI'; END;
			ELSE DO; IF BFM eq 'O' THEN ETAT_FIN_DE_MOIS='IAR'; ELSE ETAT_FIN_DE_MOIS='NIAR'; END;
		END; ELSE
			ETAT_FIN_DE_MOIS="HRAC";
	END; ELSE DO;
		IF DEFM eq 'O'
		THEN ETAT_FIN_DE_MOIS="INS";
		ELSE ETAT_FIN_DE_MOIS="HINS";
	END;

	/* Calcul du nombre de jours consomm correspondant au montant d'ARCE vers */
	ANNEEMOIS=ANNEE*100+MOIS;

	Seuil_Exoneration_CSG_CRDS = Ceil( Input(ANNEEMOIS,SMICh.) * 5 );
	Allocation_Minimale = Put(ANNEE+(MOIS ge 7),ALLOCMIN.);

	RETRAITE= ROUND( MAX( KQBPJP , Allocation_Minimale )  -  MAX( KQBPJP-KQRSPP*0.03 , Allocation_Minimale ) , 0.01);
	AJb = KQBPJP - RETRAITE;
	/* Au besoin, je laisse la formule de l'AJ nette
	CSG_CRDS = ROUND( MAX( AJb , Seuil_Exoneration_CSG_CRDS) - MAX( AJb * (1- 0.067*0.9825)  , Seuil_Exoneration_CSG_CRDS) , 0.01);
	AJn = AJb - CSG_CRDS;*/

	NBJ_PAYES_AU_TITRE_DES_AIDES = Coalesce(NBJ_PAYES_AU_TITRE_DES_AIDES,0) + Round(MTT_ARCE / AJb , 1);

	DROP ANNEEMOIS Seuil_Exoneration_CSG_CRDS Allocation_Minimale RETRAITE AJb;

	OUTPUT &B..H&V._DE_MENSUEL_V0;
	
RUN;

%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._AR_ISSU_DU_CROISEMENT; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;

DATA &B..H&V._DE_MENSUEL_V0_ET_SUIVANT (COMPRESS=YES);
MERGE 	&B..H&V._DE_MENSUEL_V0
		&B..H&V._DE_MENSUEL_V0 (FIRSTOBS=2 KEEP=INDIVIDU ANNEE MOIS ETAT_FIN_DE_MOIS FDD RENAME=(INDIVIDU=INDIVIDU_suivant ANNEE=ANNEE_suivant MOIS=MOIS_suivant ETAT_FIN_DE_MOIS=ETAT_suivant FDD=FDD_Suivant));
RUN;

%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._DE_MENSUEL_V0; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;

DATA &B..H&V._DE_MENSUEL (COMPRESS=YES DROP=INDIVIDU_precedent ANNEE_precedent MOIS_precedent KROD_precedent ETAT_FIN_DE_MOIS_prec INDIVIDU_suivant ANNEE_suivant MOIS_suivant ETAT_suivant FDD_Suivant EPISODE_RAC_COMPTE EPISODE_RAC_MOIS_COMPTE);

	LENGTH ETAT_FIN_DE_MOIS_prec $4. KROD_Precedent $4. ;
	RETAIN INDIVIDU_precedent ANNEE_precedent MOIS_precedent . KROD_precedent '' ETAT_FIN_DE_MOIS_prec ''
			EPISODE_RAC_COMPTE 0 EPISODE_RAC_MOIS_COMPTE 0 ;

SET &B..H&V._DE_MENSUEL_V0_ET_SUIVANT;
	
	/* Remise  0 des compteurs */
		/* en cas de changement d'individu */
	IF INDIVIDU_precedent ne INDIVIDU
	THEN DO;
		EPISODE_RAC_COMPTE=0;
	END;


	/* Calcul de l'tat au mois prcdent */
	IF INDIVIDU ne INDIVIDU_precedent OR INTNX('Month',MDY(MOIS_precedent,1,ANNEE_precedent),1,'Beginning') ne MDY(MOIS,1,ANNEE)
	THEN ETAT_FIN_DE_MOIS_PRECEDENT='HINS';
	ELSE ETAT_FIN_DE_MOIS_PRECEDENT=ETAT_FIN_DE_MOIS_prec;
	
	/* Calcul de l'tat au mois suivant */
	IF INDIVIDU ne INDIVIDU_suivant OR INTNX('Month',MDY(MOIS_suivant,1,ANNEE_suivant),-1,'Beginning') ne MDY(MOIS,1,ANNEE)
	THEN ETAT_FIN_DE_MOIS_SUIVANT='HINS';
	ELSE ETAT_FIN_DE_MOIS_SUIVANT=ETAT_suivant; /* Note technique sans trop d'importance :
			utiliser une variable intermdiaire ETAT_suivant permet de conserver l'ordre des variables : ETAT_FIN_DE_MOIS_SUIVANT restera ainsi bien place en milieu de tables */
	IF ANNEE>&ANNEE_MAX_D_ANALYSE. OR (ANNEE eq &ANNEE_MAX_D_ANALYSE. AND MOIS >= &MOIS_MAX_D_ANALYSE.)
	THEN ETAT_FIN_DE_MOIS_SUIVANT='INOB'; /* Si le mois suivant n'est pas encore charg dans la base, alors on l'tat est "observ" */
	
	/* Calcul de FDD au mois suivant */
	FDD_MOIS_SUIVANT=FDD_Suivant;

	/* Calcul des informations sur l'pisode */
		/* Algorithme :
				-des variables intermdiaires sont utilises; elles sont retenues avec la valeur par dfaut 0,
					mises  0 en dbut d'pisode, puis incrmentes avec l'pisode,
				-les variables stockes dans la table cible sont renseignes,  partir des variables intermdiaires,
					uniquement lorsque on est dans la dernire PJC d'un mois qui fait partie d'un pisode
				-on ne fait plus rien ds lors que l'on a dpass la priode max d'analyse
		*/

		/* Incrmentation des compteurs si pisode en cours */
	IF ETAT_FIN_DE_MOIS in ('I' 'IAR' 'NI' 'NIAR') AND NOT (ANNEE > &ANNEE_MAX_D_ANALYSE. OR (ANNEE eq &ANNEE_MAX_D_ANALYSE. AND MOIS > &MOIS_MAX_D_ANALYSE.))
	THEN DO;
		IF ETAT_FIN_DE_MOIS_PRECEDENT not in ('I' 'IAR' 'NI' 'NIAR')
		THEN DO; /* Un pisode dbute */
			EPISODE_RAC_COMPTE=EPISODE_RAC_COMPTE+1;
			EPISODE_RAC_MOIS_COMPTE=0;
		END;
		EPISODE_RAC_MOIS_COMPTE=EPISODE_RAC_MOIS_COMPTE+1;
			/* Enregistrement des infos dans les variables de la table cible */
		EPISODE_RAC_NUMERO=EPISODE_RAC_COMPTE;
		EPISODE_RAC_NUMERO_MOIS=EPISODE_RAC_MOIS_COMPTE;		
	END;


	/* Mmorisation des caractristiques de la ligne prcdente */
	INDIVIDU_precedent=INDIVIDU;
	ANNEE_precedent=ANNEE;
	MOIS_precedent=MOIS;
	ETAT_FIN_DE_MOIS_prec=ETAT_FIN_DE_MOIS;
RUN;


%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._DE_MENSUEL_V0_ET_SUIVANT; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;



DATA &B..H&V._DE_MENSUEL;
SET &B..H&V._DE_MENSUEL;

	/* AMELIORATION DES DONNEES RELATIVES AUX HEURES ET REVENUS d'ACTIVITE REDUITE */

	IF 		(AR ne 'N' AND 		0 lt NBJ_NON_CONSOMMES_AUTRES eq Intnx('Month',MDY(MOIS,1,ANNEE),0,'End')-MDY(MOIS,1,ANNEE) 	AND ETAT_FIN_DE_MOIS eq 'HINS')
		OR	(AR eq ''  AND 		0 lt NBJ_PEC eq Intnx('Month',MDY(MOIS,1,ANNEE),0,'End')-MDY(MOIS,1,ANNEE) 						AND ETAT_FIN_DE_MOIS eq 'HINS')
	THEN DO; /* Cas o il y absence d'actualisation : la personne est inscrite jusqu' l'avant dernier jour du mois, mais ne peut tre indemnise */
		REVENU_RECONSTITUE = KQRSPP*32; /* Le 32*SJR est arbitraire, du moment qu'il conduit  ne plus tre indemnis */
		HEURES_RECONSTITUEES = 142; /* Le 142 est arbitraire */
	END;

	IF AR eq 'O' AND 2006 le ANNEE And KCRD not in ('28' '29') THEN
	DO;

			* Caractristiques individuelles;
		REGIME = Put(KCRD,$REGIME_PARTICULIER.);
			* Correction pour qq cas du KCTPP ;
		/*IF KCTPP le 0 THEN */ KCTPP_CORRIGE=1; /*ELSE KCTPP_CORRIGE=KCTPP;*/ /* !!! KCTPP non prsent dans DE_MENSUEL ; jointure sur DROITS ncessaire dans le pgrm final */

			* AJ;
		IF INDEMNISATION gt 0 THEN DO; AJ_FIABILISEE = INDEMNISATION/NBJ_CONSOMMES_PAYES; CALCUL_AJ = 'I - Correct'; END; /* Si l'allocataire a t indemnis, le plus fiable est de calculer son AJ ainsi */
		ELSE IF KQBPJP > 0 THEN DO; AJ_FIABILISEE = KQBPJP; CALCUL_AJ = 'K - Correct'; END;
		ELSE DO; AJ_FIABILISEE = MIN (0.75*KQRSPP , MAX (0.57*KQRSPP , 0.404*KQRSPP+11.72*KCTPP_CORRIGE , 28.58*KCTPP_CORRIGE) ); CALCUL_AJ = 'F - Approx'; END;
				/* !! Calcul approximatif, car KCTPP suppos  1 et avantage vielleisse non connu
				 l'AJ est utilise dans la correction des donnes  partir d'octobre 2014 exclusivement, d'o le choix des paramtres correspond  cette priode */

		IF KQRSPP le 0 THEN DO; SJR = AJ_FIABILISEE / 0.58; CALCUL_SJR = 'X - Aproximatif'; END;
		ELSE DO; SJR =  KQRSPP; CALCUL_SJR = 'K - Exact'; END; *Trs approximatif, juste pour les quelques cas o KQRSPP n est pas renseign;

			* Ancien revenu;
		ANCIEN_REVENU_JOURNALIER = SJR+COALESCE(SJC_MAX,0);

			*Nombre de jours sur lesquels jouent les rgles d activit rduite;
		NBJ_PAYABLES = NBJ_RAC - NBJ_CONSOMMES_NON_PAYES - NBJ_NON_CONSOMMES_INIT;

		REVENU_RECONSTITUE = KQBARP; *Si besoin, ce revenu reconstitu est modifi ci-dessous, lorsque KQBARP semble incorrect;
		HEURES_RECONSTITUEES = KPHARP; *Si besoin, ce nombre d heures reconstitu est modifi ci-dessous, lorsque KPHARP semble incorrect;


		IF KCRD not in (28,29) AND ( 2006 le ANNEE le 2013  Or  (ANNEE eq 2014 AND MOIS le 9))
		THEN DO;

			SENIOR =  50  le  ANNEE - 1 - YEAR(KDDIND) + (MOIS ge MONTH(KDDIND));

			/* Estimation de la situation actuelle */

				*Estimation de la situation au regard des seuils;

			LENGTH SEUIL_HORAIRE $22. SEUIL_REMUNERATION $20. SEUIL_15MOIS $33.;

			IF  KQBARP  le   70/100 * ANCIEN_REVENU_JOURNALIER *30
			THEN SEUIL_REMUNERATION = "Seuil rm respect";
			ELSE SEUIL_REMUNERATION = "Seuil rm dpass";

			IF KPHARP le 110 THEN SEUIL_HORAIRE = "Seuil horaire respect";
			ELSE SEUIL_HORAIRE = "Seuil horaire dpass";

			IF NBM_AVEC_CUMUL_DANS_LE_DROIT lt 10 THEN SEUIL_15MOIS = "Seuil 15 mois respect";
			ELSE SEUIL_15MOIS = "Seuil 15 mois approch ou dpass";

				*Estimation du dcalage (selon les rgles en vigueur dans les conventions 2006 2009 et 2011);

			REVENU_ACTIVITE_REPRISE = MAX( KQBARP - COALESCE(SJC_MAX,0)*NBJ_PAYABLES , 0);

			IF SENIOR eq 0
			THEN NBJ_DECALAGE_ESTIME 		= Min(     INT(REVENU_ACTIVITE_REPRISE/SJR)      , NBJ_PAYABLES);
			ELSE NBJ_DECALAGE_ESTIME 		= Min(INT( INT(REVENU_ACTIVITE_REPRISE/SJR) *0.8), NBJ_PAYABLES);				

			/* Comparaison  la ralit et correction le cas chant */
 
			*Situation observe;
			LENGTH SITUATION $18.;
			IF NBJ_CONSOMMES_PAYES ge 1 OR NBJ_CONSOMMES_NON_PAYES ge 1 THEN SITUATION='Indemnis';
			ELSE IF NBJ_NON_CONSOMMES_REMUN > 0 OR NBJ_NON_CONSOMMES_HEURES > 0 OR NBJ_NON_CONSOMMES_JUSTIFS > 0 OR NBJ_NON_CONSOMMES_AUTRES > 0 THEN SITUATION='Seuil Rm/Heures';
			ELSE IF NBJ_NON_CONSOMMES_DECALAGE gt 0 THEN SITUATION='Dcal entirement';
			ELSE SITUATION='Non pay';

			*Correction du nombre de jours de dcalage estim;
			IF SITUATION in ('Indemnis','Dcal entirement')
			THEN DO;
				IF NBJ_DECALAGE_ESTIME + NBJ_CONSOMMES_PAYES eq NBJ_PAYABLES
				THEN; *Pas de ncessit de corriger le revenu;
				ELSE DO;
					IF SITUATION eq 'Dcal entirement' THEN
					DO;
						IF NBM_AVEC_CUMUL_DANS_LE_DROIT ge 10 AND REGIME in ('RG' 'Autres')
						THEN DO; SITUATION = 'Seuil 15 mois'; END; /* On est probablement en prsence d'un allocataire impact par le seuil des 15 mois, d'o le fait que l'on n'a correct estim son dcalage;
								mais en raison de la suppression de ce seuil, cette personne sera peut-tre indemnise, et on reste sur la donnes brute dclare */
						ELSE DO; REVENU_REPRIS_RECONSTITUE  = SJR*NBJ_PAYABLES*1.1;
								REVENU_RECONSTITUE=REVENU_REPRIS_RECONSTITUE+COALESCE(SJC_MAX,0)*15;
								*On fixe arbitrairement le revenu repris  110% du revenu ncessaire pour tre entirement dcal, et  50% du SJC les revenus d activit conserve;
						END;
					END;
					IF SITUATION eq  'Indemnis' THEN
					DO; /* Dans ce cas, on recalcule le dcalage  partir des donnes relles; du coup, c'est lgrement approximatif
										(mais c'est bien sr bcp plus fiable que de partir de donnes de revenu et de SJR qui n'ont pas permis de retrouver le dcalage rel dans la rglementation en vigueur) */
						IF SENIOR eq 0  /* Dans les deux formules, les +0.5 sont l pour approximer l'effet de la fonction "partie entire" dans le calcul du dcalage */
						THEN REVENU_REPRIS_RECONSTITUE = ((NBJ_PAYABLES - NBJ_CONSOMMES_PAYES) + 0.5 * (NBJ_PAYABLES gt NBJ_CONSOMMES_PAYES) ) * SJR; /* Le +0.5 approxime l'effet de l'arrondi, qui toutefois est annul si tous les jours sont indemniss */
						ELSE REVENU_REPRIS_RECONSTITUE =(((NBJ_PAYABLES - NBJ_CONSOMMES_PAYES) + 0.5 * (NBJ_PAYABLES gt NBJ_CONSOMMES_PAYES) ) / 0.8 + 0.5 * (NBJ_PAYABLES gt NBJ_CONSOMMES_PAYES)) * SJR;

						IF SJC_MAX gt 0
						THEN IF REVENU_REPRIS_RECONSTITUE*0.9 le KQBARP le REVENU_REPRIS_RECONSTITUE*1.1
							THEN REVENU_RECONSTITUE = KQBARP;
							ELSE REVENU_RECONSTITUE = Max(REVENU_REPRIS_RECONSTITUE,KQBARP);
							/* Dans le cas o il y a activit conserve, je suppose que prendre KQBARP est plus fiable ds lors qu'il est beaucoup plus lev que REVENU_REPRIS_RECONSTITUE */
						ELSE REVENU_RECONSTITUE = REVENU_REPRIS_RECONSTITUE; /* Dans le cas d'une activit uniquement reprise, tout le revenu reconstitu est un revenu repris */
					END;
				END;
			END;

			IF SITUATION eq 'Seuil Rm/Heures'
			THEN DO;
				IF  REGIME in ('RG' 'Autres')
				THEN DO;
					IF	NBJ_NON_CONSOMMES_REMUN + NBJ_NON_CONSOMMES_HEURES + NBJ_NON_CONSOMMES_JUSTIFS + NBJ_NON_CONSOMMES_AUTRES      eq NBJ_PAYABLES
						             AND
						( SEUIL_REMUNERATION eq "Seuil rm dpass"  OR   /* Je m'assure que je suis bien en mesure de recalculer de faon fiable le dcalage, en vrifiant que je trouve aussi un dpassement de seuil en rmunration */
						  (SEUIL_HORAIRE eq "Seuil horaire dpass" AND NBJ_NON_CONSOMMES_HEURES > 0 AND KQBARP / Max(0.01,KPHARP) > 6 ) ) /* ou a minima que je n'ai pas une valeur trop basse de revenu si jamais seul le seuil horaire est dpass */
					THEN ; *Les chiffres paraissent ok;
					ELSE DO;
						IF NBJ_NON_CONSOMMES_JUSTIFS + NBJ_NON_CONSOMMES_AUTRES gt 0
						THEN DO; /*Difficile de corriger, car la personne qui ne justifie pas a pu beaucoup travailler comme peu travailler
								- si heures renseignes, on s'assure d'une certaine cohrence des revenus, sinon on met un revenu au niveau du SJR
								(les heures sont corriges le cas chant en fin de programme) */
							IF KQBARP lt 10 & KPHARP gt 1 THEN REVENU_RECONSTITUE = KPHARP * Max(SJR/5*1.042,10); ELSE REVENU_RECONSTITUE = Floor(SJR * NBJ_PAYABLES); /* 1.042 arbitraire */
						END;
						IF NBJ_NON_CONSOMMES_REMUN gt 0 THEN REVENU_RECONSTITUE = Max(REVENU_RECONSTITUE, 0.8*30*ANCIEN_REVENU_JOURNALIER); *0.8 est arbitraire, choisi pour tre lgrement suprieur  70%;
						IF NBJ_NON_CONSOMMES_HEURES gt 0 AND KPHARP le 110
						THEN DO;
							HEURES_RECONSTITUEES = 120; *Le 120 est arbitraire, choisi pour tre lgrement suprieur  110;
							IF KQBARP le HEURES_RECONSTITUEES*5 THEN REVENU_RECONSTITUE = HEURES_RECONSTITUEES * Max(SJR/5*0.942,10); /* 0.942 arbitraire */
						END;
					END;
				END;
				IF REGIME in ('A4') 
				THEN IF NBJ_NON_CONSOMMES_JUSTIFS + NBJ_NON_CONSOMMES_AUTRES   eq NBJ_PAYABLES   AND
						NBJ_DECALAGE_ESTIME 								   eq NBJ_PAYABLES
					THEN ; *Les chiffres paraissent ok;
					ELSE DO; /*Difficile de corriger, car la personne qui ne justifie pas a pu beaucoup travailler comme peu travailler
								- on s assure juste d'une certaine cohrence des revenus  (les heures sont corriges le cas chant en fin de programme); */
						IF KQBARP lt 10 & KPHARP gt 1 THEN REVENU_RECONSTITUE = KPHARP * Max(SJR/5*0.9142,10); /* On retient pour les A4 un taux horaire (arbitraire de 0.9142) lgrement infrieur au taux estim par le SJR, avec un mini  10/h */
					END;
				ELSE ;
					/* Je n'ai pas dtect de dpassement de seuil, nanmoins, puisque l'individu n'a pas t indemnis avec la rglement actuelle, il ne peut gure esprer dans cette situation le devenir avec la rglementation moins favorable propose */
			END;
 
		END; *Fin de la correction des heures et revenus sur les conventions 2006 2009 2011 ;

		IF KCRD not in (28,29) AND ( ANNEE ge 2015  Or  (ANNEE eq 2014 AND MOIS ge 10))
		THEN DO;
			
			*Estimation du dcalage;
			NBJ_INDEMNISES_COEF_SI_REPRIS =   Ceil( Max(  Min( AJ_FIABILISEE*NBJ_PAYABLES - 0.7  *       KQBARP                        ,  SJR * 30.42 - KQBARP ) , 0 ) / AJ_FIABILISEE);
			NBJ_INDEMNISES_COEF_SI_CONSERVE = Ceil( Max(  Min( AJ_FIABILISEE*NBJ_PAYABLES - 0.7  * Max(0,KQBARP-SJC_MAX*NBJ_PAYABLES)  ,  SJR * 30.42 - KQBARP ) , 0 ) / AJ_FIABILISEE);

			IF NBJ_INDEMNISES_COEF_SI_REPRIS le NBJ_CONSOMMES_PAYES le NBJ_INDEMNISES_COEF_SI_CONSERVE
			THEN ; *Donnes vraisemblables;
			ELSE REVENU_RECONSTITUE=(NBJ_PAYABLES - NBJ_CONSOMMES_PAYES + (0.5 * (NBJ_PAYABLES gt NBJ_CONSOMMES_PAYES))) * AJ_FIABILISEE / 0.7  ; *le +0.5 correspond  peu prs  l effet de l arrondi sur le nombre de jours;

		END; *Fin de la correction des heures et revenus sur la convention 2014 ;

		*Correction des heures, aprs celles des revenus;
		REVENU_RECONSTITUE = Round(REVENU_RECONSTITUE,0.01); *arrondi au centime d euro;
		IF REVENU_RECONSTITUE/ Max( ANCIEN_REVENU_JOURNALIER/5*1.5, 30) le HEURES_RECONSTITUEES le REVENU_RECONSTITUE/5
		THEN ; *HEURES_RECONSTITUEES est vraisemblable (revenu horaire entre 5 de l heure et 1.5 fois une approximation du salaire horaire perdu (mini 30/h) );
		ELSE HEURES_RECONSTITUEES=Min(Round(REVENU_RECONSTITUE/10),150);
			/* ! Amlioration possible : s'il s'agit du dernier mois d'un contrat, il peut y avoir ICCP etc qui font le revenu de l'heure travaille ce mois-ci est augmente fortement, donc la correction des heures doit en tenir compte
				vu un cas comme cela : 6 mois  tps partiel 75h par mois; le dernier mois, le salaire double, rsultat je corrige les heures  150h et le gars passe le seuil horaire et n'est donc plus indemnis,
					ce qui n'est du coup d'ailleurs plus cohrent avec le fait qu'il ait t indemnis */

	END; *Fin des corrections des donnes activit rduite;

	
	DROP REGIME SENIOR KCTPP_CORRIGE ANCIEN_REVENU_JOURNALIER AJ_FIABILISEE SEUIL_REMUNERATION SEUIL_HORAIRE SEUIL_15MOIS NBJ_DECALAGE_ESTIME SITUATION SITUATION;
	DROP CALCUL_AJ CALCUL_SJR  SJR NBJ_PAYABLES REVENU_ACTIVITE_REPRISE NBJ_INDEMNISES_COEF_SI_REPRIS NBJ_INDEMNISES_COEF_SI_CONSERVE ;
RUN;


%MEND;


%MACRO EPISODES;
DATA &B..H&V._EPISODES_V0 (KEEP=INDIVIDU EPISODE_RAC_NUMERO EPISODE_RAC_1ERE_ALLOCATION_TYPE EPISODE_RAC_1ERE_ANNEE EPISODE_RAC_1ER_MOIS EPISODE_RAC_NBM
								EPISODE_RAC_1ER_MOIS_EN_AR EPISODE_RAC_DERNIER_MOIS_BFM SORTIE
								EPISODE_RAC_SEQUENCE EPISODE_RAC_NB_ETAT1 EPISODE_RAC_NB_ETAT2 EPISODE_RAC_NB_ETAT3 EPISODE_RAC_NB_CHGT12 EPISODE_RAC_NB_CHGT13 EPISODE_RAC_NB_CHGT21 EPISODE_RAC_NB_CHGT23 EPISODE_RAC_NB_CHGT31 EPISODE_RAC_NB_CHGT32
						   COMPRESS=YES);
LENGTH INDIVIDU 8. EPISODE_RAC_NUMERO 8. EPISODE_RAC_NUMERO_MOIS 8. SORTIE $4.;
LENGTH EPISODE_RAC_1ERE_ALLOCATION_TYPE $7. EPISODE_RAC_1ERE_ANNEE 8. EPISODE_RAC_1ER_MOIS 8. EPISODE_RAC_NBM 8. EPISODE_RAC_1ER_MOIS_EN_AR 8. EPISODE_RAC_DERNIER_MOIS_BFM 8. NBM_JUSQUE_EPISODE_SUIVANT 8.;
LENGTH EPISODE_RAC_SEQUENCE $120. EPISODE_RAC_NB_ETAT1 8. EPISODE_RAC_NB_ETAT2 8. EPISODE_RAC_NB_ETAT3 8.
	   EPISODE_RAC_NB_CHGT12 8. EPISODE_RAC_NB_CHGT13 8. EPISODE_RAC_NB_CHGT21 8. EPISODE_RAC_NB_CHGT23 8. EPISODE_RAC_NB_CHGT31 8. EPISODE_RAC_NB_CHGT32 8.;
RETAIN EPISODE_RAC_1ERE_ALLOCATION_TYPE ''  EPISODE_RAC_1ERE_ANNEE .  EPISODE_RAC_1ER_MOIS .  EPISODE_RAC_NBM .  EPISODE_RAC_1ER_MOIS_EN_AR .  EPISODE_RAC_DERNIER_MOIS_BFM .;
RETAIN EPISODE_RAC_SEQUENCE '' EPISODE_RAC_NB_ETAT1 0 EPISODE_RAC_NB_ETAT2 0 EPISODE_RAC_NB_ETAT3 0 EPISODE_RAC_NB_CHGT12 0 EPISODE_RAC_NB_CHGT13 0 EPISODE_RAC_NB_CHGT21 0 EPISODE_RAC_NB_CHGT23 0 EPISODE_RAC_NB_CHGT31 0 EPISODE_RAC_NB_CHGT32 0;
FORMAT EPISODE_RAC_SEQUENCE $50.;
SET &B..H&V._DE_MENSUEL (KEEP=INDIVIDU ANNEE MOIS ALLOCATION_TYPE EPISODE_RAC_NUMERO EPISODE_RAC_NUMERO_MOIS BFM ETAT_FIN_DE_MOIS ETAT_FIN_DE_MOIS_PRECEDENT ETAT_FIN_DE_MOIS_SUIVANT FDD FDD_MOIS_SUIVANT);

	/* Calcul des informations au dmarrage de l'pisode */
	IF EPISODE_RAC_NUMERO_MOIS eq 1
	THEN DO;
		EPISODE_RAC_1ERE_ANNEE=ANNEE;
		EPISODE_RAC_1ER_MOIS=MOIS;
		EPISODE_RAC_1ERE_ALLOCATION_TYPE=ALLOCATION_TYPE;
		EPISODE_RAC_DERNIER_MOIS_BFM=0;
		EPISODE_RAC_1ER_MOIS_EN_AR=0;
		EPISODE_RAC_NBM=0;
	END;

	/* Calcul des informations au cours de l'pisode */
	IF EPISODE_RAC_NUMERO ne .
	THEN DO;
		IF BFM eq 'O'
		THEN EPISODE_RAC_DERNIER_MOIS_BFM=EPISODE_RAC_NUMERO_MOIS;
		IF ETAT_FIN_DE_MOIS IN ('IAR' 'NIAR') AND EPISODE_RAC_1ER_MOIS_EN_AR eq 0
		THEN EPISODE_RAC_1ER_MOIS_EN_AR=EPISODE_RAC_NUMERO_MOIS;
		EPISODE_RAC_NBM=EPISODE_RAC_NBM+1;

		IF ETAT_FIN_DE_MOIS IN ('I' 'NI') THEN
		DO; EPISODE_RAC_SEQUENCE=CATS(EPISODE_RAC_SEQUENCE,'1'); EPISODE_RAC_NB_ETAT1=EPISODE_RAC_NB_ETAT1+1; END;
		IF ETAT_FIN_DE_MOIS IN ('IAR') THEN
		DO; EPISODE_RAC_SEQUENCE=CATS(EPISODE_RAC_SEQUENCE,'2'); EPISODE_RAC_NB_ETAT2=EPISODE_RAC_NB_ETAT2+1; END;
		IF ETAT_FIN_DE_MOIS IN ('NIAR') THEN
		DO; EPISODE_RAC_SEQUENCE=CATS(EPISODE_RAC_SEQUENCE,'3'); EPISODE_RAC_NB_ETAT3=EPISODE_RAC_NB_ETAT3+1; END;

		/* Si changement d'tat, enregistrement de ce changement dans la variable EPISODE_RAC_SEQUENCE */
		IF NOT ( ETAT_FIN_DE_MOIS_PRECEDENT eq ETAT_FIN_DE_MOIS OR
				(ETAT_FIN_DE_MOIS_PRECEDENT IN ('I' 'NI') AND ETAT_FIN_DE_MOIS IN ('I' 'NI'))
			   ) THEN
		DO;
			IF ETAT_FIN_DE_MOIS_PRECEDENT IN ('I' 'NI') AND ETAT_FIN_DE_MOIS IN ('IAR') THEN EPISODE_RAC_NB_CHGT12=EPISODE_RAC_NB_CHGT12+1;
			IF ETAT_FIN_DE_MOIS_PRECEDENT IN ('I' 'NI') AND ETAT_FIN_DE_MOIS IN ('NIAR') THEN EPISODE_RAC_NB_CHGT13=EPISODE_RAC_NB_CHGT13+1;
			IF ETAT_FIN_DE_MOIS_PRECEDENT IN ('IAR') AND ETAT_FIN_DE_MOIS IN ('I' 'NI') THEN EPISODE_RAC_NB_CHGT21=EPISODE_RAC_NB_CHGT21+1;
			IF ETAT_FIN_DE_MOIS_PRECEDENT IN ('IAR') AND ETAT_FIN_DE_MOIS IN ('NIAR') THEN EPISODE_RAC_NB_CHGT23=EPISODE_RAC_NB_CHGT23+1;
			IF ETAT_FIN_DE_MOIS_PRECEDENT IN ('NIAR') AND ETAT_FIN_DE_MOIS IN ('I' 'NI') THEN EPISODE_RAC_NB_CHGT31=EPISODE_RAC_NB_CHGT31+1;
			IF ETAT_FIN_DE_MOIS_PRECEDENT IN ('NIAR') AND ETAT_FIN_DE_MOIS IN ('IAR') THEN EPISODE_RAC_NB_CHGT32=EPISODE_RAC_NB_CHGT32+1;
		END;
	END;

	/* Enregistrement des informations  la fin de l'pisode */
	IF EPISODE_RAC_NUMERO ne . AND ETAT_FIN_DE_MOIS_SUIVANT Not In ('I' 'IAR' 'NI' 'NIAR')
	THEN DO;
		*Calcul des informations de fin d pisodes;
		EPISODE_NBM=EPISODE_RAC_NUMERO_MOIS;
		IF ETAT_FIN_DE_MOIS_SUIVANT eq 'INOB'
		THEN SORTIE='TRON'; /* pour tronqu */
		ELSE	IF FDD eq 'O' OR FDD_MOIS_SUIVANT eq 'O'
				THEN SORTIE='FDD';
				ELSE 	IF ETAT_FIN_DE_MOIS_SUIVANT eq 'HINS'
						THEN SORTIE='POSP'; /* pour sortie POSitive Prsume */
						ELSE 	IF ETAT_FIN_DE_MOIS_SUIVANT in ('HRAC' 'INS')
								THEN SORTIE='FDDP'; /* pour FDD prsume */
								ELSE SORTIE='ERR';
		
		/*** ***/
		OUTPUT &B..H&V._EPISODES_V0;
		/*** ***/

		*Rinitialisation des variables;
		EPISODE_RAC_1ERE_ALLOCATION_TYPE='';
		EPISODE_RAC_1ERE_ANNEE=.;
		EPISODE_RAC_1ER_MOIS=.;
		EPISODE_RAC_NBM=.;
		EPISODE_RAC_1ER_MOIS_EN_AR=.;
		EPISODE_RAC_DERNIER_MOIS_BFM=.;
		NBM_JUSQUE_EPISODE_SUIVANT=-1; /* le code -1 ne devra pas se trouver dans la finale, sinon c'est qu'il y a une erreur - NBM_JUSQUE_EPISODE_SUIVANT n'a pas t mis  jour */
		EPISODE_RAC_SEQUENCE='';
		EPISODE_RAC_NB_ETAT1=0;EPISODE_RAC_NB_ETAT2=0;EPISODE_RAC_NB_ETAT3=0;
		EPISODE_RAC_NB_CHGT12=0; EPISODE_RAC_NB_CHGT13=0; EPISODE_RAC_NB_CHGT21=0; EPISODE_RAC_NB_CHGT23=0; EPISODE_RAC_NB_CHGT31=0; EPISODE_RAC_NB_CHGT32=0;
	END;
RUN;

PROC SORT DATA=&B..H&V._EPISODES_V0; BY INDIVIDU EPISODE_RAC_NUMERO;

DATA &B..H&V._EPISODES_V1 (COMPRESS=YES);
MERGE 	&B..H&V._EPISODES_V0
	&B..H&V._EPISODES_V0 (FIRSTOBS=2 KEEP=INDIVIDU EPISODE_RAC_1ERE_ANNEE EPISODE_RAC_1ER_MOIS
				RENAME=(INDIVIDU=INDIVIDU_Suivant EPISODE_RAC_1ERE_ANNEE=EPISODE_RAC_1ERE_ANNEE_Suivant EPISODE_RAC_1ER_MOIS=EPISODE_RAC_1ER_MOIS_Suivant));
RUN;

DATA &B..H&V._EPISODES_V1 (DROP=INDIVIDU_Suivant EPISODE_RAC_1ERE_ANNEE_Suivant  EPISODE_RAC_1ER_MOIS_Suivant);
SET &B..H&V._EPISODES_V1;
	IF INDIVIDU eq INDIVIDU_Suivant
	THEN NBM_JUSQUE_EPISODE_SUIVANT=INTCK('Month',MDY(EPISODE_RAC_1ER_MOIS,1,EPISODE_RAC_1ERE_ANNEE),MDY(EPISODE_RAC_1ER_MOIS_Suivant,1,EPISODE_RAC_1ERE_ANNEE_Suivant))-EPISODE_RAC_NBM;
	ELSE NBM_JUSQUE_EPISODE_SUIVANT=.; /* Par convention, un code  . signifie "pas d'pisode ultrieur" */
RUN;

%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._EPISODES_V0; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;

PROC SQL;
CREATE TABLE &B..H&V._EPISODES as
SELECT E.*, S.EPISODE_RAC_NB
FROM &B..H&V._EPISODES_V1 E
INNER JOIN (SELECT INDIVIDU, COUNT(*) as EPISODE_RAC_NB
			FROM &B..H&V._EPISODES_V1
			GROUP BY INDIVIDU) S
ON E.INDIVIDU eq S.INDIVIDU
;QUIT;

%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._EPISODES_V1; RUN; %END;
%ELSE %PUT SYSERR=&SYSERR.;

%MEND;


%MACRO DROITS;

	PROC SORT DATA=H&V._CDT; BY INDIVIDU KNCTE; RUN;
	
	/* GESTION DES CDT EN DOUBLONS */

	DATA &B..H&V._CDT_DEDOUBLONNE
		&B..H&V._CDT_DOUBLONS;
	SET H&V._CDT;
	BY INDIVIDU KNCTE;
		IF FIRST.KNCTE
		THEN OUTPUT &B..H&V._CDT_DEDOUBLONNE;
		ELSE OUTPUT &B..H&V._CDT_DOUBLONS;
	RUN;

	/* Enrichissement des droits par CDT et ARCE */

	PROC SQL;
	CREATE TABLE &B..H&V._DROITS_V1 as
	SELECT ODD.*,
		CASE WHEN CDT.KNCTE ne . THEN 'Par KNCT'
			ELSE CASE WHEN CDT1PCT.KCCT ne '' THEN 'Par KCCT1'
					ELSE 'Pas de lien'
			END END
		as LIEN_ODD_CDT,
		COALESCE(CDT.KCPAF1,CDT1PCT.KCPAF1) as KCPAF1,
		COALESCE(CDT.KREN1,CDT1PCT.KREN1) as KREN1,
		COALESCE(CDT.KDDPE,CDT1PCT.KDDPE) format=DDMMYY10. as KDDPE,
		COALESCE(CDT.KDFPE,CDT1PCT.KDFPE) format=DDMMYY10. as KDFPE,
		COALESCE(CDT.KCMCA,CDT1PCT.KCMCA) as KCMCA,
		COALESCE(CDT.KCMET,CDT1PCT.KCMET) as KCMET,
		COALESCE(CDT.KCNCT,CDT1PCT.KCNCT) as KCNCT,
		COALESCE(CDT.KCQCA,CDT1PCT.KCQCA) as KCQCA,
		COALESCE(CDT.KCEP2,CDT1PCT.KCEP2) as KCEP2,
		COALESCE(CDT.KCTYC,CDT1PCT.KCTYC) as KCTYC,
		COALESCE(CDT.KFCRP,CDT1PCT.KFCRP) as KFCRP,

		NB_VERSEMENTS_ARCE, MTT_ARCE,
			Round(MTT_ARCE / /* Diviseur : AJ paye, donc aprs prlvements retraite et CSG CRDS; le calcul ci-dessous est approximatif, aussi bien par la formule que par les paramtres */
				Case 	when PREMIERE_AJ ge 48 then PREMIERE_AJ - 0.03 * Max(KQCSJP,KQCSJ3) - 0.067*0.9825*PREMIERE_AJ
						when PREMIERE_AJ ge 28 then PREMIERE_AJ - 0.03 * Max(KQCSJP,KQCSJ3)
						else 						PREMIERE_AJ
				end
			, 0)
		as NBJ_CONSOMMES_ARCE

	FROM &B..H&V._DROITS_V0 ODD
	LEFT JOIN &B..H&V._CDT_DEDOUBLONNE CDT ON ODD.INDIVIDU eq CDT.INDIVIDU AND ODD.KNCTS eq CDT.KNCTE AND CDT.KDFPE ne MDY(1,1,1999)
	LEFT JOIN &B..H&V._CDT_DEDOUBLONNE CDT1PCT ON CDT.KNCTE eq . AND ODD.INDIVIDU eq CDT1PCT.INDIVIDU AND ODD.KCCT1 eq CDT1PCT.KCCT AND CDT1PCT.KDFPE ne MDY(1,1,1999)
	LEFT JOIN (SELECT INDIVIDU, KROD, SUM(NB_VERSEMENTS_ARCE) as NB_VERSEMENTS_ARCE, SUM(MTT_ARCE) as MTT_ARCE FROM &B..H&V._ARCE_PAR_DROIT GROUP BY INDIVIDU, KROD) A
				ON ODD.INDIVIDU eq A.INDIVIDU AND ODD.KROD eq A.KROD
	ORDER BY INDIVIDU, PREMIER_JOUR
	;QUIT;

	/* Enrichissement par qq infos sur le droit prcdent et le droit suivant */

	DATA &B..H&V._DROITS_PRECEDENTS;
		OUTPUT;
		SET &B..H&V._DROITS_V1;
		KEEP INDIVIDU KROD;
		RENAME INDIVIDU=INDIVIDU_dp KROD=KROD_dp;
	RUN;

	DATA &B..H&V._DROITS (DROP=INDIVIDU_ds);
	MERGE &B..H&V._DROITS_V1
		&B..H&V._DROITS_V1 (FIRSTOBS=2 KEEP=INDIVIDU KROD RENAME=(INDIVIDU=INDIVIDU_ds KROD=KROD_ds ))
		&B..H&V._DROITS_PRECEDENTS
		End=Derniere_observation;

	LABEL KROD='KROD' KROD_ds='KROD_ds' KROD_dp='KROD_dp';
	FORMAT KDJRSJ KDDPRC KDFRA DDMMYY10.;

	RELIQUAT = KPJDXP - NBJ_CONSOMMES_PAYES - NBJ_CONSOMMES_NON_PAYES - Coalesce(NBJ_CONSOMMES_ARCE,0);

	IF INDIVIDU_dp ne INDIVIDU THEN	KROD_dp= '';
	IF INDIVIDU_ds ne INDIVIDU THEN	KROD_ds= '';

	IF NOT Derniere_observation; /* La dernire observation est uniquement compose d'une ligne 'droit prcdent', donc on la supprime */

	RUN;
	
	%IF &SYSERR. eq 0 %THEN %DO; PROC DELETE DATA=&B..H&V._DROITS_V1; RUN; PROC DELETE DATA=&B..H&V._DROITS_PRECEDENTS; RUN;  %END;
	%ELSE %PUT SYSERR=&SYSERR.;

%MEND;


%MACRO ARCE();
	/* Rcupration des versements ARCE dans le Segment PRM */
	PROC SORT DATA=&B..H&V._PRM (KEEP=INDIVIDU KCDPR KDDEE KROD7 KQRPRP
								WHERE=( put(KCDPR,$AIDE_TYPE.) eq 'ARCE') )
			OUT=VERSEMENTS_ARCE;
		BY INDIVIDU KROD7 KDDEE;
	RUN;

	/* Prsentation des versements ARCE en cumul sur le droit */
	DATA &B..H&V._ARCE_PAR_DROIT (KEEP=INDIVIDU KROD7 NB_VERSEMENTS_ARCE MTT_ARCE DATE_PREMIER_VERSEMENT DATE_DEUXIEME_VERSEMENT RENAME=(KROD7=KROD));
	SET VERSEMENTS_ARCE (KEEP=INDIVIDU KROD7 KDDEE KQRPRP);
	BY INDIVIDU KROD7 KDDEE;
	RETAIN NB_VERSEMENTS_ARCE MTT_ARCE;
		IF FIRST.KROD7
		THEN DO; NB_VERSEMENTS_ARCE = 1; MTT_ARCE = KQRPRP; DATE_PREMIER_VERSEMENT=KDDEE; END;
		ELSE DO; NB_VERSEMENTS_ARCE + 1; MTT_ARCE + KQRPRP; DATE_DEUXIEME_VERSEMENT=KDDEE; END;
		IF LAST.KROD7 THEN OUTPUT;
	RUN;

	/* Prsentation des versements ARCE mensuellement */
	PROC SQL;
	CREATE TABLE &B..H&V._ARCE_MENSUEL as
	SELECT INDIVIDU, Year(KDDEE) as ANNEE, Month(KDDEE) as MOIS, Max(KROD7) as KROD, SUM(KQRPRP) as MTT_ARCE
	FROM VERSEMENTS_ARCE
	GROUP BY INDIVIDU, ANNEE, MOIS
	;QUIT;
%MEND;


%MENSUALISATION_PEC; 
%ARCE; 
%MENSUALISATION_PJC; 
%CROISEMENT; 
%TRAITEMENTS_POST_CROISEMENT; 
%DROITS;


/*--> EXTRACTION POUR EXPLOITATION SOUS SAS*/



data OUTLIB.HMAI20_droits(compress=yes); set work.HMAI20_droits; run;
data OUTLIB.HMAI20_de_mensuel(compress=yes); set work.HMAI20_de_mensuel; run;
