********************************************************************************
********************************************************************************
* TABLES PAPER 
********************************************************************************
********************************************************************************


clear all
set more off

*To be personalized
*gl testing_AR /Users/pv/Dropbox/Testing_AR/Prog/Prog for JHR/
*gl testing_AR "/Users/pierrecahuc/Dropbox/Testing/Testing_AReduite/Prog/Prog for JHR/"
gl testing_AR "/Users/helene/Dropbox/#Work/#Projets/Testing AR/Testing_AR/Prog/Prog for JHR/"

* Prog
gl testing_AR_main "${testing_AR}Prog/3-Tables/"
gl testing_AR_routines "${testing_AR}Prog/3-Tables/Routines/"
* Data	
gl testing_AR_data "${testing_AR}Data/Final table/"

* Output
gl testing_AR_figure1 "${testing_AR}Output/Figure 1/"
gl testing_AR_figure2 "${testing_AR}Output/Figure 2/"
gl testing_AR_figure3 "${testing_AR}Output/Figure 3/"
gl testing_AR_figure4 "${testing_AR}Output/Figure 4/"
gl testing_AR_figure5 "${testing_AR}Output/Figure 5/"
gl testing_AR_figure6 "${testing_AR}Output/Figure 6/"
gl testing_AR_figure7 "${testing_AR}Output/Figure 7/"
gl testing_AR_figure8 "${testing_AR}Output/Figure 8/"
gl testing_AR_figure9 "${testing_AR}Output/Figure 9/"
gl testing_AR_figure10 "${testing_AR}Output/Figure 10/"
gl testing_AR_figure11 "${testing_AR}Output/Figure 11/"
gl testing_AR_figure12 "${testing_AR}Output/Figure 12/"
gl testing_AR_figure13 "${testing_AR}Output/Figure 13/"
gl testing_AR_figure14 "${testing_AR}Output/Figure 14/"
gl testing_AR_figureA3 "${testing_AR}Output/Figure A3/"
gl testing_AR_figureA4 "${testing_AR}Output/Figure A4/"
gl testing_AR_figureC5 "${testing_AR}Output/Figure C5/"
gl testing_AR_figureC6 "${testing_AR}Output/Figure C6/"
gl testing_AR_figureC7 "${testing_AR}Output/Figure C7/"
gl testing_AR_figureC8 "${testing_AR}Output/Figure C8/"
gl testing_AR_figureC9 "${testing_AR}Output/Figure C9/"
gl testing_AR_figureC10 "${testing_AR}Output/Figure C10/"
gl testing_AR_figureC11 "${testing_AR}Output/Figure C11/"
gl testing_AR_figureC12 "${testing_AR}Output/Figure C12/"
gl testing_AR_figureC13 "${testing_AR}Output/Figure C13/"

gl testing_AR_table1 "${testing_AR}Output/Table 1/"
gl testing_AR_table2 "${testing_AR}Output/Table 2/"
gl testing_AR_table3 "${testing_AR}Output/Table 3/"
gl testing_AR_table4 "${testing_AR}Output/Table 4/"
gl testing_AR_table5 "${testing_AR}Output/Table 5/"
gl testing_AR_table6 "${testing_AR}Output/Table 6/"
gl testing_AR_table7 "${testing_AR}Output/Table 7/"
gl testing_AR_table8 "${testing_AR}Output/Table 8/"
gl testing_AR_tableA1 "${testing_AR}Output/Table A1/"
gl testing_AR_tableA2 "${testing_AR}Output/Table A2/"
gl testing_AR_tableA3 "${testing_AR}Output/Table A3/"
gl testing_AR_tableB4 "${testing_AR}Output/Table B4/"
gl testing_AR_tableB5 "${testing_AR}Output/Table B5/"
gl testing_AR_tableB6 "${testing_AR}Output/Table B6/"
gl testing_AR_tableB7 "${testing_AR}Output/Table B7/"
gl testing_AR_tableB8 "${testing_AR}Output/Table B8/"
gl testing_AR_tableB9 "${testing_AR}Output/Table B9/"
gl testing_AR_tableB10 "${testing_AR}Output/Table B10/"
gl testing_AR_tableB11 "${testing_AR}Output/Table B11/"
gl testing_AR_tableB12 "${testing_AR}Output/Table B12/"
gl testing_AR_tableB13 "${testing_AR}Output/Table B13/"

***********************************
*** Table  1 : Experimental lay out 
***********************************

cd "${testing_AR_table1}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

foreach var in femme ///
			age jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois contrat_moins_3mois ///
			kpjdxp ///
			kqcsjp ///
			anciennete ///
			moisodd ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge {

drop if `var' == . 

}

keep if numero_mois == 1 

codebook kcala if no_supercontrole == 1 
codebook kcala if supercontrole == 1 

codebook kcrna if no_supercontrole == 1 
codebook kcrna if treated == 1 
codebook kcrna if controle == 1
codebook kcrna if supercontrole == 1

************************************************
*** Table 2 : Summary statistics on final sample 
************************************************

cd "${testing_AR_table2}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

keep if information_subset == 1 & numero_mois == 0

* create categories
sum kqcsjp 
gen sjr_inf_avg =  kqcsjp <= r(mean) 																		
gen sjr_sup_avg =  kqcsjp > r(mean) 																					

tabulate moisodd, generate(moisodd_)

gen kpjdxp_inf730 = (kpjdxp<730)
gen kpjdxp_sup730 = (kpjdxp>=730)

count
gl N `r(N)'
count if treated==1 & supercontrole == 0
gl N_T `r(N)'
count if controle==1 & supercontrole == 0 
gl N_C `r(N)'
count if  supercontrole == 1 
gl N_SC `r(N)'


gl controls femme ///
			age jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois contrat_moins_3mois ///
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
			anciennete ///
			moisodd_1 moisodd_2 moisodd_3 moisodd_4 moisodd_5 moisodd_6 ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge

foreach var in femme ///
			age jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois contrat_moins_3mois ///
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
			anciennete ///
			moisodd_1 moisodd_2 moisodd_3 moisodd_4 moisodd_5 moisodd_6 ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge {

drop if `var' == . 

}

		
count
gl N `r(N)'
count if treated==1 & supercontrole == 0
gl N_T `r(N)'
count if controle==1 & supercontrole == 0 
gl N_C `r(N)'
count if  supercontrole == 1 
gl N_SC `r(N)'					

preserve

cap drop no_treated
gen no_treated = 1 - treated

label var femme 						"Female" 
label var age 							"Age" 
label var jeune 						"Young" 
label var age_intermediaire 			"Prime age" 
label var senior 						"Senior" 
label var lower_2nd_edu 				"Lower education level" 
label var upper_2nd_edu 				"Intermediate education level" 
label var higher_edu 					"Higher education level" 
label var kpjdxp 						"Potential benefit duration" 
label var kpjdxp_inf730 				"PBD inf. to 730 days" 
label var kpjdxp_sup730 				"PBD sup. or eq. to 730 days"
label var kqcsjp 						"Daily Reference Wage"
label var sjr_inf_avg 					"DRW below the mean" 
label var sjr_sup_avg 					"DRW above the mean" 
label var anciennete "Days since entry in unemp." 
*label var anciennete_inf3m "Tenure inf. to 3 months" 
*label var anciennete_sup3m "Tenure between 4 and 6 months" 
label var contrat_moins_3mois 			"Last contract inf. to 3 m." 
label var contrat_moins_12mois 			"Last contract inf. to 12 m." 
label var nombre_de 					"Number of claimants"
label var nombre_de_rct 				"Number of participants"
label var tx_chge 						"Unemployment rate" 
label var proportion_de_ar 				"Share of part-time unemp." 
label var proportion_de_ld 				"Share of recurrent job seekers" 
label var moisodd_1 					"Entry month : Jul. 2016"
label var moisodd_2 					"Entry month : Aug. 2016"
label var moisodd_3 					"Entry month : Sep. 2016"
label var moisodd_4 					"Entry month : Oct. 2016"
label var moisodd_5 					"Entry month : Nov. 2016"
label var moisodd_6 					"Entry month : Dec. 2016"

matrix M=.,.,.,.,.,.,.

foreach var in $controls {
local rows 
local this = strtoname("`: variable label `var''") 
local rows `rows' `this'

reg `var' 	
local mall=round(_b[_cons],.001)

reg `var' treated controle if supercontrole == 0, nocons r
local T = round(_b[controle],.001)
local C = round(_b[treated],.001)
test (controle = treated)
local TvsC = round(r(p),.001)

reg `var' no_treated treated, nocons r cl(kcala)
test (no_treated = treated)
local TvsC_SC=round(r(p),.001)

reg `var' treated controle supercontrole, nocons r cl(kcala)
local SC = round(_b[supercontrole],.001)
test (treated=controle=supercontrole)
local TvsCvsSC=round(r(p),.001)

matrix N=(`mall',`T',`C',`SC',`TvsC',`TvsC_SC',`TvsCvsSC')

mat rownames N = `rows'

matrix M=M\N

}
					
esttab matrix(M) using "benghalem-cahuc-villedieu-table-2-original.tex", replace ///
					prehead(\begin{tabular}{lccccccc} ///
					\hline\hline  ///
					&  \multicolumn{4}{c}{Means} & \multicolumn{3}{c}{p-value of the difference} \\ ///
					\cmidrule(lr){2-5}\cmidrule(lr){6-8} ///    
					&  All & T & C & SC & T - C & T - (C + SC) & T = C = SC \\ /// 
					& (1) & (2) & (3) & (4) & (5) & (6) & (7)) ///
					posthead(\hline) ///
					nomtitles ///
					substitute("_" " ") ///
					postfoot(Nb. of observations & $N & $N_T & $N_C & $N_SC & & & \\ ///
					\hline ///
					\end{tabular}) 

restore


************************************************												
*** Table 3: Treatment intensity on final sample 
************************************************	

cd "${testing_AR_table3}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

drop krin kcass
merge m:1 kcrna using "${testing_AR}Data/Raw data/pop_pour_tirage_finale_no_dup.dta", keepusing(krin kcass) // on récupère les krin kcass initiaux 
drop if _merge==2
drop _merge			
keep if numero_mois == 0

destring kcass, replace	
merge m:m krin kcass using "${testing_AR}Data/Raw data/indicateurs_emails.dta"
drop if _merge==2
drop _merge

keep if treated==1
gen male=femme==0

keep if information_subset == 1 & numero_mois == 0
cap drop second_edu 
gen second_edu = (lower_2nd_edu == 1 | upper_2nd_edu == 1)


* create categories
sum kqcsjp 
gen sjr_inf_avg =  kqcsjp <= r(mean) 																		
gen sjr_sup_avg =  kqcsjp > r(mean) 																		

gen anciennete_inf3m = (anciennete<=92)												
gen anciennete_sup3m = (anciennete>92)			

gen kpjdxp_inf730 = (kpjdxp<730)
gen kpjdxp_sup730 = (kpjdxp>=730)


gl controls femme male /// 
			jeune age_intermediaire senior /// 
			second_edu ///
			lower_2nd_edu upper_2nd_edu higher_edu /// 
			contrat_moins_12mois ///
			contrat_moins_3mois ///
		    kpjdxp_inf730 kpjdxp_sup730 ///
		    sjr_inf_avg sjr_sup_avg ///
		    anciennete_inf3m anciennete_sup3m 

foreach var in nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			tx_chge ///
			contrat_moins_12mois ///
			contrat_moins_3mois ///
			second_edu ///
			lower_2nd_edu upper_2nd_edu higher_edu ///
			femme ///
			age /// 
			jeune age_intermediaire senior /// 
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
		    anciennete anciennete_inf3m anciennete_sup3m {

drop if `var' == . 

}

			
capture drop ouverture
gen ouverture = ouverture1==1 | ouverture2==1 | ouverture3==1

capture drop clic
gen clic = clic1==1 | clic2==1 | clic3==1


quietly count if ouverture1==1 
gl N_O1 `r(N)'

quietly count if ouverture2==1 
gl N_O2 `r(N)'

quietly count if ouverture3==1 
gl N_O3 `r(N)'

quietly count if (ouverture1==1 | ouverture2==1 | ouverture3==1)  
gl N_O `r(N)'

quietly count if clic1==1 
gl N_C1 `r(N)'

quietly count if clic2==1
gl N_C2 `r(N)'

quietly count if clic3==1 
gl N_C3 `r(N)'

quietly count if (clic1==1 | clic2==1 | clic3==1) 
gl N_C `r(N)'


quietly sum ouverture1
gl prop_O1=round(`r(mean)',.001)*100
gl prop_O1 = substr("$prop_O1",1,4)

quietly sum ouverture2
gl prop_O2=round(`r(mean)',.001)*100
gl prop_O2 = substr("$prop_O2",1,4)

quietly sum ouverture3
gl prop_O3=round(`r(mean)',.001)*100
gl prop_O3 = substr("$prop_O3",1,4)

quietly sum ouverture
gl prop_O=round(`r(mean)',.001)*100
gl prop_O = substr("$prop_O",1,4)

quietly sum clic1
gl prop_C1=round(`r(mean)',.001)*100
gl prop_C1 = substr("$prop_C1",1,4)

quietly sum clic2
gl prop_C2=round(`r(mean)',.001)*100
gl prop_C2 = substr("$prop_C2",1,4)

quietly sum clic3
gl prop_C3=round(`r(mean)',.001)*100
gl prop_C3 = substr("$prop_C3",1,4)

quietly sum clic
gl prop_C=round(`r(mean)',.001)*100
gl prop_C = substr("$prop_C",1,4)

preserve

label var femme "Female" 
label var femme "Male" 
label var age "Age" 
label var jeune "Young" 
label var age_intermediaire "Prime age" 
label var senior "Senior" 
label var second_edu "Up to secondary education" 
label var lower_2nd_edu "Lower secondary education" 
label var upper_2nd_edu "Upper secondary education" 
label var higher_edu "Higher education" 
label var kpjdxp "Potential benefit duration" 
label var kpjdxp_inf730 "PBD inf. to 730 days" 
label var kpjdxp_sup730 "PBD sup. or eq. to 730 days"
label var kqcsjp "Daily Reference Wage"
label var sjr_inf_avg "DRW below the mean" 
label var sjr_sup_avg "DRW above the mean" 
*label var premiere_aj "Daily unemployment benefits" 
*label var premiere_aj_inf_avg "Daily unemployment benefits below the mean" 
*label var premiere_aj_sup_avg "Daily unemployment benefits above the mean" 
label var anciennete "Days since entry in unemp." 
label var anciennete_inf3m "Tenure inf. to 3 months" 
label var anciennete_sup3m "Tenure between 4 and 6 months" 
label var contrat_moins_3mois "Last contract inf. to 3 m." 
label var contrat_moins_12mois "Last contract inf. to 12 m." 
label var nombre_de "Number of claimants"
label var nombre_de_rct "Number of participants"
label var tx_chge "Unemployment rate" 
label var proportion_de_ar "Share of part-time unemp." 
label var proportion_de_ld "Share of recurrent job seekers" 
label var ar_avant_envoi "Worked while on claim before trt." 
label var inliste_jan17 "Still on claim at trt. date" 

matrix M=.,.,.,.,.,.,.,.

matrix N = ($prop_O1 , $prop_O2 , $prop_O3 ,$prop_O, $prop_C1 , $prop_C2 ,$prop_C3 , $prop_C)
mat rownames N = "All"

matrix M=M\N

foreach var in $controls {
local rows 
local this = strtoname("`: variable label `var''") 
local rows `rows' `this'

quietly sum ouverture1 if `var'==1  
local value_O1=round(`r(mean)',.001)*100

quietly sum ouverture2 if `var'==1  
local value_O2=round(`r(mean)',.001)*100

quietly sum ouverture3 if `var'==1  
local value_O3=round(`r(mean)',.001)*100

quietly sum ouverture if `var'==1  
local value_O=round(`r(mean)',.001)*100

quietly sum clic1 if `var'==1  
local value_C1=round(`r(mean)',.001)*100

quietly sum clic2 if `var'==1  
local value_C2=round(`r(mean)',.001)*100

quietly sum clic3 if `var'==1 
local value_C3=round(`r(mean)',.001)*100

quietly sum clic if `var'==1  
local value_C=round(`r(mean)',.001)*100

matrix N=(`value_O1',`value_O2',`value_O3',`value_O',`value_C1',`value_C2',`value_C3',`value_C')
mat rownames N = `rows'

matrix M=M\N

}

esttab matrix(M) using "benghalem-cahuc-villedieu-table-3-original.tex", replace ///
					prehead(\begin{tabular}{lcccccccc} ///
					\hline\hline ///
					Share of...&  \multicolumn{4}{c}{...who opened} & \multicolumn{4}{c}{...who used the simulator in} \\  ///
					\cmidrule(lr){2-5}\cmidrule(lr){6-9} ///
					& first email & second email& third email& at least once & first email & second email& third email& at least once \\ ///
					& (1) & (2) & (3) & (4) & (5) & (6) & (7)) /// 
					nomtitles ///
					substitute("_" " ") ///
					postfoot( Nb. of observations & $N_O1 & $N_O2 & $N_O3 & $N_O & $N_C1 & $N_C2 & $N_C3 & $N_C \\ \hline  \end{tabular}) 

restore											



***************************************************************************
*** Table 4 : Treatment effect on part-time unemployment : extensive margin
*** Table 5 : Treatment effect on part-time unemployment : intensive margin
****************************************************************************

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

*** Define controls

* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar ///
		    i.moisregion i.moisodd ///
			nombre_de proportion_de_ld proportion_de_sortants // proportion_de_renf foreigner i.zau 
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants /// // zau foreigner proportion_de_renf ///
		       moisregion moisodd {

drop if `var' == .  

}


* Table : check on Trt * unemployment tenure 

* covariates with continuous var 

gen anciennete_date_trt = date("1/31/2017","MDY") - date_odd
xtile anciennete_quantile2 = anciennete_date_trt , nq(2)
xtile anciennete_quantile4 = anciennete_date_trt , nq(4)
gen anciennete_supmed = (anciennete_quantile2==2)
gen anciennete_infmed = 1-anciennete_supmed
gen anciennete_1a4m = (anciennete_date_trt <= 122)
gen anciennete_sup4m = (anciennete_date_trt > 122)

gl condition information_subset == 1 
gl covariates ${controls}

reg iar_cum_norm $covariates treated##anciennete_supmed  no_supercontrole if $condition & numero_mois == 6, vce(cluster kcala) 
est store reg1 
sum iar_cum_norm if $condition & numero_mois == 6 & supercontrole == 1
estadd scalar supercontrole_mean = r(mean): reg1

reg iar_cum_norm_sup3m $covariates treated##anciennete_supmed  no_supercontrole if $condition & numero_mois == 6, vce(cluster kcala) 
est store reg2
sum iar_cum_norm_sup3m if $condition & numero_mois == 6 & supercontrole == 1
estadd scalar supercontrole_mean = r(mean): reg2

reg iar_cum $covariates treated##anciennete_supmed  no_supercontrole if $condition & numero_mois == 6, vce(cluster kcala) 
est store reg3 
sum iar_cum if $condition & numero_mois == 6 & supercontrole == 1
estadd scalar supercontrole_mean = r(mean): reg3

reg heures_iar_cum_w $covariates treated##anciennete_supmed  no_supercontrole if $condition & numero_mois == 6, vce(cluster kcala) 
est store reg4 
sum heures_iar_cum_w if $condition & numero_mois == 6 & supercontrole == 1
estadd scalar supercontrole_mean = r(mean): reg4

reg revenu_iar_cum_w $covariates treated##anciennete_supmed  no_supercontrole if $condition & numero_mois == 6, vce(cluster kcala) 
est store reg5 
sum revenu_iar_cum_w if $condition & numero_mois == 6 & supercontrole == 1
estadd scalar supercontrole_mean = r(mean): reg5

esttab reg1 reg2 reg3 reg4 reg5, keep(1.treated 1.anciennete_supmed 1.treated#1.anciennete_supmed no_supercontrole) ///
			 cells(b(star fmt(3)) se(par fmt(4)) p(fmt(3) par([ ]))) starlevels(* 0.10 ** 0.05  *** 0.01) ///
			 stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N"))

*** Table 4 : Treatment effect on part-time unemployment : extensive margin
***************************************************************************

cd "${testing_AR_table4}"

gl outcomes iar_cum heures_iar_cum revenu_iar_cum_w
gl d1 3
gl d2 6
gl d3 12
gl d4 36
gl durations 3 6 12 36
gl condition information_subset==1 
gl regressors treated no_supercontrole
gl covariates ${controls}
gl suffix "3m6m12m36m"

do "${testing_AR_routines}trt_effect_to_latex_table4.do" 

*** Table 5 : Treatment effect on part-time unemployment : intensive margin
***************************************************************************

cd "${testing_AR_table5}"

gl outcomes heures_iar_cum revenu_iar_cum_w
gl d1 3
gl d2 12
gl d3 36
gl durations 3 12 36
gl condition information_subset==1  & iar_cum_norm > 0 
gl regressors treated no_supercontrole
gl covariates ${controls}
gl suffix "3m12m36m"

do "${testing_AR_routines}trt_effect_to_latex_table5.do" 


*************************************************************************
*** Table 6 : Summary statistics for those most affected by the treatment
*** Outcome : Prob. to work while on claim at least once
*************************************************************************

*** See R program.


***************************************************************************************************************************
*** Table 7 : Treatment effect on the probability to be in regular employment before the initial date of benefit exhaustion
***************************************************************************************************************************

cd "${testing_AR_table7}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

* create categories
sum kqcsjp 
gen sjr_inf_avg =  kqcsjp <= r(mean) 																		
gen sjr_sup_avg =  kqcsjp > r(mean) 																		
		

tabulate moisodd, generate(moisodd_)

gen kpjdxp_inf730 = (kpjdxp<730)
gen kpjdxp_sup730 = (kpjdxp>=730)

count
gl N `r(N)'
count if treated==1 & supercontrole == 0
gl N_T `r(N)'
count if controle==1 & supercontrole == 0 
gl N_C `r(N)'
count if  supercontrole == 1 
gl N_SC `r(N)'


* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar ///
		    i.moisregion i.moisodd ///
			nombre_de proportion_de_ld proportion_de_sortants
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants /// // zau foreigner proportion_de_renf ///
		       moisregion moisodd {

drop if `var' == .  

}	

	
gl condition information_subset ==1
gl PBD 730
gl outcomes sortietotale_ac_emb2_lq sortietotale_ac_emb2_lm 
gl vars treated no_supercontrole

foreach o in $outcomes {
	
	di "`o'"

	quietly reg `o' treated no_supercontrole if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_1, title("no covariates")
	quiet sum `o' if supercontrole==1 & numero_mois == 1 & $condition
	estadd scalar supercontrole_mean = r(mean): `o'_1
	
	quietly reg `o' treated no_supercontrole $controls if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_2, title("with covariates")
	
	quietly reg `o' treated no_supercontrole if numero_mois == 1 & $condition & kpjdxp < $PBD, vce(cluster kcala)
	est store `o'_3, title("no covariates")
	quiet sum `o' if supercontrole==1 & numero_mois == 1 & $condition & kpjdxp < $PBD
	estadd scalar supercontrole_mean = r(mean): `o'_3
	
	quietly reg `o' treated no_supercontrole $controls if numero_mois == 1 & $condition & kpjdxp < $PBD, vce(cluster kcala)
	est store `o'_4, title("with covariates")

	quietly reg `o' treated no_supercontrole if numero_mois == 1 & $condition & kpjdxp >= $PBD, vce(cluster kcala)
	est store `o'_5, title("no covariates")
	quiet sum `o' if supercontrole==1 & numero_mois == 1 & $condition & kpjdxp >= $PBD
	estadd scalar supercontrole_mean = r(mean): `o'_5 
	
	quietly reg `o' treated no_supercontrole $controls if numero_mois == 1 & $condition & kpjdxp >= $PBD, vce(cluster kcala)
	est store `o'_6, title("with covariates")

	* produce latex table
	esttab `o'_1 `o'_2 /// 
		   `o'_3 `o'_4 ///
		   `o'_5 `o'_6 ///
	using "benghalem-cahuc-villedieu-table-7-`o'-original.tex", ///
		mgroups("All" "PBD $<$ ${PBD} days" "PBD $\geq$ ${PBD} days", pattern(1 0 1 0 1 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) ///
			span erepeat(\cmidrule(lr){@span})) ///
		keep(${vars}) ///
		cells(b(star fmt(4)) se(par fmt(4)) p(par([ ]) fmt(3))) ///
		stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N")) ///
		nomtitles ///
		prehead(\begin{tabular}{lcccccc} ///
				\hline\hline) ///
		posthead(\hline) ///
		postfoot(\hline \end{tabular}) ///
		indicate(Controls var = femme) ///
		mlabels(none) ///
		collabels(none) ///
		varlabels(treated "Treated ($\beta$)" no_supercontrole "In a treated area ($\delta$)") ///
		starlevels(* 0.10 ** 0.05  *** 0.01) /// 
		modelwidth(3) /// 
		replace
	
}


******************************************************************
***  Table 8 : Treatment effect on unemployment insurance payments
******************************************************************

cd "${testing_AR_table8}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

* create categories
sum kqcsjp 
gen sjr_inf_avg =  kqcsjp <= r(mean) 																		
gen sjr_sup_avg =  kqcsjp > r(mean) 																		

gen anciennete_inf3m = (anciennete<=92)												
gen anciennete_sup3m = (anciennete>92)			

gen kpjdxp_inf730 = (kpjdxp<730)
gen kpjdxp_sup730 = (kpjdxp>=730)



gl controls femme ///
			age /// 
			jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois ///
			contrat_moins_3mois ///
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 /// // *premiere_aj premiere_aj_inf_avg premiere_aj_sup_avg /// 
			kqcsjp sjr_inf_avg sjr_sup_avg ///
		    anciennete anciennete_inf3m anciennete_sup3m ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge

foreach var in nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_sortants ///
			proportion_de_ld ///
			tx_chge ///
			contrat_moins_12mois ///
			contrat_moins_3mois ///
			lower_2nd_edu upper_2nd_edu higher_edu ///
			femme ///
			age /// 
			jeune age_intermediaire senior /// // premiere_aj premiere_aj_inf_avg premiere_aj_sup_avg /// 
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
		    anciennete anciennete_inf3m anciennete_sup3m {

drop if `var' == . 

}
			
			
			

/* Computation of social contributions: 
Tax rate on gross wage t: 0.065 up to 4 time the social security bound 
social security bounds (in euros) for 
2017 : 3269 
2018 : 3311
2019 : 3377
2020 : 3428 
*/
cap drop tax
gen     tax=0
replace tax= 0.065* revenu_ar if ar == 1
replace tax= 0.065 * kqcsjp * 30 if ar == 0 &  sortietotale_ac_emb2==1
replace tax= 0.065*4*3269 if tax>0.065*4*3269 & annee==2017
replace tax= 0.065*4*3311 if tax>0.065*4*3311 & annee==2018
replace tax= 0.065*4*3377 if tax>0.065*4*3377 & annee==2019
replace tax= 0.065*4*3428 if tax>0.065*4*3428 & annee==2020


* Monthly cost
cap drop cout
gen cout=indemnisation-tax

bysort kcrna (numero_mois) : gen cout_cum= sum(cout)
bysort kcrna (numero_mois) : gen tax_cum= sum(tax)

cap drop temp
cap drop cout_cum_jan17
gen temp = cout if numero_mois >= 1
bysort kcrna (numero_mois) : gen cout_cum_jan17 = sum(temp)
drop temp

cap drop temp
cap drop tax_cum_jan17
gen temp = tax if numero_mois >= 1
bysort kcrna (numero_mois) : gen tax_cum_jan17 = sum(temp) 
drop temp


* Annual cost 
bysort indiv (numero_mois): egen tmp12 = max(cout_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen tmp24 = max(cout_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen tmp36 = max(cout_cum_jan17 * (numero_mois == 36))
*when the value are negative, use the min
bysort indiv (numero_mois): egen ttmp12 = min(cout_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen ttmp24 = min(cout_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen ttmp36 = min(cout_cum_jan17 * (numero_mois == 36))

replace tmp12=tmp12+ttmp12
replace tmp24=tmp24+ttmp24
replace tmp36=tmp36+ttmp36
drop ttmp*

capture drop cout_1st_y cout_2nd_y  cout_3rd_y cout_after_trt
gen cout_1st_y = tmp12
gen cout_2nd_y = tmp24 - tmp12
gen cout_3rd_y = tmp36 - tmp24
gen cout_after_trt=tmp36
drop tmp* 


cap drop indemnisation_after_trt
bysort indiv: egen indemnisation_after_trt=max(indemnisation_cum_jan17) if numero_mois<37


* Annual tax
bysort indiv (numero_mois): egen tmp12 = max(tax_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen tmp24 = max(tax_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen tmp36 = max(tax_cum_jan17 * (numero_mois == 36))
*when the value are negative, use the min
bysort indiv (numero_mois): egen ttmp12 = min(tax_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen ttmp24 = min(tax_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen ttmp36 = min(tax_cum_jan17 * (numero_mois == 36))

replace tmp12=tmp12+ttmp12
replace tmp24=tmp24+ttmp24
replace tmp36=tmp36+ttmp36
drop ttmp*

capture drop tax_1st_y tax_2nd_y  tax_3rd_y tax_after_trt
gen tax_1st_y = tmp12
gen tax_2nd_y = tmp24 - tmp12
gen tax_3rd_y = tmp36 - tmp24
gen tax_after_trt=tmp36
drop tmp* 

* Total amount of unemployment benefits
bysort indiv (numero_mois): egen tmp12 = max(indemnisation_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen tmp24 = max(indemnisation_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen tmp36 = max(indemnisation_cum_jan17 * (numero_mois == 36))
capture drop indemnisation_1st_y indemnisation_2nd_y indemnisation_3rd_y indemnisation_after_trt
gen indemnisation_1st_y = tmp12
gen indemnisation_2nd_y = tmp24 - tmp12
gen indemnisation_3rd_y = tmp36 - tmp24
gen indemnisation_after_trt=tmp36
drop tmp*

* Total number of days with unemployment benefits
cap drop temp
cap drop nbj_consommes_payes_cum_jan17
gen temp = nbj_consommes_payes if numero_mois >= 1
bysort kcrna (numero_mois) : gen nbj_consommes_payes_cum_jan17 = sum(temp)
drop temp

bysort indiv (numero_mois): egen tmp12 = max(nbj_consommes_payes_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen tmp24 = max(nbj_consommes_payes_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen tmp36 = max(nbj_consommes_payes_cum_jan17 * (numero_mois == 36))
cap drop nbj_consommes_payes_1st_y
cap drop nbj_consommes_payes_2nd_y 
cap drop nbj_consommes_payes_3rd_y
gen nbj_consommes_payes_1st_y = tmp12
gen nbj_consommes_payes_2nd_y = tmp24 - tmp12
gen nbj_consommes_payes_3rd_y = tmp36 - tmp24
gen nbj_consommes_payes_after_trt=tmp36
drop tmp*

* Total number of months in sortie_ac_emb2
cap drop temp
cap drop sortietotale_ac_emb2_cum_jan17
gen temp = sortietotale_ac_emb2 if numero_mois >= 1
bysort kcrna (numero_mois) : gen sortietotale_ac_emb2_cum_jan17 = sum(temp)
drop temp

bysort indiv (numero_mois): egen tmp12 = max(sortietotale_ac_emb2_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen tmp24 = max(sortietotale_ac_emb2_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen tmp36 = max(sortietotale_ac_emb2_cum_jan17 * (numero_mois == 36))
cap drop sortietotale_ac_emb2_1st_y
cap drop sortietotale_ac_emb2_2nd_y 
cap drop sortietotale_ac_emb2_3rd_y
gen sortietotale_ac_emb2_1st_y = tmp12
gen sortietotale_ac_emb2_2nd_y = tmp24 - tmp12
gen sortietotale_ac_emb2_3rd_y = tmp36 - tmp24
gen sortietotale_ac_emb2_after_trt=tmp36
drop tmp*

merge m:1 individu using "${testing_AR_data}heures_avant_odd", nogenerate

capture drop jours_mensuels
gen jours_mensuels = 0
replace jours_mensuels = (heures_iar + heures_niar)/5 if heures_iar + heures_niar >0  & sortietotale_ac_emb2==1
replace jours_mensuels = heures_mens_avant_odd/5 if heures_iar + heures_niar ==0  & sortietotale_ac_emb2==1
replace jours_mensuels=. if sortietotale_ac_emb2==.

* Total jours_mensuels each year
cap drop temp
cap drop jours_mensuels_cum_jan17
gen temp = jours_mensuels if numero_mois >= 1
bysort kcrna (numero_mois) : gen jours_mensuels_cum_jan17 = sum(temp)
drop temp

bysort indiv (numero_mois): egen tmp12 = max(jours_mensuels_cum_jan17 * (numero_mois == 12))
bysort indiv (numero_mois): egen tmp24 = max(jours_mensuels_cum_jan17 * (numero_mois == 24))
bysort indiv (numero_mois): egen tmp36 = max(jours_mensuels_cum_jan17 * (numero_mois == 36))
cap drop jours_mensuels_1st_y
cap drop jours_mensuels_2nd_y 
cap drop jours_mensuels_3rd_y
cap drop jours_mensuels_after_trt
gen jours_mensuels_1st_y = tmp12
gen jours_mensuels_2nd_y = tmp24 - tmp12
gen jours_mensuels_3rd_y = tmp36 - tmp24
gen jours_mensuels_after_trt=tmp36
drop tmp*

* For outcomes cumulated over years
gl outcomes cout indemnisation nbj_consommes_payes 
gl condition information_subset ==1 
gl vars treated no_supercontrole


foreach o in $outcomes {

	di "`o'"

	* over first year 
	quietly reg `o'_1st_y ${vars} if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_1, title("Over 1st y")
	quiet sum `o'_1st_y if supercontrole==1 & numero_mois == 1 & $condition
	estadd scalar supercontrole_mean = r(mean): `o'_1
	
	quietly reg `o'_1st_y ${vars} $controls if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_2, title("Over 1st y")
	
	* over 2nd year 
	quietly reg `o'_2nd_y ${vars} if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_3, title("Over 2nd y")
	quiet sum `o'_2nd_y if supercontrole==1 & numero_mois == 1 & $condition
	estadd scalar supercontrole_mean = r(mean): `o'_3

	quietly reg `o'_2nd_y ${vars} $controls if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_4, title("Over 2nd y")

	* over 3rd year 
	quietly reg `o'_3rd_y ${vars} if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_5, title("Over 3rd y ")
	quiet sum `o'_3rd_y if supercontrole==1 & numero_mois == 1 & $condition
	estadd scalar supercontrole_mean = r(mean): `o'_5

	quietly reg `o'_3rd_y ${vars} $controls if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_6, title("Over 3rd y ")

	
	* over All years 
	quietly reg `o'_after_trt ${vars} if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_7, title("Over all y ")
	quiet sum `o'_after_trt if supercontrole==1 & numero_mois == 1 & $condition
	estadd scalar supercontrole_mean = r(mean): `o'_7

	quietly reg `o'_after_trt ${vars} $controls if numero_mois == 1 & $condition, vce(cluster kcala)
	est store `o'_8, title("Over all y ")

	
	* produce latex table
	esttab `o'_1 `o'_2 /// 
		   `o'_3 `o'_4 ///
		   `o'_5 `o'_6 ///
		   `o'_7 `o'_8 ///
   using "benghalem-cahuc-villedieu-table-8-`o'-original.tex", ///
		mgroups("1st year" "2nd year" "3rd year" "All years", pattern(1 0 1 0 1 0 1 0) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) ///
			span erepeat(\cmidrule(lr){@span})) ///
		keep(${vars}) ///
		cells(b(star fmt(4)) se(par fmt(4)) p(par([ ]) fmt(3))) ///
		stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N")) ///
		nomtitles ///
		prehead(\begin{tabular}{lcccccccc} ///
				\hline\hline) ///
		posthead(\hline) ///
		postfoot(\hline \end{tabular}) ///
		indicate(Controls var = femme) ///
		mlabels(none) ///
		collabels(none) ///
		varlabels(treated "Treated ($\beta$)" no_supercontrole "In a treated area ($\delta$)") ///
		starlevels(* 0.10 ** 0.05  *** 0.01) /// 
		modelwidth(3) /// 
		replace
	
}


**********************************************************
*** Table A1 : Spillover effects on part-time unemployment
**********************************************************

cd "${testing_AR_tableA1}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

sum tx_chge,d
scalar med_tx_chge=r(p25)

_pctile tx_chge, p(33)
	
	scalar med_tx_chge=r(r1) 
	
cap drop bas_tx_chge
gen bas_tx_chge=tx_chge <= med_tx_chge

cap drop bas_tx_chgeXcontrole
gen bas_tx_chgeXcontrole=bas_tx_chge * controle

* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar ///
		    i.moisregion i.moisodd ///
			nombre_de proportion_de_ld proportion_de_sortants
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants /// // zau foreigner proportion_de_renf ///
		       moisregion moisodd {

drop if `var' == .  

}	

*** For low local unemployment rate
gl outcomes iar_cum heures_iar_cum revenu_iar_cum_w
gl d1 3
gl d2 12
gl d3 36
gl durations 3 12 36
gl condition information_subset==1 & treated==0 
gl regressors  controle bas_tx_chge bas_tx_chgeXcontrole
gl covariates  ${controls}
gl suffix "3m12m36m"

do "${testing_AR_routines}trt_effect_to_latex_tableA1.do" 

*******************************************************************************************************************************											
*** Table A2 : Summary statistics on individuals working while on claim at least once 6 months after the start of the treatment						
*******************************************************************************************************************************										

cd "${testing_AR_tableA2}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear
							
* Definition complier: individual working while on claim before month 6 
cap drop temp 
bysort indiv : gen temp= iar_cum_norm if numero_mois==6 & information_subset == 1 

cap drop indiv_iar
bysort indiv : egen indiv_iar=max(temp) 

keep if information_subset == 1 & numero_mois == 0 & indiv_iar==1

cap drop no_treated
gen no_treated = 1 - treated

* create categories
sum kqcsjp 
gen sjr_inf_avg =  kqcsjp <= r(mean) 																		
gen sjr_sup_avg =  kqcsjp > r(mean) 																		

gen anciennete_inf3m = (anciennete<=92)												
gen anciennete_sup3m = (anciennete>92)			

gen kpjdxp_inf730 = (kpjdxp<730)
gen kpjdxp_sup730 = (kpjdxp>=730)

gl controls femme ///
			age /// 
			jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois ///
			contrat_moins_3mois ///
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 /// 
			kqcsjp sjr_inf_avg sjr_sup_avg ///
		    anciennete anciennete_inf3m anciennete_sup3m ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge

foreach var in nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_sortants ///
			proportion_de_ld ///
			tx_chge ///
			contrat_moins_12mois ///
			contrat_moins_3mois ///
			lower_2nd_edu upper_2nd_edu higher_edu ///
			femme ///
			age /// 
			jeune age_intermediaire senior /// 
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
		    anciennete anciennete_inf3m anciennete_sup3m {

drop if `var' == . 

}
				
	   
count 
gl N `r(N)'

count if treated==1 & supercontrole == 0 
gl N_T `r(N)'

count if controle==1 & supercontrole == 0
gl N_C `r(N)'

count if  supercontrole == 1 
gl N_SC `r(N)'

label var femme "Female" 
label var age "Age" 
label var jeune "Young" 
label var age_intermediaire "Prime age" 
label var senior "Senior" 
*label var second_edu "Up to secondary education" 
label var lower_2nd_edu "Lower secondary education" 
label var upper_2nd_edu "Upper secondary education" 
label var higher_edu "Higher education" 
label var kpjdxp "Potential benefit duration" 
label var kpjdxp_inf730 "PBD inf. to 730 days" 
label var kpjdxp_sup730 "PBD sup. or eq. to 730 days"
label var kqcsjp "Daily Reference Wage"
label var sjr_inf_avg "DRW below the mean" 
label var sjr_sup_avg "DRW above the mean" 
*label var premiere_aj "Daily unemployment benefits" 
*label var premiere_aj_inf_avg "Daily unemployment benefits below the mean" 
*label var premiere_aj_sup_avg "Daily unemployment benefits above the mean" 
label var anciennete "Days since entry in unemp." 
label var anciennete_inf3m "Tenure inf. to 3 months" 
label var anciennete_sup3m "Tenure between 4 and 6 months" 
label var contrat_moins_3mois "Last contract inf. to 3 m." 
label var contrat_moins_12mois "Last contract inf. to 12 m." 
label var nombre_de "Number of claimants"
label var nombre_de_rct "Number of participants"
label var tx_chge "Unemployment rate" 
label var proportion_de_ar "Share of part-time unemp." 
label var proportion_de_ld "Share of recurrent job seekers" 
label var proportion_de_sortants "Share of job seekers exiting unemp." 
label var ar_avant_envoi "Worked while on claim before trt." 
label var inliste_jan17 "Still on claim at trt. date" 

matrix M=.,.,.,.,.,.,.

foreach var in $controls {
local rows 
local this = strtoname("`: variable label `var''") 
local rows `rows' `this'

reg `var', r
local mall=round(_b[_cons],.001)

reg `var' treated controle if supercontrole == 0, nocons r
local T = round(_b[treated],.001)
local C = round(_b[controle],.001)
test (treated = controle)
local TvsC = round(r(p),.001)

reg `var' no_treated treated, nocons r cl(kcala)
test (no_treated = treated)
local TvsC_SC=round(r(p),.001)

reg `var' treated controle supercontrole, nocons r cl(kcala)
local SC = round(_b[supercontrole],.001)
test (treated=controle=supercontrole)
local TvsCvsSC=round(r(p),.001)

matrix N=(`mall',`T',`C',`SC',`TvsC',`TvsC_SC',`TvsCvsSC')
mat rownames N = `rows'

matrix M=M\N

}

esttab matrix(M) using "benghalem-cahuc-villedieu-table-A2-original.tex", replace ///
					prehead(\begin{tabular}{lccccccc} ///
					\hline\hline  ///
					&  \multicolumn{4}{c}{Means} & \multicolumn{3}{c}{p-value of the difference} \\ ///
					\cmidrule(lr){2-5}\cmidrule(lr){6-8} ///    
					&  All & T & C & SC & T - C & T - (C + SC) & T = C = SC \\ /// 
					& (1) & (2) & (3) & (4) & (5) & (6) & (7)) ///
					posthead(\hline) ///
					nomtitles ///
					substitute("_" " ") ///
					postfoot(Nb. of observations & $N & $N_T & $N_C & $N_SC & & & \\ ///
					\hline ///
					\end{tabular}) 



***********************************************************************************************
*** Table A3 : Treatment heterogeneity conditional on predicted part-time unemployment activity
***********************************************************************************************

cd "${testing_AR_tableA3}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois ///
		    tx_chge proportion_de_ar proportion_de_sortants nombre_de proportion_de_ld ///
			i.moisregion i.moisodd 
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants ///
		       moisregion moisodd {

drop if `var' == .  

}

gl durations 3 12 36
gl outcomes iar_cum_norm iar_cum heures_iar_cum revenu_iar_cum_w  
gl condition information_subset == 1
gl covariates ${controls}

foreach o in $outcomes {

	di "`o'"
	
	foreach d in $durations {
		
		di "`d'"
	
		reg `o' ${covariates} if supercontrole==1 & numero_mois == `d' & ${condition}, vce(cluster kcala)
		est store first_`o'_`d'

		capture drop ex_ante_pred
		predict ex_ante_pred, xb

		capture drop ex_ante_pred_q
		egen ex_ante_pred_q = xtile(ex_ante_pred), n(2)

		label define ex_ante_pred_q 1 "Below median" 2 "Above median", replace
		label values ex_ante_pred_q ex_ante_pred_q

		reg `o' i.treated##i.ex_ante_pred_q ${covariates} if numero_mois == `d' & ${condition} & no_supercontrole==1, vce(cluster kcala) 
		est store second_`o'_`d'

		quiet sum `o' if supercontrole==1 & numero_mois == `d' & $condition
		estadd scalar supercontrole_mean = r(mean): second_`o'_`d'

	}
	
	esttab first_`o'_3 first_`o'_12 first_`o'_36 ///
			using "benghalem-cahuc-villedieu-table-A3-firststage-`o'-original.tex", ///
			mgroups("After 3 months" "After 12 months" "After 36 months", pattern(1 1 1) ///
				prefix(\multicolumn{@span}{c}{) suffix(}) ///
				span erepeat(\cmidrule(lr){@span})) ///
			nomtitles ///
			prehead(\begin{tabular}{lccc} \toprule) ///
			posthead(\hline) ///
			postfoot(\bottomrule \end{tabular}) ///
			mlabels(none) ///
			collabels(none) ///
			keep(${controls_to_keep}) ///
			indicate("Region FE = *.moisregion" "Cohort FE = *.moisodd") ///
			cells(b(star fmt(3)) se(par fmt(4))) /// // p(fmt(3))
			nobaselevels label r2 ///
			starlevels(* 0.10 ** 0.05  *** 0.01) /// 
			modelwidth(3) /// 
			replace

	esttab second_`o'_3 second_`o'_12 second_`o'_36 ///
			using "benghalem-cahuc-villedieu-table-A3-`o'-original.tex", ///
			mgroups("After 3 months" "After 12 months" "After 36 months", pattern(1 1 1) ///
				prefix(\multicolumn{@span}{c}{) suffix(}) ///
				span erepeat(\cmidrule(lr){@span})) ///
			nomtitles ///
			prehead(\begin{tabular}{lccc} \toprule) ///
			posthead(\hline) ///
			postfoot(\bottomrule \end{tabular}) ///
			mlabels(none) ///
			collabels(none) ///
			keep(1.treated 1.treated#2.ex_ante_pred_q) ///
			indicate("Covariates = femme" "Region FE = *.moisregion" "Cohort FE = *.moisodd") ///
			cells(b(star fmt(3)) se(par fmt(4)) p(par([ ]) fmt(3))) /// 
			nobaselevels label r2 ///
			stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N")) ///
			starlevels(* 0.10 ** 0.05  *** 0.01) /// 
			modelwidth(3) /// 
			replace

}


******************************************************
*** Table B4: Summary statistics on the overall sample 
******************************************************

cd "${testing_AR_tableB4}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

keep if numero_mois == 0

* create categories
sum kqcsjp 
gen sjr_inf_avg =  kqcsjp <= r(mean) 																		
gen sjr_sup_avg =  kqcsjp > r(mean) 																					

tabulate moisodd, generate(moisodd_)

gen kpjdxp_inf730 = (kpjdxp<730)
gen kpjdxp_sup730 = (kpjdxp>=730)

count
gl N `r(N)'
count if treated==1 & supercontrole == 0
gl N_T `r(N)'
count if controle==1 & supercontrole == 0 
gl N_C `r(N)'
count if  supercontrole == 1 
gl N_SC `r(N)'


gl controls femme ///
			age jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois contrat_moins_3mois ///
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
			anciennete ///
			moisodd_1 moisodd_2 moisodd_3 moisodd_4 moisodd_5 moisodd_6 ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge

foreach var in femme ///
			age jeune age_intermediaire senior /// 
			lower_2nd_edu upper_2nd_edu higher_edu ///
			contrat_moins_12mois contrat_moins_3mois ///
			kpjdxp kpjdxp_inf730 kpjdxp_sup730 ///
			kqcsjp sjr_inf_avg sjr_sup_avg ///
			anciennete ///
			moisodd_1 moisodd_2 moisodd_3 moisodd_4 moisodd_5 moisodd_6 ///
			nombre_de_rct ///
			nombre_de ///
		    proportion_de_ar ///
			proportion_de_ld ///
			proportion_de_sortants ///
			tx_chge {

drop if `var' == . 

}

		
count
gl N `r(N)'
count if treated==1 & supercontrole == 0
gl N_T `r(N)'
count if controle==1 & supercontrole == 0 
gl N_C `r(N)'
count if  supercontrole == 1 
gl N_SC `r(N)'					

preserve

cap drop no_treated
gen no_treated = 1 - treated

label var femme 						"Female" 
label var age 							"Age" 
label var jeune 						"Young" 
label var age_intermediaire 			"Prime age" 
label var senior 						"Senior" 
label var lower_2nd_edu 				"Lower education level" 
label var upper_2nd_edu 				"Intermediate education level" 
label var higher_edu 					"Higher education level" 
label var kpjdxp 						"Potential benefit duration" 
label var kpjdxp_inf730 				"PBD inf. to 730 days" 
label var kpjdxp_sup730 				"PBD sup. or eq. to 730 days"
label var kqcsjp 						"Daily Reference Wage"
label var sjr_inf_avg 					"DRW below the mean" 
label var sjr_sup_avg 					"DRW above the mean" 
label var anciennete "Days since entry in unemp." 
*label var anciennete_inf3m "Tenure inf. to 3 months" 
*label var anciennete_sup3m "Tenure between 4 and 6 months" 
label var contrat_moins_3mois 			"Last contract inf. to 3 m." 
label var contrat_moins_12mois 			"Last contract inf. to 12 m." 
label var nombre_de 					"Number of claimants"
label var nombre_de_rct 				"Number of participants"
label var tx_chge 						"Unemployment rate" 
label var proportion_de_ar 				"Share of part-time unemp." 
label var proportion_de_ld 				"Share of recurrent job seekers" 
label var moisodd_1 					"Entry month : Jul. 2016"
label var moisodd_2 					"Entry month : Aug. 2016"
label var moisodd_3 					"Entry month : Sep. 2016"
label var moisodd_4 					"Entry month : Oct. 2016"
label var moisodd_5 					"Entry month : Nov. 2016"
label var moisodd_6 					"Entry month : Dec. 2016"

matrix M=.,.,.,.,.,.,.

foreach var in $controls {
local rows 
local this = strtoname("`: variable label `var''") 
local rows `rows' `this'

reg `var' 	
local mall=round(_b[_cons],.001)

reg `var' treated controle if supercontrole == 0, nocons r
local T = round(_b[controle],.001)
local C = round(_b[treated],.001)
test (controle = treated)
local TvsC = round(r(p),.001)

reg `var' no_treated treated, nocons r cl(kcala)
test (no_treated = treated)
local TvsC_SC=round(r(p),.001)

reg `var' treated controle supercontrole, nocons r cl(kcala)
local SC = round(_b[supercontrole],.001)
test (treated=controle=supercontrole)
local TvsCvsSC=round(r(p),.001)

matrix N=(`mall',`T',`C',`SC',`TvsC',`TvsC_SC',`TvsCvsSC')

mat rownames N = `rows'

matrix M=M\N

}
					
esttab matrix(M) using "benghalem-cahuc-villedieu-table-B4-original.tex", replace ///
					prehead(\begin{tabular}{lccccccc} ///
					\hline\hline  ///
					&  \multicolumn{4}{c}{Means} & \multicolumn{3}{c}{p-value of the difference} \\ ///
					\cmidrule(lr){2-5}\cmidrule(lr){6-8} ///    
					&  All & T & C & SC & T - C & T - (C + SC) & T = C = SC \\ /// 
					& (1) & (2) & (3) & (4) & (5) & (6) & (7)) ///
					posthead(\hline) ///
					nomtitles ///
					substitute("_" " ") ///
					postfoot(Nb. of observations & $N & $N_T & $N_C & $N_SC & & & \\ ///
					\hline ///
					\end{tabular}) 

restore



*************************************************************************
*** Table B5 : Treatment effect on the probability to work while on claim
*************************************************************************

cd "${testing_AR_tableB5}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear

* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois ///
		    tx_chge proportion_de_ar proportion_de_sortants nombre_de proportion_de_ld ///
			i.moisregion i.moisodd 
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants ///
		       moisregion moisodd {

drop if `var' == .  

}


gl outcomes iar_cum_norm iar_cum_norm_sup2m iar_cum_norm_sup3m 
gl d1 3
gl d2 6
gl d3 12
gl d4 36
gl durations 3 6 12 36
gl condition information_subset==1 
gl regressors treated no_supercontrole
gl covariates ${controls}
gl suffix "3m12m30m"


do "${testing_AR_routines}trt_effect_to_latex_tableB5.do" 

**************************************************************************************************
*** Table B6 : Treatment effect on part-time unemployment : model vs randomization based inference
**************************************************************************************************

*** See R program.

**************************************************************************************************
*** Table B7 : Treatment effect on regular employment : model vs randomization based inference
**************************************************************************************************

*** See R program.

*********************************************************************************
*** Table B8 : Best Linear Predictor of the conditional average treatement effect
*********************************************************************************

*** See R program.

******************************************************
*** Table B9 : GATES of Most and Least Affected Groups
******************************************************

*** See R program.

****************************************************************************************************
*** Table B10 : Treatment effect interacted with the elapsed unemployment duration at treatment date
****************************************************************************************************


cd "${testing_AR_tableB10}"

use "${testing_AR_data}exploitation_panel_mai20.dta", clear
			
* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois ///
		    tx_chge proportion_de_ar proportion_de_sortants nombre_de proportion_de_ld ///
			i.moisregion
			
gl durations 6
gl outcomes iar_cum_norm iar_cum heures_iar_cum_w revenu_iar_cum_w  
gl condition information_subset == 1
gl covariates ${controls}

foreach o in $outcomes {

	di "`o'"
	
	foreach d in $durations {
		
		di "`d'"
	

		capture drop anciennete_q
		egen anciennete_q = xtile(anciennete), n(2)

		label define anciennete_q 1 "Below median" 2 "Above median", replace
		label values anciennete_q anciennete_q

		reg `o' i.treated##i.anciennete_q ${covariates} supercontrole if numero_mois == `d' & ${condition}, vce(cluster kcala) 
		est store `o'_`d'

		quiet sum `o' if supercontrole==1 & numero_mois == `d' & $condition
		estadd scalar supercontrole_mean = r(mean): `o'_`d'

	}
	

}

esttab iar_cum_norm_6 iar_cum_6 heures_iar_cum_w_6 revenu_iar_cum_w_6 ///
		using "benghalem-cahuc-villedieu-table-B10-original.tex", ///
		mgroups("iar_cum_norm" "iar_cum" "heures" "revenu", pattern(1 1 1 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) ///
			span erepeat(\cmidrule(lr){@span})) ///
		nomtitles ///
		prehead(\begin{tabular}{lcccc} \toprule) ///
		posthead(\hline) ///
		postfoot(\bottomrule \end{tabular}) ///
		mlabels(none) ///
		collabels(none) ///
		keep(1.treated 2.anciennete_q 1.treated#2.anciennete_q) ///
		indicate("Covariates = femme") ///
		cells(b(star fmt(3)) se(par fmt(4)) p(par([ ]) fmt(3))) /// 
		nobaselevels label r2 ///
		stats(supercontrole_mean N, fmt(2 0) labels("Mean super control" "N")) ///
		starlevels(* 0.10 ** 0.05  *** 0.01) /// 
		modelwidth(3) /// 
		replace



******************************************************************************************************************************************************************
*** Table B11 : Correlations between individual / local characteristics and part-time unemployment activity 3 months after the treatment in the supercontrol group
*** Table B12 : Correlations between individual / local characteristics and part-time unemployment activity 12 months after the treatment in the supercontrol group
*** Table B13 : Correlations between individual / local characteristics and part-time unemployment activity 36 months after the treatment in the supercontrol group
*******************************************************************************************************************************************************************

use "${testing_AR_data}exploitation_panel_mai20.dta", clear


* covariates with continuous var 
gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois ///
		    tx_chge proportion_de_ar proportion_de_sortants nombre_de proportion_de_ld ///
			i.moisregion i.moisodd 
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants ///
		       moisregion moisodd {

drop if `var' == .  

}

gl durations 3 12 36
gl outcomes iar_cum_norm iar_cum heures_iar_cum revenu_iar_cum_w  
gl condition information_subset == 1
gl covariates ${controls}

foreach o in $outcomes {

	di "`o'"
	
	foreach d in $durations {
		
		di "`d'"
	
		reg `o' ${covariates} if supercontrole==1 & numero_mois == `d' & ${condition}, vce(cluster kcala)
		est store first_`o'_`d'

		capture drop ex_ante_pred
		predict ex_ante_pred, xb

		capture drop ex_ante_pred_q
		egen ex_ante_pred_q = xtile(ex_ante_pred), n(2)

		label define ex_ante_pred_q 1 "Below median" 2 "Above median", replace
		label values ex_ante_pred_q ex_ante_pred_q

		reg `o' i.treated##i.ex_ante_pred_q ${covariates} if numero_mois == `d' & ${condition} & no_supercontrole==1, vce(cluster kcala) 
		est store second_`o'_`d'

		quiet sum `o' if supercontrole==1 & numero_mois == `d' & $condition
		estadd scalar supercontrole_mean = r(mean): second_`o'_`d'

	}

}

*** Table B11 : Correlations between individual / local characteristics and part-time unemployment activity 3 months after the treatment in the supercontrol group

cd "${testing_AR_tableB11}"

* other tables --> choose one duration 
gl duration 3

esttab first_iar_cum_norm_${duration} first_iar_cum_${duration} first_heures_iar_cum_${duration} first_revenu_iar_cum_w_${duration} ///
		using "benghalem-cahuc-villedieu-table-B11-original.tex", ///
		mgroups("iar_cum_norm" "iar_cum" "heures" "revenu", pattern(1 1 1 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) ///
			span erepeat(\cmidrule(lr){@span})) ///
		nomtitles ///
		prehead(\begin{tabular}{lcccc} \toprule) ///
		posthead(\hline) ///
		postfoot(\bottomrule \end{tabular}) ///
		mlabels(none) ///
		collabels(none) ///
		keep(${controls_to_keep}) ///
		indicate("Region FE = *.moisregion" "Cohort FE = *.moisodd") ///
		cells(b(star fmt(3)) se(par fmt(4))) /// // p(fmt(3))
		nobaselevels label r2 ///
		starlevels(* 0.10 ** 0.05  *** 0.01) /// 
		modelwidth(3) /// 
		replace

*** Table B12 : Correlations between individual / local characteristics and part-time unemployment activity 12 months after the treatment in the supercontrol group

cd "${testing_AR_tableB12}"

gl duration 12

esttab first_iar_cum_norm_${duration} first_iar_cum_${duration} first_heures_iar_cum_${duration} first_revenu_iar_cum_w_${duration} ///
		using "benghalem-cahuc-villedieu-table-B12-original.tex", ///
		mgroups("iar_cum_norm" "iar_cum" "heures" "revenu", pattern(1 1 1 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) ///
			span erepeat(\cmidrule(lr){@span})) ///
		nomtitles ///
		prehead(\begin{tabular}{lcccc} \toprule) ///
		posthead(\hline) ///
		postfoot(\bottomrule \end{tabular}) ///
		mlabels(none) ///
		collabels(none) ///
		keep(${controls_to_keep}) ///
		indicate("Region FE = *.moisregion" "Cohort FE = *.moisodd") ///
		cells(b(star fmt(3)) se(par fmt(4))) /// // p(fmt(3))
		nobaselevels label r2 ///
		starlevels(* 0.10 ** 0.05  *** 0.01) /// 
		modelwidth(3) /// 
		replace

*** Table B13 : Correlations between individual / local characteristics and part-time unemployment activity 36 months after the treatment in the supercontrol group

cd "${testing_AR_tableB13}"

gl duration 36

esttab first_iar_cum_norm_${duration} first_iar_cum_${duration} first_heures_iar_cum_${duration} first_revenu_iar_cum_w_${duration} ///
		using "benghalem-cahuc-villedieu-table-B13-original.tex", ///
		mgroups("iar_cum_norm" "iar_cum" "heures" "revenu", pattern(1 1 1 1) ///
			prefix(\multicolumn{@span}{c}{) suffix(}) ///
			span erepeat(\cmidrule(lr){@span})) ///
		nomtitles ///
		prehead(\begin{tabular}{lcccc} \toprule) ///
		posthead(\hline) ///
		postfoot(\bottomrule \end{tabular}) ///
		mlabels(none) ///
		collabels(none) ///
		keep(${controls_to_keep}) ///
		indicate("Region FE = *.moisregion" "Cohort FE = *.moisodd") ///
		cells(b(star fmt(3)) se(par fmt(4))) /// // p(fmt(3))
		nobaselevels label r2 ///
		starlevels(* 0.10 ** 0.05  *** 0.01) /// 
		modelwidth(3) /// 
		replace





















					
					
