********************************************************************************
********************************************************************************
* Randomization inference 

* This code creates a sample of the final data to be used in the 
* randomized inference analysis 

********************************************************************************
********************************************************************************

clear all
set more off

* Personalize the file path below
gl testing_AR /Users/pv/Dropbox/Testing_AR/
*gl testing_AR "/Users/pierrecahuc/Dropbox/Testing/Testing_AReduite/"
*gl testing_AR "/Users/helene/Dropbox/#Work/#Projets/Testing AR/Testing_AR/"

gl testing_AR_in "${testing_AR}Prog/Prog for JHR/Data/Raw data/"	
gl testing_AR_intermediate "${testing_AR}Prog/Prog for JHR/Data/Intermediate tables/"
gl testing_AR_out "${testing_AR}Prog/Prog for JHR/Data/Final table/"

********************************************************************************
* Load data 
********************************************************************************
use "${testing_AR_out}exploitation_panel_mai20.dta", clear

gl controls femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
		    nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar ///
		    i.moisregion i.moisodd ///
			nombre_de proportion_de_ld proportion_de_sortants
			
* drop obs with missing covariates 
foreach var in femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
			   nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar nombre_de proportion_de_ld proportion_de_sortants ///
		       moisregion moisodd {

drop if `var' == .  

}

keep kcrna kcala numero_mois treated no_supercontrole ///
	 information_subset iar iar_cum iar_cum_norm revenu_iar_cum_w heures_iar_cum_w ///
	 sortietotale_ac_emb2_lq sortietotale_ac_emb2_lm nbj_benef_1st_y employ_sup3m_* ///
	 femme jeune senior higher_edu lower_2nd_edu kpjdxp kqcsjp ///
	 nombre_de_rct contrat_moins_3mois contrat_moins_12mois tx_chge proportion_de_ar ///
	 moisregion moisodd ///
	 nombre_de proportion_de_ld proportion_de_sortants
	 
save "${testing_AR_out}sample_AR_RI.dta", replace
